<?php 
if (post_password_required()) return; 

?>

<div class="container-fluid">
    <div class="row">
        <div class="content_comments">
            <div id="comments" class="comments">
                <?php if(have_comments()){ ?>
                    <div class="comment_content">
                        <h4 class="block-title"> 
                            <?php comments_number(esc_html__('There are 0 Comment in this post', 'helix'), esc_html__( 'There are 1 Comment in this post', 'helix' ), esc_html__( 'There are % Comments in this post', 'helix' )); ?>
                        </h4>
                <?php } ?>
                        <?php if (have_comments()) { ?>
                            <ul class="commentlists">
                                <?php wp_list_comments('callback=helix_theme_comment'); ?>
                            </ul>
                        <?php
                    // Are there comments to navigate through?
                        if (get_comment_pages_count() > 1 && get_option('page_comments')) : ?>
                            <footer class="navigation comment-navigation" role="navigation">
                                <?php esc_html_e( 'Comment navigation', 'helix' ); ?>
                                <div class="previous"><?php previous_comments_link(__('&larr; Older Comments', 'helix')); ?></div>
                                <div class="next right"><?php next_comments_link(__('Newer Comments &rarr;', 'helix')); ?></div>
                            </footer><!-- .comment-navigation -->
                        <?php endif; // Check for comment navigation ?>

                        <?php if (!comments_open() && get_comments_number()) : ?>
                            <p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'helix' ); ?></p>
                        <?php endif; ?>
                    </div>
                <?php } ?>

                <?php

                $aria_req = ($req ? " aria-required='true'" : '');
                $comment_args = array(
                    'title_reply' => wp_kses('<h2 class="block-title">' . esc_html__( 'Leave your thought', 'helix' ) . '</h2>', true),
                    'fields' => apply_filters('comment_form_default_fields',
                     array(
                        'author' => '<div class="col-md-6 no-padding-left">
                            <label>'.esc_html__('Name*','helix').'</label>
                            <input type="text" name="author" value="' . esc_attr($commenter['comment_author']) . '" ' . esc_attr($aria_req) . ' class="form-control" placeholder="'. esc_html__('Name','helix') .'" />
                            </div>',
                        'email' => '<div class="col-md-6 no-padding-right">
                            <label>'.esc_html__('Email*','helix').'</label>
                            <input type="text" name="email" value="' . esc_attr($commenter['comment_author_email']) . '" ' . esc_attr($aria_req) . ' class="form-control" placeholder="'. esc_html__('Email','helix') .'" />
                            </div>',
                        'Website' => '
                            <label>'.esc_html__('Website(Optional)','helix').'</label>
                            <input type="text" name="url" value="' . esc_url($commenter['comment_author_url']) . '" ' . esc_attr($aria_req) . ' class="form-control" placeholder="'. esc_html__('Website','helix') .'" />'
                    )),
                    'comment_field' => '
                        <label>'.esc_html__('Massage*','helix').'</label>
                        <textarea class="form-control" rows="7" name="comment" placeholder="'. esc_html__('Your Comment ...','helix') .'"></textarea>',
                    'label_submit' => esc_html__('Submit','helix'),
                    'comment_notes_before' => '',
                    'comment_notes_after' => '<div class="helix_comment_note">* Note: Your email will be kept secret and not be published</div>'
                 );
                ?>

                <?php global $post; ?>
                <?php if ('open' == $post->comment_status) { ?>
                    <div class="commentform">
                        
                            <?php comment_form($comment_args); ?>
                        
                    </div><!-- end commentform -->
                <?php } ?>


            </div><!-- end comments -->
        </div>
    </div>
</div>


