<?php

/* This is functions define blocks to display post */

if ( ! function_exists( 'helix_content_thumbnail' ) ) {
  function helix_content_thumbnail( $size ) {
    if ( has_post_thumbnail()  && ! post_password_required() || has_post_format( 'image') )  :
      the_post_thumbnail( $size, array('class'=> 'img-responsive' ));
    endif;
  }
}

if ( ! function_exists( 'helix_postformat_video' ) ) {
  function helix_postformat_video( ) { ?>
    <?php if(has_post_format('video') && wp_oembed_get(get_post_meta(get_the_id(), "helix_met_embed_media", true))){ ?>
	    <div class="js-video postformat_video">
	        <?php echo wp_oembed_get(get_post_meta(get_the_id(), "helix_met_embed_media", true)); ?>
	    </div>
    <?php } ?>
  <?php }
}

if ( ! function_exists( 'helix_postformat_audio ') ) {
  function helix_postformat_audio( ) { ?>
    <?php if(has_post_format('audio') && wp_oembed_get(get_post_meta(get_the_id(), "helix_met_embed_media", true))){ ?>
	    <div class="js-video postformat_audio">
	        <?php echo wp_oembed_get(get_post_meta(get_the_id(), "helix_met_embed_media", true)); ?>
	    </div>
    <?php } ?>
  <?php }
}

if ( ! function_exists( 'helix_content_title' ) ) {
  function helix_content_title() { ?>

    <?php if ( is_single() ) : ?>
      <h1 class="post-title">
        <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
          <?php the_title(); ?>
        </a>
      </h1>
    <?php else : ?>
      <h2 class="post-title">
        <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
          <?php the_title(); ?>
        </a>
      </h2>
      <?php endif; ?>

 <?php }
}
if ( ! function_exists( 'helix_content_meta_author' ) ) {
  function helix_content_meta_author( ) { ?>
	    <span class="post-meta-content">
	    	<span class="post-author">
		        <?php esc_html_e('By: ', 'helix'); ?>
		        <span class="right"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author_meta( 'display_name' ); ?></a></span>
		    </span>
		</span>
  <?php }
}

if ( ! function_exists( 'helix_content_meta' ) ) {
  function helix_content_meta( ) { ?>
	    <span class="post-meta-content">
	    	<span class="post-author">
		        <?php esc_html_e('by: ', 'helix'); ?>
		        <span class="right"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author_meta( 'display_name' ); ?></a></span>
		    </span>
		    <span class="post-date">
		         <?php esc_html_e('on: ', 'helix'); ?>
		        <span class="right"><?php the_time( get_option( 'date_format' ));?></span>
		    </span>
		    <span class="comment">
		        <span class="right"><a href="<?php the_permalink();?>">                    
		            <?php comments_popup_link(
		            	esc_html__(' 0 comment', 'helix'), 
		            	esc_html__(' 1 comment', 'helix'), 
		            	' % comments'.esc_html__('', 'helix')
		            ); ?>
		        </a></span>                
		    </span>
		</span>
  <?php }
}
// use in classes
if ( ! function_exists( 'helix_content_meta_trainer' ) ) {
  function helix_content_meta_trainer( ) { ?>
  	<?php $term_list = wp_get_post_terms(get_the_ID(), 'trainer', array("fields" => "names")); ?>
  	<?php if($term_list!=null){ ?>
	    <span class="post-meta-content">
	    	<span class="post-author">
		        <?php esc_html_e('Trainer:', 'helix'); ?>
		        <span class="right">
		        	<?php $index=0; ?>
		        	<?php foreach ($term_list as $key => $value) {
		        			$index++;
		        			if($index>1)
		        			{
		        				echo ", ";
		        				$index=0;
		        			}
		        			echo esc_html($value);
		        			
		        	} ?>
		        </span>
		    </span>
		</span>
	<?php } ?>
  <?php }
}
if ( ! function_exists( 'helix_content_meta_learn_date' ) ) {
  function helix_content_meta_learn_date( ) { ?>
 	<?php $startDate=get_post_meta(get_the_ID(), "helix_met_class_date_start", true); ?>
 	<?php $endDate=get_post_meta(get_the_ID(), "helix_met_class_date_end", true); ?>
  	<?php if($startDate!=''|| $endDate!=''){ ?>
	    <span class="post-meta-content">
	    	<span class="post-learn-date">
		        <?php esc_html_e('Date:', 'helix'); ?>
		        <span class="right">
		        	<?php echo esc_html($startDate); ?>
		        	<?php if($startDate!=''){?>
			        	<?php esc_html_e('-', 'helix'); ?>
		        	<?php } ?>
		        	<?php echo esc_html($endDate); ?>
		        </span>
		    </span>
		</span>
	<?php } ?>
  <?php }
}
if ( ! function_exists( 'helix_content_meta_level' ) ) {
  function helix_content_meta_level( ) { ?>
  	<?php $term_list = wp_get_post_terms(get_the_ID(), 'level', array("fields" => "names")); ?>
  	<?php if($term_list!=null){ ?>
	    <span class="post-meta-content">
	    	<span class="post-level">
		        <?php esc_html_e('Level:', 'helix'); ?>
		        <span class="right">
		        	<?php echo esc_html($term_list[0]); ?>
		        </span>
		    </span>
		</span>
	<?php } ?>
  <?php }
}
if ( ! function_exists( 'helix_content_meta_properties' ) ) {
  function helix_content_meta_properties( ) { ?>
  		<?php $room= wp_get_post_terms(get_the_ID(), 'room', array("fields" => "names"));?>
  		<?php $startDate=get_post_meta(get_the_ID(), "helix_met_class_date_start", true); ?>

  		<?php $startTime=get_post_meta(get_the_ID(), "helix_met_class_time_start", true); ?>
  		<?php $endTime=get_post_meta(get_the_ID(), "helix_met_class_time_end", true); ?>

  		<?php $daytime=get_post_meta(get_the_ID(), "helix_met_class_days", true); ?>

  		<?php $number_member=get_post_meta(get_the_ID(), "helix_met_class_number_member", true); ?>

  		<?php $regis_class=get_post_meta(get_the_ID(), "helix_met_class_link_resgister", true); ?>
  		<div class="class_properties">
		    <ul >
		    	<?php if($room!=''&&$room!=null){ ?>
			    	<li>
			    		<i class="fa fa-map-marker" aria-hidden="true"></i>
			    		<span><?php echo esc_html($room[0]); ?></span>
			    	</li>
		    	<?php } ?>
		    	<?php if($startDate!='') { ?>
		    		<li>
		    			<i class="fa fa-calendar-o" aria-hidden="true"></i>
		    			<span><?php echo esc_html($startDate); ?></span>
		    		</li>
		    	<?php } ?>
		    	<?php if($startTime != ''|| $endTime != '' ){ ?>
		    		<li>
			    		<i class="fa fa-clock-o" aria-hidden="true"></i>
			    		<span>
			    			<?php echo esc_html($startTime); ?>
				        	<?php if($startTime!=''){?>
					        	<?php esc_html_e('-', 'helix'); ?>
				        	<?php } ?>
				        	<?php echo esc_html($endTime); ?>
			    		</span>
			    	</li>
		    	<?php } ?>
		    	<?php if($number_member!=''){ ?>
		    		<li>
		    			<i class="fa fa-users" aria-hidden="true"></i>
		    			<span>
		    				<?php echo trim($number_member); ?><?php esc_html_e(' members', 'helix'); ?>
		    			</span>
		    		</li>
		    	<?php } ?>
		    	<?php if($daytime!='') { ?>
		    		<li>
		    			<i class="fa fa-calendar-minus-o" aria-hidden="true"></i>
		    			<span>
		    			<?php $count=count($daytime);$index=0; ?>
		    			<?php foreach ($daytime as $key => $value) { ?>
		    				<?php $index++; ?>
		    				<?php if($index==$count){ ?>
		    					<?php echo substr($value, 0, 3); ?>
		    				<?php }else{ ?>
		    					<?php echo substr($value, 0, 3).','; ?>
		    				<?php } ?>
		    			<?php } ?>
		    			</span>
		    		</li>
		    	<?php } ?>
		    	
		    </ul>
		   <?php if($regis_class!='') { ?>
    		<span class="regis_class">
				<a href="<?php echo esc_attr($regis_class); ?>"><?php esc_html_e('Register class', 'helix'); ?></a>
    		</span>
	    <?php } ?>
	    </div>

  <?php }
}

if ( ! function_exists( 'helix_content_properties' ) ) {
	function helix_content_properties( ) { ?>
	<?php 
		$event_schedule=get_post_meta(get_the_ID(), "helix_met_group_event_schedule", true);
		$time=get_post_meta(get_the_ID(), "helix_met_event_fromdate", true); 
		$location = wp_get_post_terms(get_the_ID(), 'location', array("fields" => "names"));
		$price = wp_get_post_terms(get_the_ID(), 'price', array("fields" => "names"));
	?>
	<div class="event_properties">
		<ul>
			<?php if($event_schedule!=null){ ?>
				<li>
					<?php esc_html_e('Time:', 'helix'); ?>
					<span>
						<?php echo esc_html($event_schedule[0]["helix_met_event_time"]); ?>
					</span>
				</li>
			<?php } ?>
			<?php if($time!=null){ ?>
				<li>
					<?php esc_html_e('On:', 'helix'); ?>
					<span>
						<?php echo date('F j, Y',strtotime($time)) ; ?>
					</span>
				</li>
			<?php } ?>
			<?php if($location!=null){ ?>
				<li>
				   <?php esc_html_e('Location:', 'helix'); ?>
				   <span>
						<?php echo esc_html($location[0]); ?>
					</span>
				</li>
			<?php } ?>
			<?php if($price!=null) {?>
				<li>
					<?php esc_html_e('Price:', 'helix'); ?>
					<span>
						<?php $count=count($price);$index=0; ?>
		    			<?php foreach ($price as $key => $value) { ?>
		    				<?php $index++; ?>
		    				<?php if($index==$count){ ?>
		    					<?php echo esc_html($value); ?>
		    				<?php }else{ ?>
		    					<?php echo esc_html($value).','; ?>
		    				<?php } ?>
		    			<?php } ?>
					</span>
				</li>
			<?php } ?>
		</ul>
	</div>
	<?php }
}
if ( ! function_exists( 'helix_event_session' ) ) {
	function helix_event_session( ) { ?>
	<?php
		 $event_schedule=get_post_meta(get_the_ID(), "helix_met_group_event_schedule", true);
	 ?>
	<div class="event_session">
		<table class="table table-hover">
			<tr>
				<th class="stt">
					#
				</th>
				<th>
					<?php esc_html_e('Session', 'helix'); ?>
				</th>
				<th>
					<?php esc_html_e('Time', 'helix'); ?>
				</th>
			</tr>
			<?php $index=0; ?>
			<?php foreach ($event_schedule as $key => $value) { ?>
			<?php $index++; ?>
			<tr>
				<td   class="stt">
					<?php echo esc_html($index); ?>
				</td>
				<td>
					<?php echo esc_html($value["helix_met_event_session"]); ?>
				</td>
				<td>
					<?php echo esc_html($value["helix_met_event_time"]); ?>
				</td>
			</tr>
			<?php } ?>
		</table>
	</div>
	<?php }
}
if ( ! function_exists( 'helix_event_location_map' ) ) {
	function helix_event_location_map( ) { ?>
	<?php
		 $event_map=get_post_meta(get_the_ID(), "helix_met_map", true);
		 $event_address=get_post_meta(get_the_ID(), "helix_met_event_address", true);
		 $event_phone_number=get_post_meta(get_the_ID(), "helix_met_event_phone_number", true);
		 $location = wp_get_post_terms(get_the_ID(), 'location');
	 ?>
		<div class="helix_event_location_map" data-latitude="<?php echo esc_attr($event_map["latitude"]); ?>" data-longitude="<?php echo esc_attr($event_map["longitude"]); ?> " data-address="<?php echo esc_attr($event_address); ?>" data-phone="<?php echo esc_attr($event_phone_number); ?>">
			<h3>
				<?php esc_html_e('Event location', 'helix'); ?>
			</h3>
			<p>
				<?php if($location) { echo esc_html($location[0]->description); } ?>
			</p>
			<div class="event_map" id="<?php echo strtotime(date("Y-m-d")); ?>">
			</div>
		</div>
	<?php }
}
if ( ! function_exists( 'helix_gallery_video' ) ) {
  function helix_gallery_video( ) { ?>
  		<?php $gallery=get_post_meta(get_the_ID(), "helix_met_class_file_list", true); ?>
  		<?php $video=wp_oembed_get(get_post_meta(get_the_id(), "helix_met_class_embed_media", true)) ?>
  		<?php $g_active='active';$v_active=''; ?>
  		<?php $boder_radius=''; ?>
  		<?php if($gallery=='') {?>
  			<?php $g_active='';$v_active='active'; ?>
  			<?php $boder_radius='40px 40px 40px 40px'; ?>
  		<?php }?>
  		<?php if($video=='') {?>
  			<?php $g_active='active';$v_active=''; ?>
  			<?php $boder_radius='40px 40px 40px 40px'; ?>
  		<?php }?>
  		<?php if($gallery!='' || $video!='') {?>
		    <div class="post-gallery">
	            <h3>
	                <?php esc_html_e('Gallery & Videos', 'helix'); ?>
	            </h3>
	            <ul class=gallery-tab>
	            	<?php if($gallery!='') { ?>
		                <li class="<?php echo esc_attr($g_active); ?>" data-type="Pictures" style="border-radius: <?php echo esc_attr($boder_radius); ?>">
		                    <?php esc_html_e('Pictures', 'helix'); ?>
		                </li>
	            	<?php } ?>
	            	<?php if($video!='') { ?>
		                <li data-type="Videos" class="<?php echo esc_attr($v_active); ?>" style="border-radius: <?php echo esc_attr($boder_radius); ?>">
		                    <?php esc_html_e('Videos', 'helix'); ?>
		                </li>
	                <?php } ?>
	            </ul>
	            <div class="post-gallery-content">
	            	<?php if($gallery!='') { ?>
		                <div class="gallery-content <?php echo esc_attr($g_active); ?>" data-type="Pictures">
		                    <ul class="gallery">
		                    	<?php foreach ($gallery as $key => $value) { ?>

			                        <li class="popup-gallery col-md-3 col-sm-4 col-xs-6 col-xsm-12 no-padding">
			                            <a class="popup2" href="<?php  echo esc_attr($value); ?>">
			                             <img class="img-responsive" src="<?php  echo esc_attr($value); ?>" alt="<?php echo get_the_title(); ?>">
			                            </a>
			                        </li>
		                        <?php } ?>
		                    </ul>
		                </div>
	                <?php } ?>
	                <?php if($video!='') { ?>
		                <div class="gallery-content <?php echo esc_attr($v_active); ?>" data-type="Videos">
		                    <div class="js-video postformat_video">
						        <?php echo ''.$video; ?>
						    </div>
		                </div>
	                <?php } ?>
	            </div>
	        </div>
        <?php } ?>
  <?php }
}
if ( ! function_exists( 'helix_trainer_info' ) ) {
  function helix_trainer_info( ) { ?>
  		<?php $term_trainer = wp_get_post_terms(get_the_ID(), 'trainer', array("fields" => "all")); ?>
  		<?php $avatar=get_term_meta($term_trainer[0]->term_id, "helix_met_trainer_avatar", true); ?>
  		<?php $facebook=get_term_meta($term_trainer[0]->term_id, "helix_met_trainer_facebook", true); ?>
  		<?php 
  			$twitter=get_term_meta($term_trainer[0]->term_id, "helix_met_trainer_twitter", true);
            $instagram=get_term_meta($term_trainer[0]->term_id, "helix_met_trainer_instagram", true);
  		 ?>
	    <div class="post-author-info">
	    	<?php if($avatar!=''){ ?>
		    	<div class="col-md-2 col-sm-2 no-padding">
			    	<a href="<?php echo get_term_link($term_trainer[0]); ?>">
			    		<img src="<?php echo esc_attr($avatar); ?>" class="img-responsive">
			    	</a>
		    	</div>
	    	<?php } ?>
	    	<div class="col-md-10 col-sm-10 no-padding-right">
	    		<h3>
		    		<a href="<?php echo get_term_link($term_trainer[0]); ?>"><?php echo esc_html($term_trainer[0]->name); ?>
		    		</a>
		    	</h3>
			    <div class="author-desc">
			    	<?php echo esc_html($term_trainer[0]->description); ?>
			    </div>
			    <div class="trainer_social">
			      	<?php if($facebook!=''){ ?>
			    		<a href="<?php echo esc_url($facebook); ?>"><?php esc_html_e('+ Facebook', 'helix'); ?></a>
			    	<?php } ?>
			    	<?php if($twitter!=''){  ?>
                        <a href="<?php echo esc_url($twitter); ?>"><?php esc_html_e('+ Twitter', 'helix'); ?></a>
                   <?php  }  ?>
                   <?php  if($instagram!=''){  ?>
                        <a href="<?php echo esc_url($instagram); ?>"><?php esc_html_e('+ Instagram', 'helix'); ?></a>
                    <?php } ?>
			    </div>
			    
	    	</div>
		</div>
  <?php }
}

if ( ! function_exists( 'helix_author_info' ) ) {
  function helix_author_info( ) { ?>

	    <div class="post-author-info">
	    	<div class="col-md-2 col-sm-2 no-padding">
	    	<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
	    		<?php echo get_avatar( get_the_author_meta( 'ID' ), 100 ); ?>
	    	</a>
	    	</div>
	    	<div class="col-md-10 col-sm-10 no-padding-right">
	    		<h3>
		    		<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author_meta( 'display_name' ); ?>
		    		</a>
		    	</h3>
			    <div class="author-desc">
			    	<?php echo get_the_author_meta('description'); ?>
			    </div>
			    
	    	</div>
		</div>
  <?php }
}
if ( ! function_exists( 'helix_content_body' ) ) {
  function helix_content_body( ) { ?>
  	<div class="post-excerpt">
		<?php if(is_single()){
		    the_content();
		    wp_link_pages();                
		}else{
			the_excerpt();
		}?>
	</div>
<?php 
	}
}

if ( ! function_exists( 'custom_excerpt' ) ) {
	function custom_excerpt($limit) {
	  $excerpt = explode(' ', get_the_excerpt(), $limit);
	  if (count($excerpt)>=$limit) {
	    array_pop($excerpt);
	    $excerpt = implode(" ",$excerpt).'';
	  } else {
	    $excerpt = implode(" ",$excerpt);
	  }
	  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
	  return $excerpt;
	}
}
if ( ! function_exists( 'helix_content_readmore' ) ) {
  function helix_content_readmore( ) { ?>
  	<div class="post-footer">
		<div class="post-readmore">
		    <a class="btn btn-theme btn-theme-transparent transition_helix" href="<?php the_permalink(); ?>"><?php  _e('Read more', 'helix'); ?></a>
		</div>
	</div>
 <?php }
}
if ( ! function_exists( 'helix_content_class_readmore' ) ) {
  function helix_content_class_readmore( ) { ?>
  	<div class="post-footer">
		<div class="post-readmore">
		    <a class="btn btn-theme btn-theme-transparent transition_helix" href="<?php the_permalink(); ?>"><?php  _e('Learn more', 'helix'); ?>
		    	<i class="fa fa-long-arrow-right"></i>
		    </a>
		</div>
	</div>
 <?php }
}
if ( ! function_exists( 'helix_content_event_readmore' ) ) {
  function helix_content_event_readmore( ) { ?>
  	<div class="post-footer">
		<div class="post-readmore">
		    <a class="btn btn-theme btn-theme-transparent transition_helix" href="<?php the_permalink(); ?>"><?php  _e('More detail', 'helix'); ?>
		    	<i class="fa fa-long-arrow-right"></i>
		    </a>
		</div>
	</div>
 <?php }
}
if ( ! function_exists( 'helix_content_tag' ) ) {
  function helix_content_tag( ) { ?>
	        <?php if(has_tag()){ ?>
		        <footer class="post-tag">
		            <span class="post-tags"><i class="fa fa-tag"></i> 
		            <?php esc_html_e('Tags: ','helix'); ?>
		                <?php the_tags('',',&nbsp;',''); ?>
		            </span> &nbsp;
		        </footer>
	        <?php } ?>
	        <!-- <?php if(has_category( )){ ?>
	            <span class="post-categories"><i class="fa fa-folder-open"></i> 
	                <?php the_category(','); ?>
	            </span>
	        <?php } ?> -->
 <?php }
}

if ( ! function_exists( 'helix_content_gallery' ) ) {
 	function helix_content_gallery( ) {

		if(has_post_format('gallery')){

			$gallery = get_post_meta(get_the_ID(), 'helix_met_file_list', true)?get_post_meta(get_the_ID(), 'helix_met_file_list', true):'';




		    $k = 0;
		    if($gallery){
		        $i=0;

		        ?>

		        <div id="carousel-example-generic" class="carousel slide" data-ride="carousel">
				  <!-- Indicators -->
				  <!-- <ol class="carousel-indicators">
				  	<?php foreach ($gallery as $key => $value) { ?>
				    	<li data-target="#carousel-example-generic" data-slide-to="<?php echo esc_attr($i); ?>" class="<?php echo ($i==0) ? 'active':''; ?>"></li>
				    <?php $i++; } ?>
				  </ol> -->

				  <!-- Wrapper for slides -->
				  <div class="carousel-inner" role="listbox">
				  	<?php foreach ($gallery as $key => $value) { ?>
					    <div class="item <?php echo esc_attr($k==0)?'active':'';$k++; ?>">
					      <img class="img-responsive" src="<?php  echo esc_attr($value); ?>" alt="<?php echo get_the_title(); ?>">
					    </div>
				   	<?php } ?>
				   </div>
				    <!-- Controls -->
					  <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
					    <span class="fa fa-angle-left" aria-hidden="true"></span>
					    <span class="sr-only">Previous</span>
					  </a>
					  <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
					    <span class="fa fa-angle-right" aria-hidden="true"></span>
					    <span class="sr-only">Next</span>
					  </a>
				</div>

		       
		        <?php
		    }
		}

	}
}



//Custom comment List:
if ( ! function_exists( 'helix_theme_comment' ) ) {
function helix_theme_comment($comment, $args, $depth) {

   $GLOBALS['comment'] = $comment; ?>   
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <article class="comment_item" id="comment-<?php comment_ID(); ?>">
         <header class="comment-author">
         	<?php echo get_avatar($comment,$size='70', $default = 'mysteryman' ); ?>
         </header>

         <section class="comment-details">
            <div class="comment-meta commentmetadata clearfix media-body author-name">
              <div class="author-name">
                <?php printf('%s', get_comment_author_link()) ?>&nbsp;<br/>
                <div class="realy-comment">
	             	<span>
	             		<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
	             	</span>
            	</div>
              </div> 
              <div class="date_comment"><?php printf(get_comment_date()) ?></div>
            </div>
            <div class="comment-body clearfix comment-content">
                  <?php comment_text() ?>
            </div>
            
          </section>
          <?php if ($comment->comment_approved == '0') : ?>
             <em><?php esc_html_e('Your comment is awaiting moderation.', 'helix') ?></em>
             <br />
          <?php endif; ?>
     </article>
<?php
}
}






