<?php

add_action('wp_enqueue_scripts', 'helix_theme_scripts_styles');
add_action('wp_enqueue_scripts', 'helix_google_fonts');
add_action('wp_head', 'helix_primary_color');




function helix_theme_scripts_styles() {

    
    /* Add Javascript bellow - use helix_add_js() to add: $name - unique, $url - path of javascript */
    helix_add_js('bootstrap', OVA_THEME_URI.'/js/bootstrap/js/bootstrap.min.js');
    helix_add_js('bootstrap-switch', OVA_THEME_URI.'/js/bootstrap/js/bootstrap-switch.min.js');
    helix_add_js('bootstrap-hg', OVA_THEME_URI.'/js/bootstrap/js/highlight.js');
    helix_add_js("googleapis", "https://maps.googleapis.com/maps/api/js?key=AIzaSyDsZ-Acy5Qz-RGmlRLVqnaPq8_2G9c-riE",array(),false,true); 

    helix_add_js('owlcarousel', OVA_THEME_URI.'/js/owlcarousel2/owl.carousel.min.js');
    helix_add_js('magnific', OVA_THEME_URI.'/js/jquery.magnific-popup.min.js');


    // Fullcalendar
    wp_enqueue_script('moment', OVA_THEME_URI.'/js/fullcalendar/moment.min.js', array('jquery'),null,true);
    wp_enqueue_script('fullcalendar-main', OVA_THEME_URI.'/js/fullcalendar/main.js', array('jquery'),null,true);
    wp_enqueue_script('locale-all', OVA_THEME_URI.'/js/fullcalendar/locales-all.js', array('jquery'),null,true);
    wp_enqueue_style('fullcalendar', OVA_THEME_URI.'/js/fullcalendar/main.min.css', array(), null);
    
  
    helix_add_js('helix_theme', OVA_THEME_URI.'/js/theme.js');
    if(!is_admin()){
      wp_localize_script( 'helix_theme', 'ajax_object', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
    }


    /* Add Css bellow - uyse helix_add_css to add: $name - unique, $url - path of css*/
    helix_add_css('bootstrap', OVA_THEME_URI.'/js/bootstrap/css/bootstrap.min.css');
    helix_add_css('bootstrap-switch', OVA_THEME_URI.'/js/bootstrap-3.3.5-dist/css/bootstrap-switch.min.css');
    helix_add_css('font-awesome-4.4.0', OVA_THEME_URI.'/js/font-awesome-4.4.0/css/font-awesome.min.css');
    helix_add_css('ionicons', OVA_THEME_URI.'/css/ionicons/css/ionicons.css');
    helix_add_css('owlcarousel', OVA_THEME_URI.'/js/owlcarousel2/assets/owl.carousel.min.css');
    helix_add_css('animate', OVA_THEME_URI.'/css/animate.css');
    helix_add_css('magnific', OVA_THEME_URI.'/css/style-magnific-popup.css');
    helix_add_css('default', OVA_THEME_URI.'/css/default.css');
   

    

    helix_add_css('theme', OVA_THEME_URI.'/css/theme.css');
    helix_add_css('theme_second', OVA_THEME_URI.'/css/theme_second.css');

    if ( is_child_theme() ) {
      wp_enqueue_style( 'parent-stylesheet', trailingslashit( get_template_directory_uri() ) . 'style.css', false );
    }

    wp_enqueue_style( 'theme-style', get_stylesheet_uri(), array(), 'helix' );

}

function helix_primary_color(){ ?>

         <style type="text/css">

            <?php
                $main_color = get_theme_mod('main_color', '#90a0a5');
                $second_color = get_theme_mod('second_color', '#dc6d6d');
                
                $body_font = str_replace('ovatheme_','',get_theme_mod('body_font', 'Droid Serif'));
                $heading_font = str_replace('ovatheme_','',get_theme_mod('heading_font', 'Montserrat'));                
                
            ?>
            body{
              font-family: <?php echo esc_html($body_font); ?>, arial;
            }
            h1,h2,h3,h4,h5,h6{
              font-family: <?php echo esc_html($heading_font); ?>, arial;
            }
            /*Montserrat*/
            .default_menu .topbar .navbar-left,
            .default_menu .navbar-default #menu_top .navbar-left li > a,
            .default_menu .navbar-default .navbar-right .search-form label > input,
            .page-section .header_top .section-head h1,
            .page-section aside.sidebar .widget h4.widget-title,
            .page-section aside.sidebar .widget_categories ul li,
            .page-section aside.sidebar .widget_categories ul li a,
            .page-section aside.sidebar .widget_tag_cloud .tagcloud a,
            .page-section article.post-wrap .post-title a,
            .page-section article.post-wrap .post-footer .post-readmore a,
            .page-section .pagination-wrapper ul li a,
            .page-section article.post-wrap .post-author-info h3 a,
            .page-section .content_comments .comment_content h4.block-title,
            .page-section .content_comments .comment_content .author-name a,
            .page-section .content_comments .commentform h2.block-title,
            .page-section .content_comments .commentform label,
            .page-section .content_comments .commentform input[type="submit"],
            footer.helix_footer .widget h4.widget-title,
            footer.helix_footer .helix_footer_content .footer-form input[type="submit"],
            .helix_woo_product .woo_product_info .product-title a,
            .helix_woo_product .woo_product_info .product-price .amount,
            .helix_woo_product .woo_product_info .show_shop a,
            .helix_saleup .salup_detail h3,
            .page-section aside.sidebar .widget div.widget-title ,
            .page-section aside.sidebar .widget ul li span,
            .helix_classes .class_header h3,
            .helix_classes .class_content[data-type="list"] article .post-title h2 a,
            .helix_classes .class_content[data-type="list"] article .post-footer a,
            .helix_classes .class_content[data-type="grid"] article .post-footer .post-readmore a,
            .helix_classes .class_content[data-type="grid"] article .post-title h2 a,
            .helix_classes .class_loadmore a,
            .helix_classes .class_content .class_content_single article.post-wrap h1.post-title a,
            .helix_classes .class_content .breadcrumb li,
            .helix_classes .class_content .breadcrumb li a,
            .helix_classes .class_content .breadcrumb a,
            .helix_classes .class_content .class_content_single article.post-wrap .post-media .class_properties .regis_class a,
            .helix_classes .class_content .class_content_single article.post-wrap .post-gallery h3,
            .page-section article.post-wrap .post-author-info h3 a,
            .page-section .content_comments .comment_content .comment-meta .author-name .realy-comment a,
            .section-header h2,
            .section-header p,
            .section-yoga-club h2,
            .section-class-filter .class_header label,
            .section-class-filter .class_content_filter article .post-footer .post-readmore a,
            .section-blog-filter .blog_content_filter article .post-title h2 a,
            .section-blog-filter .blog_content_filter article .post-footer .post-readmore a,
            .section-blog-filter .class_header ul li,
            .section-blog-filter .class_header label,
            .section-inspiration h2,
            .header_inspiration h3,
            .section-trainer .trainer-title h3 a ,
            .helix_membership .helix_membership_switch label,
            .helix_membership .membership_item h3,
            .helix_membership .membership_item .plan-price .plan-unit,
            .helix_membership .membership_item .plan-price .currency,
            .helix_membership .membership_item .regis_link a,
            .sc_button a,
            .woocommerce .ova-sort label,
            .woocommerce .ova-sort select,
            .woocommerce .helix-content-product-grid h3.product-name a,
            .woocommerce .helix-content-product-grid .woocommerce-Price-amount ,
            .woocommerce .helix-content-product-grid .product-type,
            .woocommerce .helix-content-product-list h3.product-name a,
            .woocommerce .helix-content-product-list .woocommerce-Price-amount ,
            .woocommerce .helix-content-product-list .product-type,
            .woocommerce .sidebar .widget ul.cart_list li span.mini_cart_title a,
            .woocommerce .sidebar .widget ul.cart_list li span.quantity,
            .woocommerce .sidebar .widget .total strong,
            .woocommerce .sidebar .widget .total .woocommerce-Price-amount,
            .woocommerce .helix-content-product-list .info li .helix_add_to_cart a,
            .woocommerce .sidebar .widget p.buttons a,
            .woocommerce .sidebar .price_slider_wrapper .price_slider_amount .price_label,
            .woocommerce .sidebar .price_slider_wrapper button.button,
            .woocommerce .sidebar .widget_layered_nav_filters ul li a,
            .section-banner-shop h2,
            .section-address .address_content h2,
            .helix_single_product .woocommerce-breadcrumb,
            .helix_single_product .content_right_product .summary .helix_title h1,
            .helix_single_product .content_right_product .summary .woocommerce-Price-amount,
            .helix_single_product .content_right_product .summary .helix_stock,
            .helix_single_product .content_right_product .summary .cat,
            .woocommerce .sidebar .widget_layered_nav ul li,
            .woocommerce .helix_page_cart .cart_left ul li,
            .woocommerce .helix_checkout > ul li,
            .woocommerce .helix_page_cart .cart_left .cart_info .title ,
            .woocommerce .helix_page_cart .cart_left .cart_info .product-quantity,
            .woocommerce .helix_page_cart .cart_left .cart_info .product-price,
            .woocommerce .helix_page_cart .cart_left .cart_info .product-subtotal,
            .woocommerce .helix_page_cart .cart_left .helix_cart_coupon .coupon button.button,
            .woocommerce .helix_page_cart .cart_left .helix_update_cart .button,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals table.shop_table th,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals h4,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals table.shop_table td .woocommerce-Price-amount,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals .wc-proceed-to-checkout a,
            .contact h4,
            .contact label,
            .contact input.submit-button,
            .google-map .noScroll,
            .trainer-single .trainer_content_single .trainer-title h3 a,
            .helix_calendar_filter label,
            .helix_calendar_filter ul.helix_filter li,
            .section-calendar .fc-view.fc-agendaWeek-view .fc-widget-content .fc-time-grid .fc-time-grid-event .fc-content .fc-title,
            .default_menu .navbar-default .navbar-right.dropdown #right_menu ul.menu li a,
            .search_notfound,
            .helix_events .event_header h3,
            .helix_events .event_content[data-type="list"] article .post-footer a,
            .helix_events .event_content .breadcrumb li a,
            .helix_events .event_content .breadcrumb li,
            .helix_events .event_content .event_content_single article.post-wrap .post-body .event_session tr th,
            .helix_events .event_content .event_content_single article.post-wrap .post-body .helix_event_location_map h3,
            .woocommerce form .form-row label,
            .woocommerce table.shop_table th,
            #add_payment_method #payment ul.payment_methods li, .woocommerce-cart #payment ul.payment_methods li, .woocommerce-checkout #payment ul.payment_methods li,
            .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,
             .woocommerce #payment #place_order, .woocommerce-page #payment #place_order
            {
              font-family: <?php echo esc_html($heading_font); ?>, arial;
            }
            /*Droid Serif*/
            .page-section .header_top .section-head p,
            .page-section aside.sidebar .widget_search .search-form .search-field,
            .page-section aside.sidebar .widget_text .mc4wp-form .mail-desc,
            .page-section article.post-wrap .post-meta-content,
            .page-section article.post-wrap .post-meta-content a,
            .page-section article.post-wrap footer.post-tag,
            .page-section article.post-wrap footer.post-tag a,
            .page-section article.post-wrap .post-body .post-excerpt blockquote,
            .page-section article.post-wrap .post-author-info .author-desc,
            .page-section .content_comments .commentform input,
            .page-section .content_comments .commentform .helix_comment_note,
            footer.helix_footer .menu-footer-menu-container ul li a,
            footer.helix_footer .helix_copyright,
            footer.helix_footer .widget .list li,
            footer.helix_footer .helix_footer_content .footer-form span.info,
            footer.helix_footer .helix_footer_content .footer-form input[type="text"],
            .helix_saleup .salup_detail p,
            .page-section aside.sidebar #search-form input[type="text"],
            .helix_classes .class_content[data-type="grid"] article .post-meta span,
            .helix_classes .class_content .class_content_single article.post-wrap .post-media .class_properties li span,
            .section-blog-filter .blog_content_filter article .post-meta span a,
            .section-inspiration p,
            .header_inspiration p,
            .section-trainer .trainer-job p,
            .helix_customer blockquote,
            .helix_membership .membership_item .member_content,
            .woocommerce .helix-content-product-list .desc,
            .section-address .address_content p,
            .helix_single_product .content_right_product .summary .woocommerce-product-rating,
            .helix_single_product .content_right_product .summary .quick-info,
            .helix_single_product .content_right_product .summary .helix-add-to-cart .quantity .qty,
             .woocommerce .helix_page_cart .cart_left .helix_cart_coupon .coupon input,
             .contact .note,
             .section-banner-shop p,
             .trainer-single .trainer_content_single .trainer-title .trainer-class a,
             .trainer-single .trainer_content_single .trainer-job, .trainer-single .trainer_content_single .trainer-experience, .trainer-single .trainer_content_single .trainer-email, .trainer-single .trainer_content_single .trainer-desc,
             .section-calendar .fc-view.fc-agendaWeek-view .fc-widget-content .fc-time-grid .fc-time-grid-event .fc-content .fc-trainer,
             .section-calendar .fc-view.fc-agendaWeek-view .fc-widget-content .fc-time-grid .fc-time-grid-event .fc-content .fc-time span,
             .section-calendar .fc-view.fc-agendaWeek-view .fc-widget-content .fc-time-grid .fc-time-grid-event .fc-content .fc-address,
             .helix_events .event_content[data-type="list"] article .post-body,
             .helix_events .event_content article .post-meta .event_properties ul li
            {
              font-family: <?php echo esc_html($body_font); ?>, arial;
            }
            .default_menu .navbar-default #menu_top .navbar-left li > a,
            .page-section aside.sidebar .widget h4.widget-title,
            .page-section aside.sidebar .widget_tag_cloud .tagcloud a,
            .page-section .pagination-wrapper ul li a,
            .page-section .content_comments .comment_content .date_comment,
            .page-section .content_comments .commentform label,
            .page-section .content_comments .commentform .helix_comment_note,
            .page-section .content_comments .commentform h3 small a,
            footer.helix_footer .widget h4.widget-title,
            footer.helix_footer .helix_footer_content .footer-form input[type="text"],
            .helix_woo_product .woo_product_info .show_shop a,
            .page-section aside.sidebar .widget div.widget-title,
            .helix_classes .class_header ul li i,
            .helix_classes .class_content[data-type="list"] article .post-footer a,
            .helix_classes .class_content[data-type="grid"] article .post-footer .post-readmore a,
            .helix_classes .class_content .breadcrumb li a,
            .helix_classes .class_content .breadcrumb a,
            .helix_classes .class_content .nav_paging a i,
            .helix_classes .class_content .class_content_single article.post-wrap .post-gallery .gallery-tab li,
            .helix_classes .class_content .class_content_single .post-author-info .trainer_social a:hover,
            .section-class-filter .class_header label,
            .section-class-filter .class_header ul li .class_slug,
            .section-class-filter .class_content_filter article .post-footer .post-readmore a,
            .section-class-filter .class_content_filter .owl-controls .owl-prev i,
            .section-class-filter .class_content_filter .owl-controls .owl-next i,
            .section-blog-filter .blog_content_filter article .post-footer .post-readmore a,
            .section-blog-filter .class_header ul li,
            .section-blog-filter .class_header label,
            .helix_membership .membership_item .plan-price .plan-unit,
            .helix_membership .membership_item .plan-price .currency,
            .woocommerce .ova-sort label,
            .woocommerce .ova-sort select ,
            .woocommerce .helix-content-product-grid .product-type,
            .woocommerce .helix-content-product-list .product-type,
            .woocommerce .sidebar .widget_layered_nav_filters ul li a,
            .section-address .address_content p,
            .helix_single_product .woocommerce-breadcrumb a,
            .helix_single_product .nav_paging a i,
            .helix_single_product .content_right_product .summary .woocommerce-product-rating a,
            .helix_single_product .content_right_product .summary .helix-add-to-cart .quantity .qty,
            .helix_single_product .content_right_product .summary .cat,
            .helix_single_product .content_right_product .summary .cat a,
            .helix_single_product .woocommerce-tabs ul li a,
            .woocommerce .helix-content-product-list .woocommerce-Price-amount,
            .woocommerce .helix_page_cart .cart_left ul li,
            .woocommerce .helix_page_cart .cart_left ul li .badge,
            .woocommerce .helix_checkout > ul li,
            .woocommerce .helix_checkout > ul li .badge,
            .woocommerce .helix_page_cart .cart_left .helix_cart_coupon .coupon input,
            .woocommerce .helix_page_cart .cart_left .helix_cart_coupon .coupon button.button,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals table.shop_table th,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals h4,
            .contact label,
            .contact .note,
            .helix_calendar_filter label,
            .helix_calendar_filter ul.helix_filter li,
            .woocommerce .woo_pagiantion .woocommerce-pagination ul li a.prev, 
            .woocommerce .woo_pagiantion .woocommerce-pagination ul li a.next,
            .woocommerce .woo_pagiantion .woocommerce-pagination ul li a,
            .helix_events .event_header h3,
            .helix_events .event_header ul.tab-list li a,
            .helix_events .event_content[data-type="list"] article .post-footer a:hover,
            .helix_events .event_content[data-type="grid"] article .post-footer .post-readmore a:hover,
            .helix_events .event_content article .post-meta .event_properties ul li span,
            .helix_events .event_content .breadcrumb li a
            {
              color: <?php echo esc_html($main_color); ?>;
            }
            .page-section aside.sidebar .recent-posts-extended h3.rpwe-title a:hover,
            .helix_classes .class_content[data-type="list"] article .post-footer a:hover,
            .helix_classes .class_header ul.tab-list li:hover i,
            .helix_classes .class_content .breadcrumb li,
            .helix_classes .class_content .breadcrumb a:hover,
            .helix_classes .class_content .nav_paging a i:hover,
            .section-class-filter .class_content_filter .owl-controls .owl-prev:hover i,
            .section-class-filter .class_content_filter .owl-controls .owl-next:hover i,
            .section-blog-filter .blog_content_filter article .post-footer .post-readmore a:hover,
            .section-blog-filter .blog_content_filter article .post-meta span a:hover,
            .section-blog-filter .class_header ul li:hover .class_slug span,
            .section-blog-filter .class_header ul li.active .class_slug span,
            .section-blog-filter .blog_content_filter .owl-controls .owl-prev:hover i,
            .section-blog-filter .blog_content_filter .owl-controls .owl-next:hover i,
            .section-class-filter .class_content_filter article .post-title h2 a:hover,
            .section-blog-filter .blog_content_filter article .post-title h2 a:hover,
            .woocommerce .helix-content-product-grid .woocommerce-Price-amount,
            .woocommerce .helix-content-product-grid h3.product-name a:hover,
            .woocommerce .helix-content-product-list h3.product-name a:hover,
            .woocommerce .sidebar .widget ul.cart_list li span.mini_cart_title a:hover,
            .helix_single_product .nav_paging a:hover i,
            .helix_single_product .content_right_product .summary .woocommerce-product-rating a:hover,
            .helix_single_product .content_right_product .summary .helix-add-to-cart .quantity i:hover,
            .woocommerce .helix_page_cart .cart_left .cart_info .title a:hover,
             .woocommerce .helix_page_cart .cart-collaterals .cart_totals table.shop_table td strong .woocommerce-Price-amount,
             .helix_calendar_filter ul.helix_filter li:hover,
             .helix_calendar_filter ul.helix_filter li.active,
             .section-calendar .fc-view.fc-agendaWeek-view .fc-widget-content .fc-time-grid .fc-time-grid-event .fc-content .fc-trainer:hover,
              .woocommerce .woo_pagiantion .woocommerce-pagination ul li span.current,
              .woocommerce .woo_pagiantion .woocommerce-pagination ul li a:hover,
              .helix_events .event_header h3 span,
              .helix_events .event_header ul.tab-list li.active a
            {
              color: <?php echo esc_html($second_color); ?>!important;
            }
            .page-section aside.sidebar .widget_search .search-form .search-field,
            .page-section aside.sidebar .widget_text .mc4wp-form input[type="email"],
            .page-section aside.sidebar #search-form input[type="text"],
            .page-section aside.sidebar .widget ul li input[type="checkbox"],
            .woocommerce .helix-content-product-list .info li .helix_add_to_cart a:hover,
            .woocommerce .sidebar .widget p.buttons a:hover,
            .woocommerce .sidebar .price_slider_wrapper button.button:hover,
            .helix_single_product .content_right_product .summary .helix-add-to-cart .single_add_to_cart_button:hover,
            .helix_single_product .woocommerce-tabs .panel #reviews .form-submit .submit:hover,
            .woocommerce .helix_page_cart .cart_left .helix_update_cart .button:hover,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals .wc-proceed-to-checkout a:hover
            {
                border:1px solid <?php echo esc_html($main_color); ?>!important;
                color: <?php echo esc_html($main_color); ?>!important;
            }
            .helix_classes .class_content .class_content_single article.post-wrap .post-gallery .gallery-tab
            {
                border:1px solid <?php echo esc_html($main_color); ?>;
                background-color: <?php echo esc_html($main_color); ?>
            }
            .helix_classes .class_content .class_content_single article.post-wrap .post-gallery .gallery-tab li.active,
            .helix_single_product .content_right_product .summary .helix_title h1 .onsale
            {
                background-color: <?php echo esc_html($main_color); ?>
            }
            .helix_woo_product .woo_product_info .product-price del,
            .helix_woo_product .woo_product_info .product-price del .amount,
            .helix_classes .class_loadmore a:hover,
            .page-section .content_comments .comment_content .comment-meta .author-name .realy-comment a,
            .woocommerce .helix-content-product-grid  del .woocommerce-Price-amount,
            .trainer-single .trainer_content_single .trainer-title .trainer-class a:hover
            {
              color: <?php echo esc_html($main_color); ?>!important;
            }
            .page-section aside.sidebar .widget_categories ul> li a:hover,
            .page-section article.post-wrap footer.post-tag a:hover,
            .page-section aside.sidebar .widget ul li span.item_count,
            .helix_classes .class_header ul.tab-list li.active i,
            .helix_classes .class_header h3 span,
            .helix_classes .class_content[data-type="list"] article .post-title h2 a:hover,
            .helix_classes .class_content[data-type="grid"] article .post-title h2 a:hover,
            .page-section aside.sidebar .widget ul li span a:hover,
            .helix_classes .class_content .class_content_single article.post-wrap .post-meta .post-meta-content .post-author .right,
            .helix_classes .class_content .class_content_single article.post-wrap .post-meta .post-meta-content .post-level .right,
            .section-class-filter .class_header ul li:hover i,
            .section-class-filter .class_header ul li.active i,
            .section-trainer .trainer-social ul li a:hover i,
            .section-trainer .trainer-title h3 a:hover,
            .ova-list-grid-tabs li.active  a .fa,
            .helix_single_product .content_right_product .summary .cat a:hover,
            .woocommerce .helix-content-product-grid .star-rating,
            .woocommerce .helix-content-product-list .star-rating,
            .helix_single_product .woocommerce-tabs .panel #reviews .star-rating,
            .helix_single_product .woocommerce-tabs .panel .stars a,
            .page-section .pagination-wrapper ul li:hover a.prev,
            .page-section .pagination-wrapper ul li:hover a.next,
            .trainer-single .trainer_content_single .trainer-social ul li a:hover i
            {
                color: <?php echo esc_html($second_color); ?>!important;
            }
            .page-section aside.sidebar .widget_tag_cloud .tagcloud a:hover{
              background-color: <?php echo esc_html($second_color); ?>!important;
              border: 1px solid <?php echo esc_html($second_color); ?>!important;
              -webkit-box-shadow: 0px 2px 2px 0px <?php echo esc_html($second_color); ?>!important;;
              -moz-box-shadow: 0px 2px 2px 0px <?php echo esc_html($second_color); ?>!important;;
              box-shadow: 0px 2px 2px 0px <?php echo esc_html($second_color); ?>!important;;
            }
            .page-section aside.sidebar .widget_text .mc4wp-form input[type="submit"],
            .page-section article.post-wrap .post-footer .post-readmore a,
            footer.helix_footer .helix_footer_content .footer-form input[type="submit"],
            .helix_saleup .salup_detail a,
            .helix_classes .class_content .class_content_single article.post-wrap .post-media .class_properties .regis_class a,
            .woocommerce .helix-content-product-list .info li .helix_add_to_cart a,
            .helix_single_product .content_right_product .summary .helix-add-to-cart .single_add_to_cart_button ,
            .woocommerce .helix_page_cart .cart_left .helix_update_cart .button 
            {
              border:1px solid <?php echo esc_html($second_color); ?>!important;
              background-color: <?php echo esc_html($second_color); ?>;
            }
            .page-section article.post-wrap .post-footer .post-readmore a:hover{
              border:1px solid <?php echo esc_html($second_color); ?>!important;
              color: <?php echo esc_html($second_color); ?>!important;
            }
            .page-section aside.sidebar .widget_text .mc4wp-form input[type="submit"]:hover,
            .page-section .content_comments .commentform input[type="submit"]:hover,
            footer.helix_footer .helix_footer_content .footer-form input[type="submit"]:hover,
            .helix_saleup .salup_detail a:hover,
            .helix_classes .class_content .class_content_single article.post-wrap .post-media .class_properties .regis_class a:hover,
             input.submit-button:hover
             {
              border:1px solid <?php echo esc_html($second_color); ?>!important;
              color: <?php echo esc_html($second_color); ?>!important;
            }
            .section-address i:hover
            {
                 color: <?php echo esc_html($second_color); ?>!important;
                 border-color:  <?php echo esc_html($second_color); ?>!important;
            }
            .page-section .pagination-wrapper ul li a:hover,
            .page-section .pagination-wrapper ul li.active a,
            .page-section .pagination-wrapper ul li.active span,
            .page-section .pagination-wrapper ul li span.current,
            .page-section .content_comments .commentform input[type="submit"],
            .helix_membership .membership_item .regis_link a:hover,
            .woocommerce .sidebar .widget p.buttons a,
            .woocommerce .sidebar .price_slider_wrapper button.button,
            .woocommerce .helix_page_cart .cart-collaterals .cart_totals .wc-proceed-to-checkout a,
            .contact input.submit-button
            {
              border:1px solid <?php echo esc_html($second_color); ?>;
              background-color: <?php echo esc_html($second_color); ?>;
            }
            .helix_single_product .woocommerce-tabs .panel #reviews .form-submit .submit
            {
              border:1px solid <?php echo esc_html($second_color); ?>!important;
              background-color: <?php echo esc_html($second_color); ?>!important;
            }
            .page-section .pagination-wrapper ul li.prev a:hover, 
            .page-section .pagination-wrapper ul li.next a:hover,
            .helix_woo_product .woo_product_info .product-price .amount,
            .helix_woo_product .woo_product_info .show_shop a:hover,
            .helix_woo_product .woo_product_info .product-title a:hover,
            .helix_classes .class_content .class_content_single .post-author-info h3 a:hover,
            .section-class-filter .class_content_filter article .post-footer .post-readmore a:hover,
            .helix_single_product .content_right_product .summary .helix_stock .stock
            {
               color: <?php echo esc_html($second_color); ?>!important;
            }
            .helix_classes .class_loadmore a,
            .page-section .content_comments .commentform h3 a,
            .helix_classes .class_content .class_content_single .post-author-info .trainer_social a,
            .section-inspiration h2,
            .woocommerce .sidebar .widget .total .woocommerce-Price-amount,
            .helix_single_product .woocommerce-breadcrumb,
            .helix_single_product .content_right_product .summary .woocommerce-product-rating .star-rating,
            .helix_single_product .content_right_product .summary .woocommerce-Price-amount,
            .trainer-single .trainer_content_single .trainer-title .trainer-class a,
            .section-calendar .fc-view.fc-agendaWeek-view .fc-widget-content .fc-time-grid .fc-time-grid-event .fc-content .fc-time span,
            .section-calendar .fc-view.fc-agendaWeek-view .fc-widget-content .fc-time-grid .fc-time-grid-event .fc-content .fc-address,
            .helix_events .event_content[data-type="list"] article .post-footer a,
            .helix_events .event_content[data-type="grid"] article .post-footer .post-readmore a
            {
                color: <?php echo esc_html($second_color); ?>;
            }
             .page-section .content_comments .comment_content .comment-body,
             .page-section .content_comments .commentform input,
             .page-section .content_comments .commentform textarea,
             footer.helix_footer .helix_footer_content .footer-gallery li.popup-gallery a:hover,
             .woocommerce .helix_page_cart .cart_left .helix_cart_coupon .coupon input,
             .contact input[type="text"], .contact input[type="email"], .contact textarea 
             {
                border:1px solid <?php echo esc_html($main_color); ?>;
             }
            .loading-full .sk-child:before,
            .woocommerce .sidebar .price_slider .ui-slider-range,
            .woocommerce .helix_page_cart .cart_left ul li.active .badge,
            .woocommerce .helix_checkout> ul li.active .badge
            {
                background-color: <?php echo esc_html($second_color); ?>!important;
            }
            .helix_single_product .content_left_product .images a{
                 border:2px solid <?php echo esc_html($main_color); ?>;
            }

            .default_menu .topbar .helix_login a:hover, 
            .default_menu .topbar .helix_welcome a:hover,
            .helix_events .event_content .breadcrumb li
            {
                color: <?php echo esc_html($second_color); ?>;
            }
            .default_menu .navbar-default .navbar-right.dropdown #right_menu ul.menu li a:hover{
                color: <?php echo esc_html($second_color); ?>;    
            }
            .woocommerce form .form-row input.input-text, .woocommerce form .form-row textarea{
                padding: 5px;
            }

            @media (max-width: 768px) {
                .section-class-filter .nav-menu .toggle-menu:before{
                        color: <?php echo esc_html($main_color); ?>!important;
                    }
                .section-blog-filter .nav-menu .toggle-menu:before{
                        color: <?php echo esc_html($main_color); ?>!important;
                    }
            }
         </style>
    <?php
}




/* Google Font */
function helix_customize_google_fonts() {
    $fonts_url = '';

    $body_font = get_theme_mod('body_font', 'Droid Serif');
    $heading_font = get_theme_mod('heading_font', 'Montserrat');

    $body_font_c = _x( 'on', $body_font.': on or off', 'helix' );
    $heading_font_c = _x( 'on', $heading_font.': on or off', 'helix' );

 
    if ( 'off' !== $body_font_c || 'off' !== $heading_font_c ) {
        $font_families = array();
 
        if ( 'off' !== $body_font_c && strpos($body_font,'ovatheme_') === false ) {
            $font_families[] = $body_font.':100,200,300,400,500,600,700,800,900"';
        }
 
        if ( 'off' !== $heading_font_c && strpos($heading_font,'ovatheme_') === false ) {
            $font_families[] = $heading_font.':100,200,300,400,500,600,700,800,900';
        }
        
 
        

        if($font_families != null){
          $query_args = array(
              'family' => urlencode( implode( '|', $font_families ) ),
              'subset' => urlencode( 'latin,latin-ext' ),
          );  
          $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
        }

    }
 
    return esc_url_raw( $fonts_url );
}



/************************************************************************************************/
/************************************************************************************************/
/************************************************************************************************/


function helix_google_fonts() {
    wp_enqueue_style( 'helix-fonts', helix_customize_google_fonts(), array(), null );
}


function helix_add_js($name, $url){
    /* enqueue javascript */
    wp_enqueue_script($name,$url,array('jquery'),false,true);
}


function helix_add_css($name, $url){
    /* enqueue css*/
    wp_enqueue_style( $name,$url);
}

function helix_hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);
   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   return $rgb; // returns an array with the rgb values
}












