<?php
function helix_title_filter( $where, &$wp_query )
{
    global $wpdb;
    if ( $search_term = $wp_query->get( 'search_prod_title' ) ) {
        $where .= ' AND ' . $wpdb->posts . '.post_title LIKE \'%' . esc_sql( $search_term ) . '%\'';
    }
    return $where;
}
function helix_get_class_by_option() {
	$data = $_POST['data'];
    $page = (isset($data['pageNumber'])) ? $data['pageNumber'] : 0;
    $taxonomy_level = (isset($data['taxonomy_level'])) ? $data['taxonomy_level'] : '';
    $taxonomy_trainer = (isset($data['taxonomy_trainer'])) ? $data['taxonomy_trainer'] : '';
   $pagiantion=$data['page_total'];
    $args_basic = array(    
        'post_type' => 'class',
        'orderby'   => 'date',
        'post_status' => 'publish',
        'posts_per_page'  =>$pagiantion,
		'paged'    => $page
    );
    $args1=array();
    if($data['level_id']!=null && $data['level_id']!='' && $data['level_id']!='undefined' ){
    	$args1 = array(
                  'taxonomy'	=> 'level',
                  'field' 		=> 'term_id',
                  'terms' 		=> $data['level_id']
	            );
    }else if($taxonomy_level!='')
    {
    	$args1 = array(
          'taxonomy'	=> 'level',
          'field' 		=> 'slug',
          'terms' 		=> $taxonomy_level
        );
    }
    $args2=array();
    if($data['trainer_id']!=null && $data['trainer_id']!='' && $data['trainer_id']!='undefined' ){
    	$args2 =array(
                  'taxonomy'	=> 'trainer',
                  'field' 		=> 'term_id',
                  'terms' 		=> $data['trainer_id']
	            );
    }else if($taxonomy_trainer!=''){
    	$args2 =array(
          'taxonomy'	=> 'trainer',
          'field' 		=> 'slug',
          'terms' 		=> $taxonomy_trainer
        );
    }
    $tax_query=array();

    if($args1!=null)
    {
    	array_push($tax_query,$args1);
    }
    if($args2!=null)
    {
    	array_push($tax_query,$args2);
    }
    if($data['key_search']!=null && $data['key_search']!='')
    {
    	$args_basic = array(
	        'post_type' => 'class',
	        'search_prod_title' => $data['key_search'],
	        'post_status' => 'publish',
	        'orderby'     => 'title', 
	        'order'       => 'ASC',  
			'paged'    => $page
        );
    }
    if($tax_query!=null)
    {
		$tax_query_base=array('tax_query' => array(
             'relation' => 'AND',
              $tax_query
            )
      	);
      	$args = array_merge($args_basic,$tax_query_base);
    }else{
    	$args=$args_basic;
    }
	add_filter( 'posts_where', 'helix_title_filter', 10, 2 );
    $class = new WP_Query($args);
    remove_filter( 'posts_where', 'helix_title_filter', 10, 2 ); 
    ?>
    
    <?php $main_layout = $data['main_layout']; ?>
    <?php $class_layout= $data['class_type']; ?>
    <?php $col=''; ?>
    <?php $layout_full=''; ?>
    <?php if($main_layout == 'right_sidebar' || $main_layout == 'left_sidebar' ){ ?>
         <?php $col='col-md-12'; ?>
         <?php if($class_layout=='grid'){ ?>
            <?php $col='col-md-4'; ?>
        <?php } ?>
    <?php } else {?>
        <?php $col='col-md-6'; ?>
        <?php $layout_full='full'; ?>
        <?php if($class_layout=='grid'){ ?>
            <?php $col='col-md-3'; ?>
        <?php } ?>
    <?php } ?>
    <?php if($class->post_count ==0){ ?>
		<div class="search_notfound">
			<?php esc_html_e('We found 0 available classes with keyword:','helix').' '.$data['key_search']; ?>
			<input type="hidden" id="class_count" value="<?php echo esc_attr($class->post_count); ?>"></input>
		</div>
    <?php } else{ ?>
      <input type="hidden" id="class_count" value="<?php echo esc_attr($class->post_count); ?>" data-item="<?php echo esc_attr($class->found_posts); ?>"></input>
    <?php } ?>
    <?php if($class->have_posts()){
    $index=0;
     while($class->have_posts()): $class->the_post(); 
    ?>
    <?php $index++; ?>
     	 <?php if($class_layout=='list'){ ?>
            <?php if($layout_full=='full'){ ?>
                <div class='<?php echo esc_attr($col); ?>'>
                    <?php get_template_part( 'content/content-classfull'); ?>
                </div> 
                <?php if($index==2){ ?>
                    <div class="clearfix"></div>
                    <?php  $index=0; ?>
                <?php } ?> 
            <?php } else{ ?>
                <div class='<?php echo esc_attr($col); ?>'>
                    <?php get_template_part( 'content/content-class'); ?>
                </div>
                <?php if($index==1){ ?>
                    <div class="clearfix"></div>
                   <?php  $index=0; ?>
                <?php } ?>   
            <?php } ?>
        <?php } else { ?>
            <div class='<?php echo esc_attr($col); ?>'>
                <?php get_template_part( 'content/content-classgrid'); ?>
            </div>
            <?php if($layout_full=='full'){ ?>
                <?php if($index==4){ ?>
                    <div class="clearfix"></div>
                    <?php  $index=0; ?>
                <?php } ?>  
            <?php }else { ?>
                <?php if($index==3){ ?>
                    <div class="clearfix"></div>
                    <?php  $index=0; ?>
                <?php } ?>
            <?php } ?>
        <?php } ?>
	<?php
    endwhile;
    }
    wp_reset_postdata();     
    die;    
}
add_action( 'wp_ajax_helix_get_class_by_option', 'helix_get_class_by_option' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_helix_get_class_by_option', 'helix_get_class_by_option' );
function helix_filter_class_by_taxonomy(){
    $data = $_POST['data'];
    $taxonomy=$data['taxonomy'];
    $slug=$data['slug'];
    $col=$data['columns'];
    $total=$data['total'];
    $text_learn_more=$data['learn_more'];
    if('show_all'==$slug)
    {
        $args = array(    
            'post_type' => 'class',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>$total
        );
    }else{
        $args = array(    
            'post_type' => 'class',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>$total,
            'tax_query' => array(
                 'relation' => 'AND',
                    array(
                      'taxonomy'    => $taxonomy,
                      'field'       => 'slug',
                      'terms'       => $slug
                    )
                )
        );
    }
    $cols='col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    if($col == 2){
      $cols = 'col-md-6 col-sm-6 col-xs-6 col-xsm-12';
    }else if($col == 3){
      $cols = 'col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    }else if($col == 4){
      $cols = 'col-md-3 col-sm-6 col-xs-6 col-xsm-12';
    }else if($col == 6){
      $cols = 'col-md-2 col-sm-6 col-xs-6 col-xsm-12';
    }
    $class = new WP_Query($args); ?>
    <?php $index=0;$total_class=$class->found_posts ?>
    <?php if($class->have_posts()){ ?>
    <div class="helix_class_filter">
    <?php 
        while($class->have_posts()): $class->the_post(); ?>
         <?php $index++; ?>
            <?php if($col <= $total_class){?>
                <?php if( $index == 1 ){?>
                    <div class="item_inSite">
                <?php } ?>
            <?php } ?>
            <div class='<?php echo esc_attr($cols); ?>'>
                <article id="post-<?php the_ID(); ?>" >
                    <?php if(has_post_thumbnail()){ ?>
                        <div class="post-media">
                            <?php helix_content_thumbnail('full'); /* Display thumbnail of post */ ?>
                        </div>
                    <?php } ?>
                    <div class="post-title">
                        <?php helix_content_title(); /* Display title of post */ ?>
                    </div>
                    <div class="post-meta">
                         <?php helix_content_meta_trainer(); /* Display trainer of classes */ ?>
                    </div>
                    <div class="post-footer">
                        <div class="post-readmore">
                            <a class="btn btn-theme btn-theme-transparent transition_helix" href="<?php the_permalink(); ?>">
                            <?php echo esc_html($text_learn_more); ?>
                                <i class="icon ion-arrow-right-c"></i>
                            </a>
                        </div>
                    </div>
                </article>
            </div>
            <?php if($col <= $total_class){?>
                <?php if($index == $col || $index == $total_class){ ?>
                    </div>
                    <?php $index=0; ?>
                <?php } ?>   
            <?php } ?>
           
    <?php 
        endwhile;?>
    </div>
    <?php 
    }
    wp_reset_postdata();     
    die;
}
add_action( 'wp_ajax_helix_filter_class_by_taxonomy', 'helix_filter_class_by_taxonomy' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_helix_filter_class_by_taxonomy', 'helix_filter_class_by_taxonomy' );

function helix_filter_blog(){
    $data = $_POST['data'];
    $slug=$data['slug'];
    $col=$data['columns'];
    $total=$data['total'];
    $text_learn_more=$data['learn_more'];
    if('show_all'==$slug)
    {
        $args = array(    
            'post_type' => 'post',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>$total
        );
    }else{
        $args = array(    
            'post_type' => 'post',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>$total,
            'tax_query' => array(
                 'relation' => 'AND',
                    array(
                      'taxonomy'    => 'category',
                      'field'       => 'slug',
                      'terms'       => $slug
                    )
                )
        );
    }
    $cols='col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    if($col == 2){
      $cols = 'col-md-6 col-sm-6 col-xs-6 col-xsm-12';
    }else if($col == 3){
      $cols = 'col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    }else if($col == 4){
      $cols = 'col-md-3 col-sm-6 col-xs-6 col-xsm-12';
    }else if($col == 6){
      $cols = 'col-md-2 col-sm-6 col-xs-6 col-xsm-12';
    }
    $post = new WP_Query($args); ?>
    <?php if($post->have_posts()){ ?>
    <?php $index=0;$total_class=$post->found_posts ?>
    <div class="helix_blog_group">
    <?php 
        while($post->have_posts()): $post->the_post(); ?>
         <?php $index++; ?>
            <?php if($col <= $total_class){?>
                <?php if( $index == 1 ){?>
                    <div class="item_inSite">
                <?php } ?>
            <?php } ?>
            <div class='<?php echo esc_attr($cols); ?>'>
                <article id="post-<?php the_ID(); ?>" >
                    <?php if(has_post_format( 'image')){ ?>
                        <?php if(has_post_thumbnail()){ ?>
                        <div class="post-media">
                            <?php helix_content_thumbnail('full'); /* Display thumbnail of post */ ?>
                        </div>
                        <?php } ?>
                    <?php } else if(has_post_format('video')){ ?>
                        <div class="post-media">
                            <?php helix_postformat_video(); /* Display video of post */ ?>
                        </div>
                    <?php }else if(has_post_format('audio')){ ?>
                        <div class="post-media">
                            <?php helix_postformat_audio(); /* Display video of post */ ?>
                        </div>
                    <?php }else if(has_post_format('gallery')){ ?>
                        <div class="post-media">
                        <?php helix_content_gallery(); /* Display gallery of post */ ?>
                        </div>
                    <?php }else { ?>
                            <?php if(has_post_thumbnail()){ ?>
                        <div class="post-media">
                            <?php helix_content_thumbnail('full'); /* Display thumbnail of post */ ?>
                        </div>
                        <?php } ?>
                     <?php  } ?>
                    <div class="post-title">
                        <?php helix_content_title(); /* Display title of post */ ?>
                    </div>
                    <div class="post-meta">
                         <?php helix_content_meta_author(); /* Display  Author */ ?>
                    </div>
                    <div class="post-footer">
                        <div class="post-readmore">
                            <a class="btn btn-theme btn-theme-transparent transition_helix" href="<?php the_permalink(); ?>">
                            <?php echo esc_html($text_learn_more); ?>
                                <i class="icon ion-arrow-right-c"></i>
                            </a>
                        </div>
                    </div>
                </article>
            </div>
            <?php if($col <= $total_class){?>
                <?php if($index == $col || $index == $total_class){ ?>
                    </div>
                    <?php $index=0; ?>
                <?php } ?>   
            <?php } ?>
           
    <?php 
        endwhile;?>
    </div>
    <?php 
    }
    wp_reset_postdata();     
    die;
}
add_action( 'wp_ajax_helix_filter_blog', 'helix_filter_blog' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_helix_filter_blog', 'helix_filter_blog' );


function helix_calendar_class(){
    $data = $_POST['data'];
    $taxonomy=$data['taxonomy'];
    $slug=$data['slug'];
    if('all_show'== $slug )
    {
        $args = array(    
            'post_type' => 'class',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>10000
        );
    }else{
        $args = array(    
            'post_type' => 'class',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>10000,
            'tax_query' => array(
                 'relation' => 'AND',
                    array(
                      'taxonomy'    => $taxonomy,
                      'field'       => 'slug',
                      'terms'       => $slug
                    )
                )
        );
    }
    $class = new WP_Query($args); ?>
    <?php if($class->have_posts()){ 
        $item_arr=array();
    ?>
      <?php 
        while($class->have_posts()): $class->the_post();
         ?>

        <?php 
        $rand = array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f');
        $rcolor = '#'.$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)];
        $startDate=get_post_meta(get_the_ID(), "helix_met_class_date_start", true);
        $endDate=get_post_meta(get_the_ID(), "helix_met_class_date_end", true);
        $startTime=get_post_meta(get_the_ID(), "helix_met_class_time_start", true);
        $endTime=get_post_meta(get_the_ID(), "helix_met_class_time_end", true);
        $term_list = wp_get_post_terms(get_the_ID(), 'trainer', array("fields" => "names"));
        $room= wp_get_post_terms(get_the_ID(), 'room', array("fields" => "names"));
        $daytime=get_post_meta(get_the_ID(), "helix_met_class_days", true);
        $color=get_post_meta(get_the_ID(), "helix_met_class_color", true);
        if( $color=='')
        {
            $color= $rcolor;
        }
        foreach ($daytime as $key => $value) {
            for($i = strtotime($value, strtotime($startDate)); $i <= strtotime($endDate); $i = strtotime('+1 week', $i))
            {
                $crrDate= date('Y-m-d', $i);
                $item = array (
                    "title"     => get_the_title(),
                    "color"     => $color,
                    "start"     => date('Y-m-d\TH:i', strtotime("$crrDate $startTime")),
                    "end"       => date('Y-m-d\TH:i', strtotime("$crrDate $endTime")), 
                    "address"   => $room!=null?$room[0]:"",
                    
                    "trainer"   => $term_list!=null?$term_list[0]:"",
                    "url"       => get_permalink($class->ID),
                    'id'        => get_the_ID()
                );
                array_push($item_arr,$item);
            }
        }
        
        
        
    ?>
    <?php 
        endwhile;?>
    <?php 
    }
    echo json_encode($item_arr);
    die();
}
add_action( 'wp_ajax_helix_calendar_class', 'helix_calendar_class' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_helix_calendar_class', 'helix_calendar_class' );

function helix_get_tooltip_class(){
    $data = $_POST['data']; ?>

    <div class="tooltip">
        ok di em
    </div>

<?php 
    die;
}

add_action( 'wp_ajax_helix_get_tooltip_class', 'helix_get_tooltip_class' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_helix_get_tooltip_class', 'helix_get_tooltip_class' );

function helix_calendar_responsive(){
    $data = $_POST['data'];
    $taxonomy=$data['taxonomy'];
    $slug=$data['slug'];
    if('all_show'== $slug )
    {
        $args = array(    
            'post_type' => 'class',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>10000
        );
    }else{
        $args = array(    
            'post_type' => 'class',
            'orderby'   => 'name',
            'post_status' => 'publish',
            'order'       => 'desc',
            'posts_per_page'=>10000,
            'tax_query' => array(
                 'relation' => 'AND',
                    array(
                      'taxonomy'    => $taxonomy,
                      'field'       => 'slug',
                      'terms'       => $slug
                    )
                )
        );
    }
    $class = new WP_Query($args); ?>
    <?php if($class->have_posts()){ 
        $item_class[] = new stdClass();

    ?>
      <?php 
        while($class->have_posts()): $class->the_post();
         ?>

        <?php 
        $rand = array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f');
        $rcolor = '#'.$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)];
        $startDate=get_post_meta(get_the_ID(), "helix_met_class_date_start", true);
        $endDate=get_post_meta(get_the_ID(), "helix_met_class_date_end", true);
        $startTime=get_post_meta(get_the_ID(), "helix_met_class_time_start", true);
        $endTime=get_post_meta(get_the_ID(), "helix_met_class_time_end", true);
        $term_list = wp_get_post_terms(get_the_ID(), 'trainer', array("fields" => "names"));
        $room= wp_get_post_terms(get_the_ID(), 'room', array("fields" => "names"));
        $daytime=get_post_meta(get_the_ID(), "helix_met_class_days", true);
        $color=get_post_meta(get_the_ID(), "helix_met_class_color", true);

        $fromdate=$data['from_date'];
        $to_date=$data['to_date'];
        

        if( $color=='')
        {
            $color= $rcolor;
        }
        foreach ($daytime as $key => $value) {
             
            for($i = strtotime($value, strtotime($startDate)); $i <= strtotime($endDate); $i = strtotime('+1 week', $i))
            {
                if(strtotime($fromdate) <=  $i &&  $i <= strtotime($to_date) )  {
                    $crrDate= date('Y/m/d', $i);
                    $item = array (
                        "title"     => get_the_title(),
                        "color"     => $color,
                        "start"     => date('Y/m/d H:i', strtotime("$crrDate $startTime")),
                        "end"       => date('Y/m/d H:i', strtotime("$crrDate $endTime")), 
                        "address"   => $room!=null?$room[0]:"",
                        "trainer"   => $term_list!=null?$term_list[0]:"",
                        "url"       => get_permalink($class->ID),
                        'id'        => get_the_ID()
                    );

                    
                    if(count($item_class)>1)
                    {
                        $isheck=false;
                        foreach ( $item_class as $key=>$value) {
                            if(is_array($value)){
                                if(strtotime($value['weekend'])==strtotime($crrDate)){
                                    $item_class[$key]['itemdays'][] = $item;
                                    $isheck=true;
                                }
                            }
                        }
                        if(!$isheck)
                        {
                            $item_obj=array();
                            $obj_class  = new stdClass();
                            $obj_class->weekend=$crrDate;
                            $obj_class->itemdays[]=$item;
                             $item_obj=array_merge($item_obj,(array)$obj_class);
                                 array_push($item_class,$item_obj);
                        }
                    }else{
                        $item_obj=array();
                        $obj_class  = new stdClass();
                        $obj_class->weekend=$crrDate;
                        $obj_class->itemdays[]=$item;
                        $item_obj=array_merge($item_obj,(array)$obj_class);
                        array_push($item_class,$item_obj);
                    }  
                }
            }
        }
    ?>
    <?php 
        endwhile;?>
    <?php 
    }
    echo json_encode($item_class);
    die();
}

add_action( 'wp_ajax_helix_calendar_responsive', 'helix_calendar_responsive' ); // ajax for logged in users
add_action( 'wp_ajax_nopriv_helix_calendar_responsive', 'helix_calendar_responsive');