<?php 

function helix_customize_register( $wp_customize ) {

	// Typography setting ////////////////////////////////////////////////////////////////////////////////////////////////////////
	$wp_customize->add_section( 'typography_section' , array(
	    'title'      => esc_html__( 'Typography setting', 'helix' ),
	    'priority'   => 29,
	) );


	$wp_customize->add_setting( 'body_font', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'Droid Serif',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control( 
		new Google_Font_Dropdown_Custom_Control( 
		$wp_customize, 
		'body_font', 
		array(
			'label'          => esc_html__('Body font','helix'),
            'section'        => 'typography_section',
            'settings'       => 'body_font',
		) ) 
	);



	$wp_customize->add_setting( 'heading_font', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'Montserrat',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );
	
	$wp_customize->add_control(
		new Google_Font_Dropdown_Custom_Control( 
		$wp_customize, 
		'heading_font', 
		array(
			'label'          => esc_html__('Heading font','helix'),
            'section'        => 'typography_section',
            'settings'       => 'heading_font',
		) ) 
	);

	$wp_customize->add_setting( 'main_color', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '#90a0a5',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	));
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'main_color', 
		array(
			'label'          => esc_html__("Main color",'helix'),
            'section'        => 'typography_section',
            'settings'       => 'main_color',
		) ) 
	);

	$wp_customize->add_setting( 'second_color', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '#dc6d6d',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'second_color', 
		array(
			'label'          => esc_html__("Second color",'helix'),
            'section'        => 'typography_section',
            'settings'       => 'second_color',
		) ) 
	);


	$wp_customize->add_setting( 'helix_custom_font', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('helix_custom_font', array(
		'label' => esc_html__('Custom Font','helix'),
		'description' => esc_html__('Step 1: Insert font-face in style.css file: Refer https://css-tricks.com/snippets/css/using-font-face/.  Step 2: Insert name-font here. For example: name-font1, name-font2','helix'),
		'section' => 'typography_section',
		'settings' => 'helix_custom_font',
		'type' =>'textarea'
	));	
	$wp_customize->add_setting( 'helix_background_color', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '#dae3e6',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'helix_background_color', 
		array(
			'label'          => esc_html__("Background color Global",'helix'),
            'section'        => 'typography_section',
            'settings'       => 'helix_background_color',
		) ) 
	);
	
	// /Typography setting ////////////////////////////////////////////////////////////////////////////////////////////////////////

	// Logo settings //
	$wp_customize->add_section( 'logo_section' , array(
	    'title'      => esc_html__( 'Logo setting', 'helix' ),
	    'priority'   => 29,
	));


	$wp_customize->add_setting( 'logo_img', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => OVA_THEME_URI.'/img/logo.png',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo_img', array(
	    'label'    => __( 'Logo image', 'helix' ),
	    'section'  => 'logo_section',
	    'settings' => 'logo_img',
	)));

	$wp_customize->add_section( 'class_section' , array(
	    'title'      => esc_html( 'Classes setting', 'helix' ),
	    'priority'   => 29,
	));
	$wp_customize->add_setting( 'class_setting', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'list',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	) );

	$wp_customize->add_control('class_control', array(
		'label' => esc_html__('Global Layout for class','helix'),
		'section' => 'class_section',
		'settings' => 'class_setting',
		'type' =>'select',
		'choices' => array(
			'list' => esc_html__('List', 'helix'),
			'grid' => esc_html__('Grid', 'helix'),
		)
	));

	$wp_customize->add_setting( 'pagination_class_setting', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '10',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	) );

	$wp_customize->add_control('pagination_class_setting', array(
		'label' => esc_html__('Global Class pages show at most','helix'),
		'section' => 'class_section',
		'settings' => 'pagination_class_setting',
		'type' =>'text'
	));


	$wp_customize->add_section( 'woo_section' , array(
	    'title'      => esc_html( 'Woocommerce setting', 'helix' ),
	    'priority'   => 30,
	) );
	$wp_customize->add_setting( 'helix_cus_woo_shop_page_layout', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'list',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	) );
	$wp_customize->add_control('helix_cus_woo_shop_page_layout_control', array(
		'label' => esc_html__('Global Layout woo shop','helix'),
		'section' => 'woo_section',
		'settings' => 'helix_cus_woo_shop_page_layout',
		'type' =>'select',
		'choices' => array(
			'list' => esc_html__('List', 'helix'),
			'grid' => esc_html__('Grid', 'helix'),
		)
	));

	//item in grid row
	$wp_customize->add_setting( 'helix_cus_woo_shop_page_col', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'col-md-4 col-sm-4 col-xs-6 col-xsm-12',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	) );
	$wp_customize->add_control('helix_cus_woo_shop_page_col_control', array(
		'label' => esc_html__('Columns Item in each row with Grid type','helix'),
		'section' => 'woo_section',
		'settings' => 'helix_cus_woo_shop_page_col',
		'type' =>'select',
		'choices' => array(
			'col-md-12' => esc_html__('1 columns', 'helix'),
			'col-md-6 col-sm-6 col-xs-6 col-xsm-12' => esc_html__('2 columns', 'helix'),
			'col-md-4 col-sm-4 col-xs-6 col-xsm-12' => esc_html__('3 columns', 'helix'),
			'col-md-3 col-sm-4 col-xs-6 col-xsm-12' => esc_html__('4 columns', 'helix'),
			'col-md-2 col-sm-2 col-xs-6 col-xsm-12' => esc_html__('6 columns', 'helix'),
		)
	));
	$wp_customize->add_setting( 'helix_woo_background_color', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '#dae3e6',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'helix_woo_background_color', 
		array(
			'label'          => esc_html__("Background color for woocommerce",'helix'),
            'section'        => 'typography_section',
            'settings'       => 'helix_woo_background_color',
		) ) 
	);

	$wp_customize->add_section( 'trainer_section' , array(
	    'title'      => esc_html( 'Trainer setting', 'helix' ),
	    'priority'   => 29,
	));
	$wp_customize->add_setting( 'trainer_setting', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '10',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	) );

	$wp_customize->add_control('trainer_setting', array(
		'label' => esc_html__('Global Trainer pages show at most','helix'),
		'section' => 'trainer_section',
		'settings' => 'trainer_setting',
		'type' =>'text'
	));

	/******************************************************************************/
	// Event
	$wp_customize->add_section( 'event_section' , array(
	    'title'      => esc_html( 'Events setting', 'helix' ),
	    'priority'   => 29,
	));
	$wp_customize->add_setting( 'event_setting', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'list',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	) );

	$wp_customize->add_control('event_control', array(
		'label' => esc_html__('Global Layout for event','helix'),
		'section' => 'event_section',
		'settings' => 'event_setting',
		'type' =>'select',
		'choices' => array(
			'list' => esc_html__('List', 'helix'),
			'grid' => esc_html__('Grid', 'helix'),
		)
	));

	$wp_customize->add_setting( 'pagination_event_setting', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '10',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	) );

	$wp_customize->add_control('pagination_event_setting', array(
		'label' => esc_html__('Global event pages show at most','helix'),
		'section' => 'event_section',
		'settings' => 'pagination_event_setting',
		'type' =>'text'
	));
}	
add_action( 'customize_register', 'helix_customize_register' );	

