<?php
function fun_sanitize_callback($value){
    return $value;
}

function helix_customize_default_register( $wp_customize ) {

	// Header setting ////////////////////////////////////////////////////////////////////////////////////////////////////////
	$wp_customize->add_section( 'header_section' , array(
	    'title'      => esc_html( 'Header setting', 'helix' ),
	    'priority'   => 30,
	) );

	$wp_customize->add_setting( 'header_version', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'default',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('header_version', array(
		'label' => esc_html('Header version','helix'),
		'description' => esc_html('Select header default version.','helix'),
		'section' => 'header_section',
		'settings' => 'header_version',
		'type' =>'select',
		'choices' => load_header()

	));

	
	// /Header setting ////////////////////////////////////////////////////////////////////////////////////////////////////////



	// Footer setting ////////////////////////////////////////////////////////////////////////////////////////////////////////

	$wp_customize->add_section( 'footer_section' , array(
	    'title'      => esc_html( 'Footer setting', 'helix' ),
	    'priority'   => 30,
	) );

	$wp_customize->add_setting( 'footer_version', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'default',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('footer_version', array(
		'label' => esc_html('Footer version','helix'),
		'description' => esc_html('Select footer default version.','helix'),
		'section' => 'footer_section',
		'settings' => 'footer_version',
		'type' =>'select',
		'choices' => load_footer()

	));
	
	// /Footer setting ////////////////////////////////////////////////////////////////////////////////////////////////////////



	// Layout setting ////////////////////////////////////////////////////////////////////////////////////////////////////////

	$wp_customize->add_section( 'layout_section' , array(
	    'title'      => esc_html( 'Layout setting', 'helix' ),
	    'priority'   => 30,
	) );

	$wp_customize->add_setting( 'main_layout', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'right_sidebar',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('main_layout', array(
		'label' => esc_html__('Global Layout for site','helix'),
		'section' => 'layout_section',
		'settings' => 'main_layout',
		'type' =>'select',
		'choices' => array(
			'right_sidebar' => esc_html__('Right Sidebar', 'helix'),
			'left_sidebar' => esc_html__('Left Sidebar', 'helix'),
			'no_sidebar' => esc_html__('No Sidebar','helix'),
			'full_width' => esc_html__('Full Width','helix')
			)

	));


	$wp_customize->add_setting( 'width_site', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'wide',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('width_site', array(
		'label' => esc_html__('Width of site','helix'),
		'section' => 'layout_section',
		'settings' => 'width_site',
		'type' =>'select',
		'choices' => array(
			'wide' => esc_html__( 'Wide', 'helix' ),
            'boxed'   => esc_html__('Boxed', 'helix')
			)

	));

	// Sidebar column setting
	$wp_customize->add_setting( 'sidebar_column', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '4',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('sidebar_column', array(
		'label' => esc_html__('Sidebar column','helix'),
		'description' => esc_html__('main column + sidebar column = 12 columns','helix'),
		'section' => 'layout_section',
		'settings' => 'sidebar_column',
		'type' =>'select',
		'choices' => array(
			'1' => esc_html__('1 column', 'helix'),
			'2' => esc_html__('2 columns', 'helix'),
			'3' => esc_html__('3 columns', 'helix'),
			'4' => esc_html__('4 columns', 'helix'),
			'5' => esc_html__('5 columns', 'helix'),
			'6' => esc_html__('6 columns', 'helix')
			)
	));

	// Main column settings
	$wp_customize->add_setting( 'main_column', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '8',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('main_column', array(
		'label' => esc_html__('Main column','helix'),
		'description' => esc_html__('main column + sidebar column = 12 columns','helix'),
		'section' => 'layout_section',
		'settings' => 'main_column',
		'type' =>'select',
		'choices' => array(
			'11' => esc_html__('11 columns', 'helix'),
			'10' => esc_html__('10 columns', 'helix'),
			'9' => esc_html__('9 columns', 'helix'),
			'8' => esc_html__('8 columns', 'helix'),
			'7' => esc_html__('7 columns', 'helix'),
			'6' => esc_html__('6 columns', 'helix'),
			)
	));
	
	// /Layout setting ////////////////////////////////////////////////////////////////////////////////////////////////////////
	


	// Woo setting ////////////////////////////////////////////////////////////////////////////////////////////////////////
	$wp_customize->add_section( 'woo_section' , array(
	    'title'      => esc_html( 'Woocommerce setting', 'helix' ),
	    'priority'   => 30,
	) );

	// Woo layout
	$wp_customize->add_setting( 'woo_layout', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'no_sidebar',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback'// Get function name 
	  
	) );
	$wp_customize->add_control('woo_layout', array(
		'label' => esc_html__('Layout','helix'),
		'section' => 'woo_section',
		'settings' => 'woo_layout',
		'type' =>'select',
		'choices' => array(
			'no_sidebar' => esc_html__('No Sidebar','helix'),
			'right_sidebar' => esc_html__('Right Sidebar','helix'),
			'left_sidebar' => esc_html__('Left Sidebar','helix'),
			'full_width' => esc_html__('Full width Sidebar','helix'),
			)
	));


	// Woo Sidebar column
	$wp_customize->add_setting( 'woo_sidebar_column', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '4',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('woo_sidebar_column', array(
		'label' => esc_html__('Woo Sidebar column','helix'),
		'description' => esc_html__('main column + sidebar column = 12 columns','helix'),
		'section' => 'woo_section',
		'settings' => 'woo_sidebar_column',
		'type' =>'select',
		'choices' => array(
			'1' => esc_html__('1 column', 'helix'),
			'2' => esc_html__('2 columns', 'helix'),
			'3' => esc_html__('3 columns', 'helix'),
			'4' => esc_html__('4 columns', 'helix'),
			'5' => esc_html__('5 columns', 'helix'),
			'6' => esc_html__('6 columns', 'helix')
			)
	));

	// Woo Main column
	$wp_customize->add_setting( 'woo_main_column', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => '8',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback' // Get function name 
	  
	) );

	$wp_customize->add_control('woo_main_column', array(
		'label' => esc_html__('Woo Main column','helix'),
		'description' => esc_html__('main column + sidebar column = 12 columns','helix'),
		'section' => 'woo_section',
		'settings' => 'woo_main_column',
		'type' =>'select',
		'choices' => array(
			'11' => esc_html__('11 columns', 'helix'),
			'10' => esc_html__('10 columns', 'helix'),
			'9' => esc_html__('9 columns', 'helix'),
			'8' => esc_html__('8 columns', 'helix'),
			'7' => esc_html__('7 columns', 'helix'),
			'6' => esc_html__('6 columns', 'helix'),
			)
	));

	
	// SEO setting ////////////////////////////////////////////////////////////////////////////////////////////////////////

	$wp_customize->add_section( 'seo_section' , array(
	    'title'      => esc_html( 'SEO setting', 'helix' ),
	    'priority'   => 30,
	) );

	$wp_customize->add_setting( 'seo_option', array(
	  'type' => 'theme_mod', // or 'option'
	  'capability' => 'edit_theme_options',
	  'theme_supports' => '', // Rarely needed.
	  'default' => 'yes',
	  'transport' => 'refresh', // or postMessage
	  'sanitize_callback' => 'fun_sanitize_callback'// Get function name 
	  
	) );

	$wp_customize->add_control('seo_option', array(
		'label' => esc_html__('Use SEO of theme','helix'),
		'section' => 'seo_section',
		'settings' => 'seo_option',
		'type' =>'select',
		'choices' => array(
			'yes' => esc_html__('yes','helix'),
			'no' => esc_html__('no','helix')
			)

	));
	
	// /SEO setting ////////////////////////////////////////////////////////////////////////////////////////////////////////

}
add_action( 'customize_register', 'helix_customize_default_register' );




