<?php
/**
 * Include and setup custom metaboxes and fields. (make sure you copy this file to outside the CMB2 directory)
 *
 * Be sure to replace all instances of 'yourprefix_' with your project's prefix.
 * http://nacin.com/2010/05/11/in-wordpress-prefix-everything/
 *
 * @category YourThemeOrPlugin
 * @package  Demo_CMB2
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link     https://github.com/WebDevStudios/CMB2
 */

// if ( file_exists( OVA_THEME_URL.'/framework/metabox_lib/init.php' ) ) {
// 	require_once (OVA_THEME_URL.'/framework/metabox_lib/init.php');
// }

add_action( 'cmb2_init', 'helix_metaboxes_default' );
function helix_metaboxes_default() {

    // Start with an underscore to hide fields from custom fields list
    $prefix = 'helix_met_';

    

    
    /* Page Settings ***************************************************************************/
    /* ************************************************************************************/
        $page_settings = new_cmb2_box( array(
            'id'            => 'page_heading_settings',
            'title'         => esc_html__( 'Page Heading Setting', 'helix' ),
            'object_types'  => array( 'page'), // Post type
            'context'       => 'normal',
            'priority'      => 'high',
            'show_names'    => true,
        ));

        // Display title of page
        $page_settings->add_field( array(
            'name'       => esc_html__( 'Show title of page', 'helix' ),
            'desc'       => esc_html__( 'Allow display title of page', 'helix' ),
            'id'         => $prefix . 'page_heading',
            'type'             => 'select',
            'show_option_none' => false,
            'options'          => array(
                'yes' => esc_html__( 'Yes', 'helix' ),
                'no'   => esc_html__('No', 'helix' )
            ),
            'default' => 'yes',
            
        ) );


 
   

    
    /* Post Settings *********************************************************************************/
    /* *******************************************************************************/
    $post_settings = new_cmb2_box( array(
        'id'            => 'post_video',
        'title'         => esc_html__( 'Post Settings', 'helix' ),
        'object_types'  => array( 'post'), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, // Show field names on the left
    ) );

        // Video or Audio
        $post_settings->add_field( array(
            'name'       => esc_html__( 'Link audio or video', 'helix' ),
            'desc'       => esc_html__( 'Insert link audio or video use for video/audio post-format', 'helix' ),
            'id'         => $prefix . 'embed_media',
            'type'             => 'oembed',
        ) );


        // Gallery image
        $post_settings->add_field( array(
            'name'       => esc_html__( 'Gallery image', 'helix' ),
            'desc'       => esc_html__( 'image in gallery post format', 'helix' ),
            'id'         => $prefix . 'file_list',
            'type'             => 'file_list',
        ) );




    /* General Settings ***************************************************************/
    /* ********************************************************************************/
    $general_settings = new_cmb2_box( array(
        'id'            => 'layout_settings',
        'title'         => esc_html__( 'General Settings', 'helix' ),
        'object_types'  => array( 'page', 'post'), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, // Show field names on the left
    ));

        $general_settings->add_field( array(
            'name'       => esc_html__( 'Header Version', 'helix' ),
            'id'         => $prefix . 'header_version',
            'description' => esc_html__( 'This value will override value in customizer', 'helix' ),
            'type'             => 'select',
            'show_option_none' => false,
            'options'          => load_header_metabox(),
            'default' => 'global'
            
        ));

        $general_settings->add_field( array(
            'name'       => esc_html__( 'Footer Version', 'helix' ),
            'id'         => $prefix . 'footer_version',
            'description' => esc_html__( 'This value will override value in customizer', 'helix'  ),
            'type'             => 'select',
            'show_option_none' => false,
            'options'          => load_footer_metabox(),
            'default' => 'global'

        ) );

        $general_settings->add_field( array(
            'name'       => esc_html__( 'Main Layout', 'helix' ),
            'desc'       => esc_html__( 'This value will override value in theme customizer', 'helix' ),
            'id'         => $prefix.'main_layout',
            'type'             => 'select',
            'show_option_none' => false,
            'options'          => array(
                'global'   => esc_html__('Global in customizer', 'helix' ),
                'right_sidebar' => esc_html__( 'Right Sidebar', 'helix' ),
                'left_sidebar'   => esc_html__('Left Sidebar', 'helix' ),
                'no_sidebar'   => esc_html__('No Sidebar', 'helix' ),
                'full_width'   => esc_html__('Full Width', 'helix' ),
            ),
            'default' => 'global',
            
        ) );


        $general_settings->add_field( array(
            'name'       => esc_html__( 'Width of site', 'helix' ),
            'desc'       => esc_html__( 'This value will override value in theme customizer', 'helix' ),
            'id'         => $prefix . 'width_site',
            'type'             => 'select',
            'show_option_none' => false,
            'options'          => array(
                'global'    => esc_html__('Global in customizer', 'helix'),
                'wide' => esc_html__( 'Wide', 'helix' ),
                'boxed'   => esc_html__('Boxed', 'helix' ),
            ),
            'default' => 'global',
            
        ) );

        // Check customizer use SEO of theme
        if(get_theme_mod('seo_option','yes') == 'yes'){
            // Seo keywords
            $general_settings->add_field( array(
                'name'       => esc_html__( 'SEO Keywords', 'helix' ),
                'desc'       => esc_html__( '(optional). This value will override value in global seo keyword of theme customizer.', 'helix' ),
                'id'         => $prefix . 'seo_key',
                'type'       => 'text',
                
            ) );

            // Seo description
            $general_settings->add_field( array(
                'name'       => esc_html__( 'SEO Description', 'helix' ),
                'desc'       => esc_html__( '(optional). This value will override value in global seo description of theme customizer.', 'helix' ),
                'id'         => $prefix . 'seo_desc',
                'type'       => 'textarea',
            ) );
        }

   
}

