<?php get_header();

// Open layout
require( OVA_THEME_URL.'/templates/ova_open_layout.php' );

?>
<?php $event_layout=get_theme_mod("event_setting","list"); ?>

<?php 
    $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

    if( isset($_GET['layout']) && $_GET['layout']!=null ){
        $type_layout=( $_GET['layout']) ? $_GET['layout'] : $event_layout;
    }else{
        $type_layout=$event_layout;
    }
    $event_pagiantion=get_theme_mod("pagination_class_setting","10");

    $price = ( get_query_var( 'price' ) ) ? get_query_var( 'price' ) : '';

    $args = array(    
        'paged' => $paged,
        'post_type' => 'events',
        'orderby'   => 'date',
        'post_status' => 'publish',
        'posts_per_page'  =>$event_pagiantion,
         'tax_query' => array(
               'relation' => 'AND',
              	array(
	                  'taxonomy'	=> 'price',
	                  'field' 		=> 'slug',
	                  'terms' 		=> $price
	            	)
            	)
    );
    $events = new WP_Query($args);?>
    <?php
        $count_pages = wp_count_posts('event');
    ?>
    <!-- get current main layout -->
    <?php $main_layout = get_current_main_layout(); ?>
    <!-- get currenet class layout (list or grid) -->
    <?php $active_list='active';$active_grid='';$col=''; ?>
    <?php if($type_layout=='list'){ ?>
        <?php $active_list='active'; ?>
        <?php $active_grid=''; ?>
    <?php } else{
        $active_list='';
        $active_grid='active';
    } ?>
      
    <div class="helix_events">
        <div class="event_header">
            <h3><?php esc_html_e('We found','helix') ?><span>&nbsp<span class="number_count"><?php echo esc_html($events->post_count); ?></span> <?php esc_html_e('events','helix') ?></span> <?php esc_html_e('that available for you','helix') ?> 
            </h3>
            <ul class="tab-list">
                <li class="<?php echo esc_attr($active_list); ?>" data-type="list">
                    <a href="<?php echo add_query_arg(array( 
                        'layout' => 'list'
                    ),get_permalink($events)) ; ?>">
                        <i class="fa fa-th-list"></i>
                    </a>
                </li>
                <li class="<?php echo esc_attr($active_grid); ?>" data-type="grid">
                 <a href="<?php echo add_query_arg(array( 
                        'layout' => 'grid'
                    ),get_permalink($events)) ; ?>">
                    <i class="fa fa-th"></i>
                     </a>
                </li>
            </ul>
        </div>
        <?php $layout_full=''; ?>
        <?php if($main_layout == 'right_sidebar' || $main_layout == 'left_sidebar' ){ ?>
             <?php $col='col-md-12'; ?>
             <?php if($type_layout=='grid'){ ?>
                <?php $col='col-md-4'; ?>
            <?php } ?>
        <?php } else {?>
            <?php $col='col-md-12'; ?>
            <?php $layout_full='full'; ?>
            <?php if($type_layout=='grid'){ ?>
                <?php $col='col-md-4'; ?>
            <?php } ?>
        <?php } ?>
        <div class="event_content <?php echo  esc_attr($active_list); ?>" data-type="list" data-layout="<?php echo esc_attr($main_layout); ?>">
                <?php if ( $events->have_posts() ) : while ( $events->have_posts() ) : $events->the_post(); ?>
                    <div class='<?php echo esc_attr($col); ?>'>
                        <?php get_template_part( 'content/content-eventlist'); ?>
                    </div> 
                <?php endwhile; ?>
            <?php endif;  ?>
        </div>
        <div class="event_content <?php echo  esc_attr($active_grid); ?>" data-type="grid" data-layout="<?php echo esc_attr($main_layout); ?>">
            <?php $index=0; ?>
            <?php if ( $events->have_posts() ) : while ( $events->have_posts() ) : $events->the_post(); ?>
                    <?php $index++; ?>
                <div class='<?php echo esc_attr($col); ?>'>
                    <?php get_template_part( 'content/content-eventgrid'); ?>
                </div>
                <?php if($layout_full=='full'){ ?>
                    <?php if($index==4){ ?>
                        <div class="clearfix"></div>
                        <?php  $index=0; ?>
                    <?php } ?>  
                <?php }else { ?>
                    <?php if($index==3){ ?>
                        <div class="clearfix"></div>
                        <?php  $index=0; ?>
                    <?php } ?>
            <?php } ?>
            <?php endwhile; ?>
         <?php endif; ?>
        </div>
    

    <div class="pagination-wrapper">
            <?php
                global $wp_query;
                $big = 999999999; // need an unlikely integer
                $pages = paginate_links(array(
                             'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                             'format' => '?paged=%#%',
                             'current' => max(1, get_query_var('paged') ),
                             'total' => $events->max_num_pages,
                             'next_text'    => wp_kses( __('Next', 'helix'), true),
                             'prev_text'    => wp_kses( __('Previous', 'helix'), true),
                             'type'         => 'array',
                         ) );

                if( is_array( $pages ) ) {
                    $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
                    echo wp_kses( __('<ul class="pagination">', 'helix'), true);
                    foreach ( $pages as $page ) {
                            echo wp_kses( __('<li>', 'helix'), true) .wp_kses($page,true). wp_kses( __('</li>', 'helix'), true);
                    }
                   echo wp_kses( __('</ul>', 'helix'), true ) ;
                }
            ?>
    </div>
    </div>
  
  <?php  wp_reset_postdata(); ?>

<?php 

// Close layout
require( OVA_THEME_URL.'/templates/ova_close_event_layout.php' );

get_footer(); ?>