<?php get_header();

$trainer = ( get_query_var( 'trainer' ) ) ? get_query_var( 'trainer' ) : '';
$term_trainer = get_term_by('slug',$trainer, 'trainer');

$background_color=get_theme_mod('helix_background_color','#dae3e6');
$title_page=get_term_meta($term_trainer->term_id, "helix_met_title_page",true);
$desc_page=get_term_meta($term_trainer->term_id, "helix_met_desc_page",true);
$html="";
if(($title_page !='') || ($desc_page !=''))
{
    $html .='<div class="header_top">';
    $html .='<div class="section-head text-center col-md-6 col-md-offset-3">';
        $html .=($title_page!='')?'<h1>'.$title_page.'</h1>':'';
        $html .=($desc_page!='')?'<p>'.$desc_page.'</p>':'';
    $html .='</div></div>';
} 
	
?> 
<section class="page-section" style="background-color:<?php echo esc_attr($background_color); ?>">
        <div class="container">
            <div class="row">
                <!-- Header -->
                <?php echo wp_kses($html, true); ?>
                <div class="trainer-single">
                	<div class="helix_classes">
					     <div class="class_content">
					         <div class="class_header">
					             <ul class="breadcrumb">
					             	<li>
					             		<a href="../">
					             			<?php esc_html_e( 'Trainer', 'helix' ) ?>
					             		</a>
					             	</li>
					             	<span class="separator">/</span>
					             	<li>
					             		<?php echo esc_html($term_trainer->name); ?>
					             	</li>
					             </ul>
					         </div>
					        <div class="trainer_content_single">
					        	 <?php 
                                    $avatar=get_term_meta($term_trainer->term_id, "helix_met_trainer_avatar", true);
                                    $experience=get_term_meta($term_trainer->term_id, "helix_met_trainer_experience", true);
                                    $email=get_term_meta($term_trainer->term_id, "helix_met_trainer_email", true);	
                                    $facebook=get_term_meta($term_trainer->term_id, "helix_met_trainer_facebook", true);
                                    $twitter=get_term_meta($term_trainer->term_id, "helix_met_trainer_twitter", true);
                                    $instagram=get_term_meta($term_trainer->term_id, "helix_met_trainer_instagram", true);
                                    $job=get_term_meta($term_trainer->term_id, "helix_met_trainer_job", true); 
                                    $youtube=get_term_meta($term_trainer->term_id, "helix_met_trainer_youtube", true);
                                    $google=get_term_meta($term_trainer->term_id, "helix_met_trainer_google", true);
                                ?>
					        	<div class="col-md-4">
					        		 <?php if($avatar!=''){ ?>
                                          <div class="trainer-media"> 
                                            <a href="<?php echo get_term_link($term_trainer->slug,'trainer'); ?>">
                                                <img src="<?php echo esc_url($avatar); ?>" class="img-reponsive">
                                            </a>
                                          </div>  
                                        <?php }  ?>
					        	</div>
					        	<div class="col-md-8">
					        		<div class="trainer-title">
	                                      <h3>
	                                        <a href="<?php echo get_term_link($term_trainer); ?>">
	                                           <?php echo esc_html($term_trainer->name); ?>
	                                        </a>
	                                      </h3>
	                                      <div class="trainer-class">
	                                      		<?php 
	                                      			$link =stripos(get_post_type_archive_link('class'),'?');
							                      	$url=get_post_type_archive_link('class').'?trainer='.$term_trainer->slug;
								                      if($link)
								                      {
								                         $url=get_post_type_archive_link('class').'&trainer='.$term_trainer->slug;
								                      }
							                    ?>
	                                      		<a href="<?php echo esc_url($url); ?>"><?php esc_html_e( 'View my class', 'helix' ) ?></a>
	                                      </div>
                                    </div>
                                    <?php if($job!=''){ ?>
	                                    <div class="trainer-job">
	                                    	<div class="col-md-2 no-padding">
		                                		<b>
		                                        <?php esc_html_e( 'Postition:', 'helix' ); ?>
		                                        </b>
	                                        </div>
	                                        <div class="col-md-10 no-padding">
		                                        <span>
		                                        	 <?php echo esc_html($job); ?>
		                                        </span>
	                                         </div>
	                                     </div>
                                     <?php }  ?>
                                     <?php if($experience!=''){ ?>
	                                     <div class="trainer-experience">
	                                     <div class="col-md-2 no-padding">
                                     		<b>
                                            	<?php esc_html_e( 'Experience:', 'helix' ) ?>
                                            </b>
                                             </div>
	                                        <div class="col-md-10 no-padding">
	                                            <span>
	                                            	 <?php echo esc_html($experience); ?><?php esc_html_e( ' year', 'helix' ) ?>
	                                            </span> 
                                            </div>
	                                     </div>
                                      <?php }  ?>
                                      <?php if($email!=''){ ?>
	                                     <div class="trainer-email">
	                                      <div class="col-md-2 no-padding">
	                                     	<b>
	                                            <?php esc_html_e( 'Email:', 'helix' ) ?>
	                                      	</b>
	                                      	 </div>
	                                        <div class="col-md-10 no-padding">
                                            <span>
                                            	 <?php echo esc_html($email); ?>
                                            </span>
                                            </div>
	                                     </div>
                                      <?php }  ?>
                                       <?php if($term_trainer->description!=''){ ?>
	                                     <div class="trainer-desc">
	                                     <div class="col-md-2 no-padding">
	                                     	<b>
	                                            <?php esc_html_e( 'Biography:', 'helix' ) ?>
	                                        </b>
	                                        </div>
	                                        <div class="col-md-10 no-padding">
                                           
                                            <span>
                                            	 <?php echo esc_html($term_trainer->description); ?>
                                            </span>
                                            </div>
	                                     </div>
                                      <?php }  ?>
                                      <div class="trainer-social">
	                                      	<div class="col-md-2 no-padding">
		                                      	<b>
		                                            <?php esc_html_e( 'Social:', 'helix' ) ?>
		                                      	</b>
	                                      	</div>
	                                        <div class="col-md-10 no-padding">
	                                            <ul>
	                                                <?php 
	                                                if($facebook!=''){ ?>
	                                                    <li>
	                                                      <a href="<?php echo esc_url($facebook); ?>">
	                                                        <i class="icon ion-social-facebook"></i>
	                                                      </a>
	                                                  </li>
	                                                <?php }  ?>
	                                                <?php 
	                                                if($twitter!=''){  ?>
	                                                    <li>
	                                                        <a href="<?php echo esc_url($twitter); ?>">
	                                                          <i class="icon ion-social-twitter"></i>
	                                                        </a>
	                                                    </li>
	                                               <?php  }  ?>
	                                               <?php  if($instagram!=''){  ?>
	                                                    <li>
	                                                        <a href="<?php echo esc_url($instagram); ?>">
	                                                          <i class="icon ion-social-instagram-outline"></i>
	                                                        </a>
	                                                    </li>
		                                                <?php } ?>
	                                                <?php  if($youtube!=''){  ?>
	                                                    <li>
	                                                        <a href="<?php echo esc_url($youtube); ?>">
	                                                          <i class="icon ion-social-youtube"></i>
	                                                        </a>
	                                                    </li>
	                                                <?php } ?>
	                                                <?php  if($google!=''){  ?>
	                                                    <li>
	                                                        <a href="<?php echo esc_url($google); ?>">
	                                                          <i class="icon ion-social-googleplus"></i>
	                                                        </a>
	                                                    </li>
	                                                <?php } ?>
	                                            </ul>
                                            </div>
                                        </div>
                                    </div>
					        	</div>
							</div>
					    </div>
					</div>
                </div>
			</div>
        </div>
</section>       
<?php 
get_footer(); ?>