<?php
/** Template Name: Search Template */
get_header();

// Open layout
require( OVA_THEME_URL.'/templates/ova_open_layout.php' ); ?>

<?php 
    function Search_filter( $where, &$wp_query )
    {
        global $wpdb;
        if ( $search_term = $wp_query->get( 'search_option' ) ) {
            $where .= ' AND ' . $wpdb->posts . '.post_title LIKE \'%' . esc_sql(  $search_term  ) . '%\'';
        }
        return $where;
    }
    $type = $_GET['type'];
    $search = $_POST['search'];
    if($type=="classes")
    {
    	 $type ="class";
    }
	$args = array(
        'post_type' => $type,
        'search_option' => $search,
        'post_status' => 'publish',
        'orderby'     => 'title', 
        'order'       => 'ASC'
    );
    
    add_filter( 'posts_where', 'Search_filter', 10, 2 );
    $events = new WP_Query($args);
    remove_filter( 'posts_where', 'Search_filter', 10, 2 );

 ?>
   <?php $event_layout= get_post_meta(get_current_id(), "helix_met_class_layout", true) ?>
	<?php if($event_layout=="global"){
	            $event_layout=get_theme_mod("event_setting","list");
	} ?>    
	<?php
        if( isset($_GET['layout']) && $_GET['layout']!=null ){
	        $type_layout=( $_GET['layout']) ? $_GET['layout'] : $event_layout;
	    }else{
	        $type_layout=$event_layout;
	    }
    ?>
    <!-- get current main layout -->
    <?php $main_layout = get_current_main_layout(); ?>
    <!-- get currenet class layout (list or grid) -->
    <?php $active_list='active';$active_grid='';$col=''; ?>
    <?php if($type_layout=='list'){ ?>
        <?php $active_list='active'; ?>
        <?php $active_grid=''; ?>
    <?php } else{
        $active_list='';
        $active_grid='active';
    } ?>
      
    <div class="helix_events">
        <div class="event_header">
            <h3><?php esc_html_e('We found','helix') ?><span>&nbsp<span class="number_count"><?php echo esc_html($events->post_count) ?></span> <?php echo esc_html($type); ?></span> <?php esc_html_e('that available for you','helix') ?> 
            </h3>
            <ul class="tab-list">
                <li class="<?php echo esc_attr($active_list); ?>" data-type="list">
                    <a href="<?php echo add_query_arg(array( 
                        'layout' => 'list'
                    ),get_permalink($events->ID)) ; ?>">
                        <i class="fa fa-th-list"></i>
                    </a>
                </li>
                <li class="<?php echo esc_attr($active_grid); ?>" data-type="grid">
                 <a href="<?php echo add_query_arg(array( 
                        'layout' => 'grid'
                    ),get_permalink($events->ID)) ; ?>">
                    <i class="fa fa-th"></i>
                     </a>
                </li>
            </ul>
        </div>
        <?php $layout_full=''; ?>
        <?php if($main_layout == 'right_sidebar' || $main_layout == 'left_sidebar' ){ ?>
             <?php $col='col-md-12'; ?>
             <?php if($type_layout=='grid'){ ?>
                <?php $col='col-md-4'; ?>
            <?php } ?>
        <?php } else {?>
            <?php $col='col-md-12'; ?>
            <?php $layout_full='full'; ?>
            <?php if($type_layout=='grid'){ ?>
                <?php $col='col-md-4'; ?>
            <?php } ?>
        <?php } ?>
        <div class="event_content <?php echo  esc_attr($active_list); ?>" data-type="list" data-layout="<?php echo esc_attr($main_layout); ?> "style="margin-bottom:30px;">
                <?php if ( $events->have_posts() ) : while ( $events->have_posts() ) : $events->the_post(); ?>
                    <div class='<?php echo esc_attr($col); ?>'>
                        <?php get_template_part( 'content/content-eventlist'); ?>
                    </div> 
                <?php endwhile; ?>
            <?php endif;  ?>
        </div>
        <div class="event_content <?php echo  esc_attr($active_grid); ?>" data-type="grid" data-layout="<?php echo esc_attr($main_layout); ?>" style="margin-bottom:30px;">
            <?php $index=0; ?>
            <?php if ( $events->have_posts() ) : while ( $events->have_posts() ) : $events->the_post(); ?>
                    <?php $index++; ?>
                <div class='<?php echo esc_attr($col); ?>'>
                    <?php get_template_part( 'content/content-eventgrid'); ?>
                </div>
                <?php if($layout_full=='full'){ ?>
                    <?php if($index==4){ ?>
                        <div class="clearfix"></div>
                        <?php  $index=0; ?>
                    <?php } ?>  
                <?php }else { ?>
                    <?php if($index==3){ ?>
                        <div class="clearfix"></div>
                        <?php  $index=0; ?>
                    <?php } ?>
            <?php } ?>
            <?php endwhile; ?>
         <?php endif; ?>
        </div>
    </div>

  
  <?php  wp_reset_postdata(); ?>
<?php
if($type=="events")
{
	require( OVA_THEME_URL.'/templates/ova_close_event_layout.php' );
}else{
	require( OVA_THEME_URL.'/templates/ova_close_class_layout.php' );
}
// Close layout



get_footer();

?>