<?php
    /** Template Name: Trainer Template */
    get_header();

    $background_color=get_theme_mod('helix_background_color','#dae3e6');
    $item_Pager=get_theme_mod('trainer_setting','10');

    $title_page=get_post_meta(get_current_id(), "helix_met_title_page",true);
    $desc_page=get_post_meta(get_current_id(), "helix_met_desc_page",true);
    $html="";
    if(($title_page !='') || ($desc_page !=''))
    {
        $html .='<div class="header_top">';
        $html .='<div class="section-head text-center col-md-6 col-md-offset-3">';
            $html .=($title_page!='')?'<h1>'.$title_page.'</h1>':'';
            $html .=($desc_page!='')?'<p>'.$desc_page.'</p>':'';
        $html .='</div></div>';
    } 

    if ( get_query_var( 'paged' ) )
        $paged = get_query_var('paged');
    else if ( get_query_var( 'page' ) )
        $paged = get_query_var( 'page' );
    else
        $paged = 1;
    $per_page    = $item_Pager;
   
    $args1 = array(
          'type'                     => 'class',
          'child_of'                 => 0,
          'parent'                   => '',
          'orderby'                  => 'name',
          'order'                    => 'ASC',
          'hide_empty'               => 0,
          'hierarchical'             => 1,
          'exclude'                  => '',
          'include'                  => '',
          'taxonomy'                 => 'trainer',
          'pad_counts'               => false
    );
    $total_terms = count(get_terms('trainer',$args1));

    $offset      = $per_page * ( $paged - 1) ;

    // Setup the arguments to pass in
    $args = array(
          'type'                     => 'class',
          'child_of'                 => 0,
          'parent'                   => '',
          'orderby'                  => 'name',
          'order'                    => 'ASC',
          'hide_empty'               => 0,
          'hierarchical'             => 1,
          'exclude'                  => '',
          'include'                  => '',
          'offset'                   => $offset,
          'number'                   => $per_page,
          'taxonomy'                 => 'trainer',
          'pad_counts'               => false
    );
    // Gather the series
    $trainer = get_terms('trainer', $args);

?>
<section class="page-section" style="background-color:<?php echo esc_attr($background_color); ?>">
        <div class="container">
            <div class="row">
                <!-- Header -->
                <?php echo wp_kses($html, true); ?>
                <div class="page-trainer">
                    <div class="section-trainer text-center">
                        <?php if($trainer){
                             foreach ($trainer as $key => $value) { ?>
                               <div class="col-md-3 col-sm-6 col-xs-6 col-xsm-12">
                                    <div class="trainer_item" >
                                        <?php 
                                            $avatar=get_term_meta($value->term_id, "helix_met_trainer_avatar", true);
                                            $facebook=get_term_meta($value->term_id, "helix_met_trainer_facebook", true);
                                            $twitter=get_term_meta($value->term_id, "helix_met_trainer_twitter", true);
                                            $instagram=get_term_meta($value->term_id, "helix_met_trainer_instagram", true);
                                            $job=get_term_meta($value->term_id, "helix_met_trainer_job", true); 
                                            $youtube=get_term_meta($value->term_id, "helix_met_trainer_youtube", true);
                                            $google=get_term_meta($value->term_id, "helix_met_trainer_google", true);
                                        ?>
                                        <?php if($avatar!=''){ ?>
                                          <div class="trainer-media"> 
                                            <a href="<?php echo get_term_link($value->slug,'trainer'); ?>">
                                                <img src="<?php echo esc_url($avatar); ?>" class="img-circle">
                                            </a>
                                          </div>  
                                        <?php }  ?>
                                        <div class="trainer-title">
                                          <h3>
                                            <a href="<?php echo get_term_link($value); ?>">
                                               <?php echo esc_html($value->name); ?>
                                            </a>
                                          </h3>
                                        </div>
                                        <div class="trainer-job">
                                            <p><?php echo esc_html($job); ?></p>
                                        </div>
                                        <div class="trainer-social">
                                            <ul>
                                                <?php 
                                                if($facebook!=''){ ?>
                                                    <li>
                                                      <a href="<?php echo esc_url($facebook); ?>">
                                                        <i class="icon ion-social-facebook"></i>
                                                      </a>
                                                  </li>
                                                <?php }  ?>
                                                <?php 
                                                if($twitter!=''){  ?>
                                                    <li>
                                                        <a href="<?php echo esc_url($twitter); ?>">
                                                          <i class="icon ion-social-twitter"></i>
                                                        </a>
                                                    </li>
                                               <?php  }  ?>
                                               <?php  if($instagram!=''){  ?>
                                                    <li>
                                                        <a href="<?php echo esc_url($instagram); ?>">
                                                          <i class="icon ion-social-instagram-outline"></i>
                                                        </a>
                                                    </li>
                                                <?php } ?>
                                                <?php  if($youtube!=''){  ?>
                                                    <li>
                                                        <a href="<?php echo esc_url($youtube); ?>">
                                                          <i class="icon ion-social-youtube"></i>
                                                        </a>
                                                    </li>
                                                <?php } ?>
                                                <?php  if($google!=''){  ?>
                                                    <li>
                                                        <a href="<?php echo esc_url($google); ?>">
                                                          <i class="icon ion-social-googleplus"></i>
                                                        </a>
                                                    </li>
                                                <?php } ?>
                                            </ul>
                                        </div>
                                    </div>
                              </div>
                            <?php } ?>
                        <?php  } ?>
                    </div>
                    <div class="pagination-wrapper">
                    <?php

                        $big = 999999999; // need an unlikely integer
                        $pages = paginate_links(array(
                                     'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                                     'format' => '?paged=%#%',
                                     'current' => max(1, get_query_var('paged') ),
                                     'total' => ceil( $total_terms / $per_page ),
                                     'next_text'    => wp_kses( __('Next', 'helix'), true),
                                     'prev_text'    => wp_kses( __('Previous', 'helix'), true),
                                     'type'         => 'array',
                                 ) );

                        if( is_array( $pages ) ) {
                            $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
                            echo wp_kses( __('<ul class="pagination">', 'helix'), true);
                            foreach ( $pages as $page ) {
                                    echo wp_kses( __('<li>', 'helix'), true) .wp_kses($page,true). wp_kses( __('</li>', 'helix'), true);
                            }
                           echo wp_kses( __('</ul>', 'helix'), true ) ;
                        }
                    ?>
                    </div>
                </div>
            </div>
        </div>
</section>        
<?php 
    get_footer();
?>