<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;


// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 === ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 === $woocommerce_loop['columns'] ) {
	$classes[] = 'first';
}
if ( 0 === $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
	$classes[] = 'last';
}

$helix_cus_woo_shop_page_col = get_theme_mod('helix_cus_woo_shop_page_col','col-md-4 col-sm-4 col-xs-6 col-xsm-12');

$product_cats = wp_get_post_terms( get_the_id(), 'product_cat' );

?>


<div class="<?php echo esc_html($helix_cus_woo_shop_page_col); ?> grid-item">
	<div class="helix-content-product-grid <?php post_class( $classes ); ?>">
		<div class="thum_product">
			<?php the_post_thumbnail('shop_catalog'); ?>
		</div>
		
		<h3 class="product-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
		<?php  if ( $product_cats && !is_wp_error ( $product_cats ) ){ ?>
		        	 		<div class="product-type"><?php echo esc_html($product_cats[0]->name); ?></div>
		<?php   } ?>
		<?php 
                /**
				 * woocommerce_after_shop_loop_item_title hook
				 *
				 * @hooked woocommerce_template_loop_rating - 5
				 * @hooked woocommerce_template_loop_price - 10
				 */
                do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
	</div>
</div>




