<?php



if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Ensure visibility
if ( ! $product || ! $product->is_visible() ) {
	return;
}

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 === ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 === $woocommerce_loop['columns'] ) {
	$classes[] = 'first';
}
if ( 0 === $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
	$classes[] = 'last';
}

$product_cats = wp_get_post_terms( get_the_id(), 'product_cat' );

?>
<div class="container-fluid helix-archive-product padding-seventy">

	<div class="helix-content-product helix-content-product-list <?php post_class( $classes ); ?>">
		
		<div class="col-sm-4">
			<div class="thum_product">
				<?php the_post_thumbnail('shop_catalog'); ?>
			</div>
		</div>
		
		<div class="col-sm-8">
			<h3 class="product-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
			<?php  if ( $product_cats && !is_wp_error ( $product_cats ) ){ ?>
		        	 		<div class="product-type"><?php echo esc_html($product_cats[0]->name); ?></div>
		<?php   } ?>
			<div class="helix_rating">
			 <?php 
                    /**
					 * woocommerce_after_shop_loop_item_title hook
					 *
					 * @hooked woocommerce_template_loop_rating - 5
					 * @hooked woocommerce_template_loop_price - 10
					 */
                    do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
			</div>
			<div class="desc">
				<?php the_excerpt(); ?>	
			</div>
			
			<ul class="info">
				<li class="add_to_cart">
					<div class="helix_add_to_cart">
						<?php echo apply_filters( 'woocommerce_loop_add_to_cart_link',
							    sprintf( '    	
							    	<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="%s product_type_%s btn btn-theme caption-add-to-cart transition_helix">%s<i class="fa fa-angle-right"></i></a>',
							        esc_url( $product->add_to_cart_url() ),
							        esc_attr( $product->id ),
							        esc_attr( $product->get_sku() ),
							        $product->is_purchasable() ? 'add_to_cart_button' : '',
							        esc_attr( $product->product_type ),
							        esc_html( $product->add_to_cart_text() )
							    ),
							$product ); ?>
					</div>
				</li>
				<!-- <li class="wishlist">
					<?php echo do_shortcode('[yith_wcwl_add_to_wishlist product_id='.get_the_ID().']'); ?>
				</li>
				<li class="social">
					<?php echo do_shortcode('[yith_compare_button]') ?>
				</li> -->
			</ul>
			
			
		</div>
		
	</div>

</div>



