<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}



get_header( 'shop' ); 

$main_layout = get_theme_mod('woo_layout','full_width');
$background_color=get_theme_mod('helix_woo_background_color','#dae3e6');
$width_sidebar = "col-md-3  panel_left_sliderbar ";
$width_main_content = ( $main_layout == "full_width" ) ? "col-md-12 no-padding-left no-padding-right" : "col-md-9 shop_main_content";
$helix_cus_woo_shop_page_layout = get_theme_mod('helix_cus_woo_shop_page_layout','list');
$shop_layout = isset($_GET['shop_layout'])  ? $_GET['shop_layout']: '' ;
?>
	<!-- header -->
	<?php if( is_active_sidebar('page_shop_header') ){ ?>
		<div class="banner_header">
			<?php dynamic_sidebar('page_shop_header'); ?>
		</div>
	<?php } ?>
	<!-- Display Full layout -->
	<?php if($helix_cus_woo_shop_page_layout == 'full' || $shop_layout == 'full'){ 
		if ( have_posts() ) :
		
				/**
				 * woocommerce_before_shop_loop hook.
				 *
				 * @hooked woocommerce_result_count - 20
				 * @hooked woocommerce_catalog_ordering - 30
				 */
				//do_action( 'woocommerce_before_shop_loop' );
				
				//woocommerce_product_loop_start();

				woocommerce_product_subcategories(); ?>
					<div class="shop-fullwidth woocommerce">
						<div class="container-fluid filter">
							<div class="container woocommerce">
								<?php  dynamic_sidebar('fullshop-sidebar'); ?>
								<?php
									/**
									 * woocommerce_before_shop_loop hook.
									 *
									 * @hooked woocommerce_result_count - 20
									 * @hooked woocommerce_catalog_ordering - 30
									 */

									do_action( 'woocommerce_before_shop_loop' );

								?>	
							</div>
						</div>
						<div class="container">
							<div class="row">
								<?php while ( have_posts() ) : the_post();
								
									wc_get_template_part( 'archive', 'product-full' );
									
								endwhile; // end of the loop. ?>
							</div>
							<?php //woocommerce_product_loop_end(); ?>
							<div class="woo_pagiantion">
								<?php /**
								 * woocommerce_after_shop_loop hook.
								 *
								 * @hooked woocommerce_pagination - 10
								 */
								do_action( 'woocommerce_after_shop_loop' ); ?>
							</div>	
						</div>	
					</div>

				

				<?php
			

		elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<div class="container">
				<?php	wc_get_template( 'loop/no-products-found.php' ); ?>
			</div>
		<?php endif;
	}else{ ?>
	<div class="helix_shop" style="background-color:<?php echo esc_attr($background_color); ?>">
		<!-- Display Grid or List layout -->
		<div class="container woocommerce">
			<div class="row">

					<div class="<?php echo esc_attr($width_main_content); ?>">
						
			            <div class="tab-content tab-content-shop">
			            	<div class=" shop_order_top">
								<div class="row">
									
									<ul class="ova-list-grid-tabs" role="tablist">
										<li class="text"><?php esc_html_e('View as: ','helix'); ?></li>
						                <li  class="<?php echo ($helix_cus_woo_shop_page_layout == 'list') ? 'active':''; ?> list"  role="presentation"> <a class="view-list" href="#list-view" data-toggle="tab" role="tab" ><i class="fa fa-th-list"></i></a></li>
						                <li  class="<?php echo ($helix_cus_woo_shop_page_layout == 'grid') ? 'active':''; ?>  grid"  role="presentation"><a class="view-th " href="#grid-view" data-toggle="tab" role="tab"><i class="fa fa-th"></i></a></li>
						            </ul>
						            <div class="ova-sort">
						               <label><?php echo esc_html('Sorted by:','helix') ?></label>
						            	<?php
											/**
											 * woocommerce_before_shop_loop hook.
											 *
											 * @hooked woocommerce_result_count - 20
											 * @hooked woocommerce_catalog_ordering - 30
											 */

											do_action( 'woocommerce_before_shop_loop' );

										?>	
						            </div>

						        </div>	    
							</div>

				            <div id="list-view"  class="tab-pane fade <?php echo ($helix_cus_woo_shop_page_layout == 'list') ? 'active in':''; ?> " role="tabpanel">
				            	
				        		<?php if ( have_posts() ) : ?>

									<?php //woocommerce_product_loop_start(); ?>

										<?php woocommerce_product_subcategories(); ?>
										
										<?php while ( have_posts() ) : the_post(); ?>
											
											<?php wc_get_template_part( 'archive', 'product-list' ); ?>
											
										<?php endwhile; // end of the loop. ?>

									<?php // woocommerce_product_loop_end(); ?>

									<div class="woo_pagiantion">
										<?php
											/**
											 * woocommerce_after_shop_loop hook.
											 *
											 * @hooked woocommerce_pagination - 10
											 */
											do_action( 'woocommerce_after_shop_loop' );
										?>	
									</div>
									

								<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

									<?php wc_get_template( 'loop/no-products-found.php' ); ?>

								<?php endif; ?>    	
				            </div><!-- /List -->

				            <div id="grid-view"  class="tab-pane fade <?php echo ($helix_cus_woo_shop_page_layout == 'grid') ? 'active in':''; ?> " role="tabpanel">
				            	<div class="row">
					            	<?php if ( have_posts() ) : ?>
					            		
										<?php
											/**
											 * woocommerce_before_shop_loop hook.
											 *
											 * @hooked woocommerce_result_count - 20
											 * @hooked woocommerce_catalog_ordering - 30
											 */
											//do_action( 'woocommerce_before_shop_loop' );
										?>

										<?php woocommerce_product_loop_start(); ?>

											<?php woocommerce_product_subcategories(); ?>
											<?php $index=0; ?>
											<?php while ( have_posts() ) : the_post(); ?>
												<?php $index++; ?>
												<?php wc_get_template_part( 'archive', 'product-grid' ); ?>
												<?php if($index==3) {?>
													<div class="clearfix"></div>
												<?php } ?>
											<?php endwhile; // end of the loop. ?>

										<?php woocommerce_product_loop_end(); ?>
										<div class="woo_pagiantion">
											<?php
												/**
												 * woocommerce_after_shop_loop hook.
												 *
												 * @hooked woocommerce_pagination - 10
												 */
												do_action( 'woocommerce_after_shop_loop' );
											?>
										</div>
									<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

										<?php wc_get_template( 'loop/no-products-found.php' ); ?>

									<?php endif; ?>
								</div>
				            </div><!-- /grid -->

			            </div> <!-- /tab-content -->
			            <!-- <div class="border_full_left"></div>
			            <div class="border_full_right"></div> -->
					</div>

					<!-- Display sidebar at left  -->
					<?php if($main_layout == "left_sidebar"){ ?>
						<div class="<?php echo esc_attr($width_sidebar); ?>">
							<?php if(is_active_sidebar('product-sidebar')){ ?>
							        <aside id="sidebar" class="sidebar sidebar-shop">
							            <?php  dynamic_sidebar('product-sidebar'); ?>
							        </aside>
							<?php } ?>
						</div>
					<?php } ?>
				<?php if($main_layout == "right_sidebar"){ ?>
					<div class="<?php echo esc_attr($width_sidebar); ?>">
						<?php if(is_active_sidebar('product-sidebar')){ ?>
						        <aside id="sidebar" class="sidebar">
						            <?php  dynamic_sidebar('product-sidebar'); ?>
						        </aside>
						<?php } ?>
					</div>
				<?php } ?>
			</div>

		</div>
	</div>
	<?php } ?>

<?php get_footer( 'shop' ); ?>













