<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wc_print_notices();

do_action( 'woocommerce_before_cart' ); ?>


	<div class="row helix_page_cart">
		<div class="col-md-8">
			<div class="cart_left">
				<ul>
					<li>
						<span class="badge">1</span><?php esc_html_e('Select item','helix') ?>
					</li>
					<li class="active">
						<span class="badge ">2</span><?php esc_html_e('Review your cart','helix') ?>
					</li>
					<li>
						<span class="badge">3</span><?php esc_html_e('Checkout','helix') ?>
					</li>
				</ul>
				<form action="<?php echo esc_url( wc_get_cart_url() ); ?>" method="post">
					<?php do_action( 'woocommerce_before_cart_table' ); ?>
					
						<table class="shop_table cart" cellspacing="0">
							
							<tbody>
								<?php do_action( 'woocommerce_before_cart_contents' ); $i=0; ?>

								<?php
								foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
									$_product     = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
									$product_id   = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );
									$d =  ($i%2 == 0) ? 'odd':'eve';$i++;
									if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_cart_item_visible', true, $cart_item, $cart_item_key ) ) {
										?>
										<tr class="<?php echo esc_attr( apply_filters( 'woocommerce_cart_item_class', 'cart_item', $cart_item, $cart_item_key ) ); ?> <?php echo esc_attr($d); ?>">


											<td class="product-name" data-title="<?php _e( 'Product', 'helix' ); ?>">
												<div class="product-thumbnail">
													<?php
														$thumbnail = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );

														if ( ! $_product->is_visible() ) {
															echo ''.$thumbnail;
														} else {
															printf( '<a href="%s">%s</a>', esc_url( $_product->get_permalink( $cart_item ) ), $thumbnail );
														}
													?>
												</div>
												<div class="cart_info">
													<div class="title">
														<?php
															if ( ! $_product->is_visible() ) {
																echo apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $cart_item, $cart_item_key ) . '&nbsp;';
															} else {
																echo apply_filters( 'woocommerce_cart_item_name', sprintf( '<a href="%s">%s</a>', esc_url( $_product->get_permalink( $cart_item ) ), $_product->get_title() ), $cart_item, $cart_item_key );
															}

															// Meta data
															echo WC()->cart->get_item_data( $cart_item );

															// Backorder notification
															if ( $_product->backorders_require_notification() && $_product->is_on_backorder( $cart_item['quantity'] ) ) {
																echo '<p class="backorder_notification">' . esc_html__( 'Available on backorder', 'helix' ) . '</p>';
															}
														?>
													</div>
													<div class="product-quantity" data-title="<?php _e( 'Quantity', 'helix' ); ?>">
														<span>
															<?php esc_html_e('Q.ty:','helix') ?>
														</span>
														<?php
															if ( $_product->is_sold_individually() ) {
																$product_quantity = sprintf( '1 <input type="hidden" name="cart[%s][qty]" value="1" />', $cart_item_key );
															} else {
																$product_quantity = woocommerce_quantity_input( array(
																	'input_name'  => "cart[{$cart_item_key}][qty]",
																	'input_value' => $cart_item['quantity'],
																	'max_value'   => $_product->backorders_allowed() ? '' : $_product->get_stock_quantity(),
																	'min_value'   => '0'
																), $_product, false );
															}

															echo apply_filters( 'woocommerce_cart_item_quantity', $product_quantity, $cart_item_key, $cart_item );
														?>
													</div>
													<div class="product-price" data-title="<?php _e( 'Price', 'helix' ); ?>">
													<?php esc_html_e('Price:','helix') ?>
														<?php
															echo apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
														?>
													</div>
													<div class="product-subtotal" data-title="<?php _e( 'Total', 'helix' ); ?>">
													    <?php esc_html_e('Total:','helix') ?>
														<?php
															echo apply_filters( 'woocommerce_cart_item_subtotal', WC()->cart->get_product_subtotal( $_product, $cart_item['quantity'] ), $cart_item, $cart_item_key );
														?>
													</div>
												</div>
												
											</td>
											<td class="product-remove">
												<?php
													echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
														'<a href="%s" class="remove" title="%s" data-product_id="%s" data-product_sku="%s">&times;</a>',
														esc_url( WC()->cart->get_remove_url( $cart_item_key ) ),
														esc_html__( 'Remove this item', 'helix' ),
														esc_attr( $product_id ),
														esc_attr( $_product->get_sku() )
													), $cart_item_key );
												?>
											</td>
										</tr>
										<?php
									}
								}

								do_action( 'woocommerce_cart_contents' );
								?>
								<?php do_action( 'woocommerce_after_cart_contents' ); ?>
							</tbody>
						</table>

						<div class="helix_cart_coupon">
							<div class="actions">
								<div class="row">
									<?php if ( wc_coupons_enabled() ) { ?>
										<div class="coupon col-md-8 pull-left">
										
											<!-- <div class="label_coupon_code coupon_code"><?php esc_html_e( 'Have you got a coupon code ?', 'helix' ); ?></div> -->
											<input type="text"  name="coupon_code" class="input-text" id="coupon_code" value="" placeholder="<?php esc_attr_e( 'Coupon code', 'helix' ); ?>" /> 
											<button type="submit" class="button" name="apply_coupon"><?php esc_html_e( 'Apply this coupon ', 'helix' ); ?><i class="fa fa-info-circle"></i></button>
											

											<?php do_action( 'woocommerce_cart_coupon' ); ?>
											
										</div>
									<?php } ?>
									<div class="col-md-4  pull-right helix_update_cart">
									<!-- 	<a class="helix_continue_shoping" href="<?php echo get_permalink( woocommerce_get_page_id( 'shop' ) ); ?>"><?php esc_html_e('or continue shopping', 'helix'); ?></a> -->
										<input type="submit" class="button transition_helix" name="update_cart" value="<?php esc_attr_e( 'update cart', 'helix' ); ?>" />
									</div>
								</div>
								<?php do_action( 'woocommerce_cart_actions' ); ?>

								<?php wp_nonce_field( 'woocommerce-cart' ); ?>
							</div>
						</div>


						<?php do_action( 'woocommerce_after_cart_table' ); ?>
				</form>
			</div>
		</div>


		<div class="col-md-4">
			<div class="cart-collaterals">
				<?php do_action( 'woocommerce_cart_collaterals' ); ?>
			</div>
		</div>
	</div>



<?php do_action( 'woocommerce_after_cart' ); ?>
