<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}?>
<div class="helix_checkout">
	<ul>
		<li>
			<span class="badge">1</span><?php esc_html_e('Select item','helix') ?>
		</li>
		<li >
			<span class="badge ">2</span><?php esc_html_e('Review your cart','helix') ?>
		</li>
		<li class="active">
			<span class="badge">3</span><?php esc_html_e('Checkout','helix') ?>
		</li>
	</ul>
	<div class="check_content">
		<?php 
			wc_print_notices();

			do_action( 'woocommerce_before_checkout_form', $checkout );

			// If checkout registration is disabled and not logged in, the user cannot checkout
			if ( ! $checkout->enable_signup && ! $checkout->enable_guest_checkout && ! is_user_logged_in() ) {
				echo apply_filters( 'woocommerce_checkout_must_be_logged_in_message', __( 'You must be logged in to checkout.', 'helix' ) );
				return;
			}
		?>

		<form name="checkout" method="post" class="checkout touxt_checkout_page woocommerce-checkout" action="<?php echo esc_url( wc_get_checkout_url() ); ?>" enctype="multipart/form-data">
			<div class="row">
				<div class="col-md-6">
					<?php if ( sizeof( $checkout->checkout_fields ) > 0 ) : ?>
							<?php do_action( 'woocommerce_checkout_before_customer_details' ); ?>

								<div id="customer_details">
									<?php do_action( 'woocommerce_checkout_billing' ); ?>
									<?php do_action( 'woocommerce_checkout_shipping' ); ?>
								</div>

							<?php do_action( 'woocommerce_checkout_after_customer_details' ); ?>
					<?php endif; ?>
				</div>

				<div class="col-md-6">
					<h3 id="order_review_heading"><?php _e( 'Your order', 'helix' ); ?></h3>

					<?php do_action( 'woocommerce_checkout_before_order_review' ); ?>

					<div id="order_review" class="woocommerce-checkout-review-order">
						<?php do_action( 'woocommerce_checkout_order_review' ); ?>
					</div>
					<?php do_action( 'woocommerce_checkout_after_order_review' ); ?>
				</div>
			</div>

		</form>

		<?php do_action( 'woocommerce_after_checkout_form', $checkout ); ?>
	</div>
</div>