<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php
	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }


global $post, $product;

$cat_count = sizeof( get_the_terms( $post->ID, 'product_cat' ) );
$tag_count = sizeof( get_the_terms( $post->ID, 'product_tag' ) );
?>
<div class="nav_paging">
                <?php previous_post_link('%link', '<i class="icon ion-chevron-left" aria-hidden="true"></i>') ?>
                <?php next_post_link('%link', '<i class="icon ion-chevron-right" aria-hidden="true"></i>') ?>
             </div>
<div itemscope itemtype="<?php echo woocommerce_get_product_schema(); ?>" id="product-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="col-md-4 content_left_product">
		<div class="product_img">
			<?php
				/**
				 * woocommerce_before_single_product_summary hook.
				 *
				 * @hooked woocommerce_show_product_sale_flash - 10
				 * @hooked woocommerce_show_product_images - 20
				 */
				//do_action( 'woocommerce_before_single_product_summary' );
				remove_action( 'woocommerce_before_single_product_summary','woocommerce_show_product_sale_flash', 10 );
				remove_action( 'woocommerce_before_single_product_summary','woocommerce_show_product_images', 10 );
				
				add_action( 'helix_woocommerce_show_product_images','woocommerce_show_product_images', 10 );
				do_action('helix_woocommerce_show_product_images', 10);

			?>
		
		</div>
	</div>

	<div class="col-md-8 content_right_product">
		<div class="summary entry-summary">
			
			<?php
				/**
				 * woocommerce_single_product_summary hook.
				 *
				 * @hooked woocommerce_template_single_title - 5
				 * @hooked woocommerce_template_single_rating - 10
				 * @hooked woocommerce_template_single_price - 10
				 * @hooked woocommerce_template_single_excerpt - 20
				 * @hooked woocommerce_template_single_add_to_cart - 30
				 * @hooked woocommerce_template_single_meta - 40
				 * @hooked woocommerce_template_single_sharing - 50
				 */
				//do_action( 'woocommerce_single_product_summary',5 );
				remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
				remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10 );
				remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
				remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
				remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30);
				remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
				remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_sharing', 50 );

				add_action( 'helix_woocommerce_template_single_title', 'woocommerce_template_single_title', 5 );
				add_action( 'helix_woocommerce_template_single_rating', 'woocommerce_template_single_rating', 10 );
				add_action( 'helix_woocommerce_template_single_price', 'woocommerce_template_single_price', 10 );
				add_action( 'helix_woocommerce_template_single_excerpt', 'woocommerce_template_single_excerpt', 20 );
				add_action( 'helix_woocommerce_template_single_add_to_cart', 'woocommerce_template_single_add_to_cart', 20 );
				add_action( 'helix_woocommerce_template_single_meta', 'woocommerce_template_single_meta', 40 );
				add_action( 'helix_woocommerce_template_single_sharing', 'woocommerce_template_single_sharing', 50 );


			?>
			<div class="helix_title">
				<?php 
					do_action('helix_woocommerce_template_single_title');
				?>
			</div>
			
				<?php echo do_action('helix_woocommerce_template_single_rating'); ?>
			<div class="container-fluid cart-sku no-padding-left no-padding-right">
				<div class="col-md-6 no-padding-left">
					<?php do_action('helix_woocommerce_template_single_price'); ?>
				</div>
				<div class="col-md-6 no-padding-right pull-right">
					<?php do_action('helix_woocommerce_template_single_meta'); ?>
					<div class="clearfix"></div>
					<div class="helix_stock pull-right">
						
						<?php
							// Availability
							$availability      = $product->get_availability();
							$availability_html = empty( $availability['availability'] ) ? '' : '<span class="stock  ' . esc_attr( $availability['class'] ) . '">' . esc_html( $availability['availability'] ) . '</span>'; ?>
							<?php if($availability_html){ ?>
								<span><?php esc_html_e('Availability: ','helix'); ?></span>
							<?php } ?>
						<?php	echo apply_filters( 'woocommerce_stock_html', $availability_html, $availability['availability'], $product );
						?>
					</div>
					</div>
			</div>
			<div class="clearfix"></div>
			<div class="quick-info">
					<?php do_action('helix_woocommerce_template_single_excerpt'); ?>
			</div>
			
			<div class="helix-add-to-cart">
				<?php do_action('helix_woocommerce_template_single_add_to_cart'); ?>	
			</div>	


			<div class="container-fluid no-padding-left wishlist_compare no-padding-right">
				<div class="cat pull-left"><?php // esc_html_e('Category: ','helix'); ?> 
					<?php echo ''.$product->get_categories( ', ', '<span class="posted_in">' . _n( 'Category:', 'Categories:', $cat_count, 'helix' ) . ' ', '</span>' ); ?>
				</div>
			</div>
			

			<?php do_action('helix_woocommerce_template_single_sharing'); ?>
			

		</div><!-- .summary -->
	</div>

	<meta itemprop="url" content="<?php the_permalink(); ?>" />

</div><!-- #product-<?php the_ID(); ?> -->

<?php do_action( 'woocommerce_after_single_product' ); ?>
