<?php

global $product;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! comments_open() ) {
	return;
}

?>
<div id="reviews">
	<div id="comments">
		<h4><?php
			if ( get_option( 'woocommerce_enable_review_rating' ) === 'yes' && ( $count = $product->get_review_count() ) )
				printf( _n( '%s review', '%s reviews', $count, 'helix' ), $count);
			else
				_e( 'Reviews', 'helix' );
		?></h4>

		<?php if ( have_comments() ) : ?>

			<ol class="commentlist">
				<?php wp_list_comments( apply_filters( 'woocommerce_product_review_list_args', array( 'callback' => 'woocommerce_comments' ) ) ); ?>
			</ol>

			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
				echo '<nav class="woocommerce-pagination">';
				paginate_comments_links( apply_filters( 'woocommerce_comment_pagination_args', array(
					'prev_text' => '&larr;',
					'next_text' => '&rarr;',
					'type'      => 'list',
				) ) );
				echo '</nav>';
			endif; ?>

		<?php else : ?>

			<p class="woocommerce-noreviews"><?php _e( 'There are no reviews yet.', 'helix' ); ?></p>

		<?php endif; ?>
	</div>

	<?php if ( get_option( 'woocommerce_review_rating_verification_required' ) === 'no' || wc_customer_bought_product( '', get_current_user_id(), $product->id ) ) : ?>

		<div id="review_form_wrapper">
			<div id="review_form">
						<?php
							$commenter = wp_get_current_commenter();

							$comment_form = array(
								'title_reply'          => have_comments() ? __( 'Add a review', 'helix' ) : esc_html__( 'Be the first to review', 'helix' ),
								'title_reply_to'       => __( 'Leave a Reply to %s', 'helix' ),
								'comment_notes_before' => '',
								'comment_notes_after'  => '',
								'fields'               => array(
									'author' => '<div class="col-md-6 no-padding-right"><p class="comment-form-author">' .
									            '<input id="author" class="form-control" name="author" type="text" placeholder="'.esc_html__('Name*','helix').'" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30" aria-required="true" /></p>',
									'email'  => '<p class="comment-form-email">' .
									            '<input id="email"  class="form-control" name="email" placeholder="'.esc_html__('Email*','helix').'" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30" aria-required="true" /></p></div>',
								),
								'label_submit'  => esc_html__( 'Submit', 'helix' ),
								'logged_in_as'  => '',
								'comment_field' => ''
							);

							if ( $account_page_url = wc_get_page_permalink( 'myaccount' ) ) {
								$comment_form['must_log_in'] = '<p class="must-log-in">' .  sprintf( __( 'You must be <a href="%s">logged in</a> to post a review.', 'helix' ), esc_url( $account_page_url ) ) . '</p>';
							}

							if ( get_option( 'woocommerce_enable_review_rating' ) === 'yes' ) {
								$comment_form['comment_field'] = '<p class="comment-form-rating"><label for="rating">' . __( 'Your Rating', 'helix' ) .'</label><select name="rating" id="rating">
									<option value="">' . __( 'Rate&hellip;', 'helix' ) . '</option>
									<option value="5">' . __( 'Perfect', 'helix' ) . '</option>
									<option value="4">' . __( 'Good', 'helix' ) . '</option>
									<option value="3">' . __( 'Average', 'helix' ) . '</option>
									<option value="2">' . __( 'Not that bad', 'helix' ) . '</option>
									<option value="1">' . __( 'Very Poor', 'helix' ) . '</option>
								</select></p>';
							}

							$comment_form['comment_field'] .= '<div class="col-md-6 no-padding-left">
								<p class="comment-form-comment">
									<textarea id="comment"  class="form-control"  placeholder="'.esc_html__('Your review','helix').'" name="comment" cols="45" rows="8" aria-required="true">
									</textarea>
								</p>
							</div>';

							comment_form( apply_filters( 'woocommerce_product_review_comment_form_args', $comment_form ) );
						?>
			</div>
		</div>

	<?php else : ?>

		<p class="woocommerce-verification-required"><?php _e( 'Only logged in customers who have purchased this product may leave a review.', 'helix' ); ?></p>

	<?php endif; ?>

	<div class="clear"></div>
</div>
