<?php


if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

<?php 

$cate = get_the_terms($post->ID, 'product_cat');
$thumbnail_id = get_woocommerce_term_meta( $cate[0]->term_id, 'thumbnail_id', true );
$image = wp_get_attachment_url( $thumbnail_id );

$main_layout = get_theme_mod('woo_layout','full_width');
$background_color=get_theme_mod('helix_woo_background_color','#dae3e6');
$width_sidebar = "col-md-3  panel_left_sliderbar ";
$width_main_content = ( $main_layout == "full_width" ) ? "col-md-12 no-padding-left no-padding-right" : "col-md-9 shop_main_content";

?>


<!-- header -->
	<?php if( is_active_sidebar('page_shop_header') ){ ?>
		<div class="banner_header">
			<?php dynamic_sidebar('page_shop_header'); ?>
		</div>
	<?php } ?>
	<div class="helix_shop" style="background-color:<?php echo esc_attr($background_color); ?>">
		<div class="container woocommerce">
			<div class="row">
				<div class="<?php echo esc_attr($width_main_content); ?>">
					<div class=" helix_single_product">
						<?php
							/**
							 * woocommerce_before_main_content hook.
							 *
							 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
							 * @hooked woocommerce_breadcrumb - 20
							 */
							do_action( 'woocommerce_before_main_content' );
						?>

							<?php while ( have_posts() ) : the_post(); ?>

								<?php wc_get_template_part( 'content', 'single-product' ); ?>

							<?php endwhile; // end of the loop. ?>

						<?php
							/**
							 * woocommerce_after_main_content hook.
							 *
							 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
							 */
							do_action( 'woocommerce_after_main_content' );
						?>


						<?php
							/**
							 * woocommerce_sidebar hook.
							 *
							 * @hooked woocommerce_get_sidebar - 10
							 */
						//	do_action( 'woocommerce_sidebar' );
						?>
						<?php
							/**
							 * woocommerce_after_single_product_summary hook.
							 *
							 * @hooked woocommerce_output_product_data_tabs - 10
							 * @hooked woocommerce_upsell_display - 15
							 * @hooked woocommerce_output_related_products - 20
							 */
							remove_action('woocommerce_after_single_product_summary','woocommerce_output_related_products',20);
							do_action( 'woocommerce_after_single_product_summary' );
							
							add_action('helix_woocommerce_output_related_products','woocommerce_output_related_products',20);
						?>
					</div>
				</div>
				<!-- Display sidebar at left  -->
				<?php if($main_layout == "left_sidebar"){ ?>
					<div class="<?php echo esc_attr($width_sidebar); ?>">
						<?php if(is_active_sidebar('product-sidebar')){ ?>
						        <aside id="sidebar" class="sidebar sidebar-shop">
						            <?php  dynamic_sidebar('product-sidebar'); ?>
						        </aside>
						<?php } ?>
					</div>
				<?php } ?>
				<?php if($main_layout == "right_sidebar"){ ?>
					<div class="<?php echo esc_attr($width_sidebar); ?>">
						<?php if(is_active_sidebar('product-sidebar')){ ?>
						        <aside id="sidebar" class="sidebar">
						            <?php  dynamic_sidebar('product-sidebar'); ?>
						        </aside>
						<?php } ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
	

	<!-- <div class="woocommerce">
		<div class="container">
			<div class="row">
				<div class="helix_maylike_products">
					<?php do_action('helix_woocommerce_output_related_products'); ?>			
				</div>
			</div>
		</div>
		
	</div> -->

<?php get_footer( 'shop' ); ?>
