<?php


// Classes //////////////////////////////////////////////////////////////////////////////////
add_action( 'init', 'classes_init',0 );
function classes_init(){

    $labels = array(
        'name'               => esc_html__( 'Classes', 'post type general name', 'helix' ),
        'singular_name'      => esc_html__( 'Slide', 'post type singular name', 'helix' ),
        'menu_name'          => esc_html__( 'Classes', 'admin menu', 'helix' ),
        'name_admin_bar'     => esc_html__( 'Classes', 'add new on admin bar', 'helix' ),
        'add_new'            => esc_html__( 'Add New Class', 'Classe', 'helix' ),
        'add_new_item'       => esc_html__( 'Add New Class', 'helix' ),
        'new_item'           => esc_html__( 'New Class', 'helix' ),
        'edit_item'          => esc_html__( 'Edit Class', 'helix' ),
        'view_item'          => esc_html__( 'View Class', 'helix' ),
        'all_items'          => esc_html__( 'All Classes', 'helix' ),
        'search_items'       => esc_html__( 'Search Class', 'helix' ),
        'parent_item_colon'  => esc_html__( 'Parent Class:', 'helix' ),
        'not_found'          => esc_html__( 'No Class found.', 'helix' ),
        'not_found_in_trash' => esc_html__( 'No Class found in Trash.', 'helix' ),
    ); 
    $args = array(
        'labels'             => $labels,
        'public'             => true,
        'menu_icon'          => 'dashicons-schedule',
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'show_in_rest'       => true,
        'rewrite'            => array( 'slug' => 'class' ),
        'capability_type'    => 'post',
        'has_archive'        => true,
        'hierarchical'       => false,
        'menu_position'      => null,
        'supports'           => array( 'title', 'editor', 'author', 'thumbnail','comments', 'excerpt')
    );

    register_post_type( 'class', $args );
}

add_action( 'init', 'create_category_classes_taxonomies', 0 );
// create slidegroup taxonomy
function create_category_classes_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => esc_html__( 'Categories', 'taxonomy general name' , 'helix'),
        'singular_name'     => esc_html__( 'Categories', 'taxonomy singular name' , 'helix'),
        'search_items'      => esc_html__( 'Search Categories', 'helix'),
        'all_items'         => esc_html__( 'All Categories', 'helix' ),
        'parent_item'       => esc_html__( 'Parent Categories', 'helix' ),
        'parent_item_colon' => esc_html__( 'Parent Categories:' , 'helix'),
        'edit_item'         => esc_html__( 'Edit Categories' , 'helix'),
        'update_item'       => esc_html__( 'Update Categories' , 'helix'),
        'add_new_item'      => esc_html__( 'Add New Categories' , 'helix'),
        'new_item_name'     => esc_html__( 'New Categories Name' , 'helix'),
        'menu_name'         => esc_html__( 'Categories' , 'helix'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'show_in_rest'       => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'categories' )
    );

    register_taxonomy( 'categories', array('class'), $args ); // Create taxonomy:
}

add_action( 'init', 'create_trainer_classes_taxonomies', 0 );
// create slidegroup taxonomy
function create_trainer_classes_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => esc_html__( 'Trainer', 'taxonomy general name' , 'helix'),
        'singular_name'     => esc_html__( 'Trainer', 'taxonomy singular name' , 'helix'),
        'search_items'      => esc_html__( 'Search Trainer', 'helix'),
        'all_items'         => esc_html__( 'All Trainer', 'helix' ),
        'parent_item'       => esc_html__( 'Parent Trainer', 'helix' ),
        'parent_item_colon' => esc_html__( 'Parent Trainer:' , 'helix'),
        'edit_item'         => esc_html__( 'Edit Trainer' , 'helix'),
        'update_item'       => esc_html__( 'Update Trainer' , 'helix'),
        'add_new_item'      => esc_html__( 'Add New Trainer' , 'helix'),
        'new_item_name'     => esc_html__( 'New Trainer Name' , 'helix'),
        'menu_name'         => esc_html__( 'Trainer' , 'helix'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'show_in_rest'       => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'trainer' )
    );

    register_taxonomy( 'trainer', array('class'), $args ); // Create taxonomy: slidegroup
}


add_action( 'init', 'create_level_classes_taxonomies', 0 );
// create slidegroup taxonomy
function create_level_classes_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => esc_html__( 'Level', 'taxonomy general name' , 'helix'),
        'singular_name'     => esc_html__( 'Level', 'taxonomy singular name' , 'helix'),
        'search_items'      => esc_html__( 'Search Level', 'helix'),
        'all_items'         => esc_html__( 'All Level', 'helix' ),
        'parent_item'       => esc_html__( 'Parent Level', 'helix' ),
        'parent_item_colon' => esc_html__( 'Parent Level:' , 'helix'),
        'edit_item'         => esc_html__( 'Edit Level' , 'helix'),
        'update_item'       => esc_html__( 'Update Level' , 'helix'),
        'add_new_item'      => esc_html__( 'Add New Level' , 'helix'),
        'new_item_name'     => esc_html__( 'New Level Name' , 'helix'),
        'menu_name'         => esc_html__( 'Level' , 'helix'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'show_in_rest'       => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'level' )
    );

    register_taxonomy( 'level', array('class'), $args ); // Create taxonomy: slidegroup
}

add_action( 'init', 'create_room_classes_taxonomies', 0 );
// create slidegroup taxonomy
function create_room_classes_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => esc_html__( 'Room', 'taxonomy general name' , 'helix'),
        'singular_name'     => esc_html__( 'Room', 'taxonomy singular name' , 'helix'),
        'search_items'      => esc_html__( 'Search Room', 'helix'),
        'all_items'         => esc_html__( 'All Room', 'helix' ),
        'parent_item'       => esc_html__( 'Parent Room', 'helix' ),
        'parent_item_colon' => esc_html__( 'Parent Room:' , 'helix'),
        'edit_item'         => esc_html__( 'Edit Room' , 'helix'),
        'update_item'       => esc_html__( 'Update Room' , 'helix'),
        'add_new_item'      => esc_html__( 'Add New Room' , 'helix'),
        'new_item_name'     => esc_html__( 'New Room Name' , 'helix'),
        'menu_name'         => esc_html__( 'Room' , 'helix'),
    );
    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'show_in_rest'       => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'room' )
    );

    register_taxonomy( 'room', array('class'), $args ); // Create taxonomy: slidegroup
}

// Classes //////////////////////////////////////////////////////////////////////////////////
// Events //////////////////////////////////////////////////////////////////////////////////
add_action( 'init', 'events_init',0 );
function events_init(){

    $labels = array(
        'name'               => esc_html__( 'Events', 'post type general name', 'helix' ),
        'singular_name'      => esc_html__( 'Slide', 'post type singular name', 'helix' ),
        'menu_name'          => esc_html__( 'Events', 'admin menu', 'helix' ),
        'name_admin_bar'     => esc_html__( 'Events', 'add new on admin bar', 'helix' ),
        'add_new'            => esc_html__( 'Add New Event', 'Event', 'helix' ),
        'add_new_item'       => esc_html__( 'Add New Event', 'helix' ),
        'new_item'           => esc_html__( 'New Event', 'helix' ),
        'edit_item'          => esc_html__( 'Edit Event', 'helix' ),
        'view_item'          => esc_html__( 'View Event', 'helix' ),
        'all_items'          => esc_html__( 'All Events', 'helix' ),
        'search_items'       => esc_html__( 'Search Event', 'helix' ),
        'parent_item_colon'  => esc_html__( 'Parent Event:', 'helix' ),
        'not_found'          => esc_html__( 'No Event found.', 'helix' ),
        'not_found_in_trash' => esc_html__( 'No Event found in Trash.', 'helix' ),
    ); 
    $args = array(
        'labels'             => $labels,
        'public'             => true,
        'menu_icon'          => 'dashicons-calendar-alt',
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'show_in_rest'       => true,
        'rewrite'            => array( 'slug' => 'event' ),
        'capability_type'    => 'post',
        'has_archive'        => true,
        'hierarchical'       => false,
        'menu_position'      => null,
        'supports'           => array( 'title', 'editor', 'author', 'thumbnail','comments', 'excerpt')
    );

    register_post_type( 'events', $args );
}

add_action( 'init', 'create_location_event_taxonomies', 0 );
// create slidegroup taxonomy
function create_location_event_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => esc_html__( 'Location', 'taxonomy general name' , 'helix'),
        'singular_name'     => esc_html__( 'Location', 'taxonomy singular name' , 'helix'),
        'search_items'      => esc_html__( 'Search Location', 'helix'),
        'all_items'         => esc_html__( 'All Location', 'helix' ),
        'parent_item'       => esc_html__( 'Parent Location', 'helix' ),
        'parent_item_colon' => esc_html__( 'Parent Location:' , 'helix'),
        'edit_item'         => esc_html__( 'Edit Location' , 'helix'),
        'update_item'       => esc_html__( 'Update Location' , 'helix'),
        'add_new_item'      => esc_html__( 'Add New Location' , 'helix'),
        'new_item_name'     => esc_html__( 'New Location Name' , 'helix'),
        'menu_name'         => esc_html__( 'Location' , 'helix'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'show_in_rest'       => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'location' )
    );

    register_taxonomy( 'location', array('events'), $args ); // Create taxonomy:
}

add_action( 'init', 'create_pricetype_event_taxonomies', 0 );
// create slidegroup taxonomy
function create_pricetype_event_taxonomies() {
    // Add new taxonomy, make it hierarchical (like categories)
    $labels = array(
        'name'              => esc_html__( 'Type Price', 'taxonomy general name' , 'helix'),
        'singular_name'     => esc_html__( 'Type Price', 'taxonomy singular name' , 'helix'),
        'search_items'      => esc_html__( 'Search Type Price', 'helix'),
        'all_items'         => esc_html__( 'All Type Price', 'helix' ),
        'parent_item'       => esc_html__( 'Parent Type Price', 'helix' ),
        'parent_item_colon' => esc_html__( 'Parent Type Price:' , 'helix'),
        'edit_item'         => esc_html__( 'Edit Type Price' , 'helix'),
        'update_item'       => esc_html__( 'Update Type Price' , 'helix'),
        'add_new_item'      => esc_html__( 'Add New Type Price' , 'helix'),
        'new_item_name'     => esc_html__( 'New Type Price Name' , 'helix'),
        'menu_name'         => esc_html__( 'Type Price' , 'helix'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'show_in_rest'      => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'price' )
    );

    register_taxonomy( 'price', array('events'), $args ); // Create taxonomy:
}
