<?php

add_shortcode('helix_woo_shop_with_filter', 'helix_woo_shop_with_filter');
function helix_woo_shop_with_filter($atts, $content = null) {

    $atts = shortcode_atts(
    array(
      'cat' 			=> 'all',
      'option_filter'	=>'_featured',
      'num_dis' 		=> '10',
      'columns'			=>'3',
      'show_price'		=>'true',
      'show_cat'		=>'true',
      'show_more_shop'	=>'',
      'animation'		=>'fadeInUp',
      'animation_delay'	=>'0',
      'class'  => '',
    ), $atts);

    $html = '';
    $args1 = $args2 = $args3  = array();
    $args_basic = array(
      'post_type'           => 'product',
      'post_status'         => 'publish',
      'posts_per_page'  	=> $atts['num_dis']
    );

    // is feature
    if($atts['option_filter']=='_featured'){
      $args1 = array(
        'meta_key'		=> '_featured',
        'meta_value' 	=> 'yes'
      );
    }
    // is best seller
    if($atts['option_filter']=='total_sales'){
      $args2 = array(
        'meta_key'  =>'total_sales',
        'orderby' 	=> 'meta_value_num'
      );
    }
    // is new product
    if($atts['option_filter']=='desc'){
      $args3 = array(
        'order' => 'desc'
      );
    }
 
    $args4 = array();
    if($atts['cat'] != 'all' && $atts['cat'] != ''){
      $args4 = array('tax_query' => array(
                 'relation' => 'AND',
                  array(
                      'taxonomy'	=> 'product_cat',
                      'field' 		=> 'slug',
                      'terms' 		=> $atts['cat']
                  )
                )
              );
    }
  	$args = array_merge($args_basic,$args1,$args2,$args3,$args4);
  	$cols='col-md-4 col-sm-4 col-xs-12 col-xsm-12';
  	if($atts['columns'] == 2){
      $cols = 'col-md-6 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 3){
      $cols = 'col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    }else if($atts['columns'] == 4){
      $cols = 'col-md-3 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 6){
      $cols = 'col-md-2 col-sm-6 col-xs-6 col-xsm-12';
    }
  	$products = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $args));
  	$html .='<div class="helix_woo_product '.$atts['class'].'">';
  	if ( $products->have_posts() ) :
        while ( $products->have_posts() ) : $products->the_post();    
          global $product;
            $product_cats = wp_get_post_terms( get_the_id(), 'product_cat' );
            $thumbnail=wp_get_attachment_image_src(get_post_thumbnail_id(get_the_id()),'thumbnail_175x175');;
           	$html .= '<div class="'.$cols.' woo_product_item">
		           		<div class="woo_media">
		           			<div class="thumbnail">
		           				<img class="img-responsive" src="'.$thumbnail[0].'" alt="'.get_the_title().'">
		           			</div>
		           		</div>
		           		<div class="woo_product_info">';
		    $html .='		<div class="product-title">
                                <a href="'.get_permalink().'">'.get_the_title().'</a>
                            </div>';
                            if ( $product_cats && !is_wp_error ( $product_cats ) && $atts['show_cat'] == 'true' ){
	                          $html.='<div class="product-type">'.$product_cats[0]->name.'</div>';
	                        }
	            			if($atts['show_price']=='true'){
	                          $html.=' <div class="product-price"> '.$product->get_price_html().'</div>';
	                        }
	                        if($atts['show_more_shop']!='')
	                        {
	                        	$html.=' <div class="show_shop"> 
	                        		 <a href="'.get_permalink().'">'.$atts['show_more_shop'].' <i class="fa fa-long-arrow-right" aria-hidden="true"></i></a>
	                        	</div>';
	                        }                      			
			$html .='	</div>
		           	 </div>';
        endwhile; // end of the loop.
   endif;       
   $html .= '</div>';
   wp_reset_postdata();         
   return $html;
}

add_shortcode('helix_sale_up', 'helix_sale_up');
function helix_sale_up($atts, $content = null) {
	$atts = shortcode_atts(
    array(
      'title'				=>'',
      'description'			=>'',
      'background_saleup'	=>'',
      'text_button'			=>'',
      'url_button'			=>'#',
      'target_url'			=>'_self',
      'animation'			=>'fadeInUp',
      'animation_delay'		=>'0',
      'class'  				=> ''
    ), $atts);
	$html='';
	$thumbnail = '';
	if($atts['background_saleup']){
	    $image_info = wp_get_attachment_image_src($atts['background_saleup'], 'full');
	    if($image_info[0]){
	      $thumbnail = $image_info[0];
	    }else{
	      $thumbnail = $atts['background_saleup'];
	    }
	}
	$html.='<div class="helix_saleup '.$atts['class'].'" style="background:url('.$thumbnail.') no-repeat left top;    background-size: cover;">
				<div class="salup_detail col-md-push-5 col-sm-push-6 col-xs-push-6 col-xsm-push-12  text-left">';
		$html .= ($atts['title'] !='')?'<h3>'.$atts['title'].'</h3>':'';
		$html .= ($atts['description']!='')?'<p>'.$atts['description'].'</p>':'';
		$html .= ($atts['text_button']!='')?'<a href="'.$atts['url_button'].'" target='.$atts['target_url'].'>'.$atts['text_button'].'</a>':'';
		$html .='</div>
			</div>';

    return $html;
}

// shortcode helix header
 add_shortcode('helix_header', 'helix_header');
function helix_header($atts, $content = null) {

    $atts = shortcode_atts(
    array(
      'title'           =>'',
      'description'     =>'',
      'text-align'      =>'text-center',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-header '.$atts['text-align'].' '.$atts['class'].' " '.$animated_code.'>';
      if($atts['title']!=''){
        $html .='<h2>'.$atts['title'].'</h2>';
      }
      if($atts['title']!=''){
        $html .='<p>'.$atts['description'].'</p>';
      } 
    $html .='</div>';
    return $html;
}

// shortcode about yoga club
add_shortcode('helix_yoga_club_about', 'helix_yoga_club_about');
function helix_yoga_club_about($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'title'           =>'',
      'description'     =>'',
      'icons'           =>'',
      'color_icon'      =>'',
      'text-align'      =>'text-center',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-yoga-club '.$atts['text-align'].' '.$atts['class'].' " '.$animated_code.'>';
      if($atts['icons']!=''){
        $html .='<i class="'.$atts['icons'].'" style="color:'.$atts['color_icon'].'"></i>';
      }
      if($atts['title']!=''){
        $html .='<h2>'.$atts['title'].'</h2>';
      }
      if($atts['title']!=''){
        $html .='<p>'.$atts['description'].'</p>';
      } 
    $html .='</div>';
    return $html;
}

// helix class filter level/categroy
add_shortcode('helix_class_filter', 'helix_class_filter');
function helix_class_filter($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'filter'          => 'level',
      'text_show_all'   => 'all classes',
      'slug'            => 'advanced,begin,inermediate',
      'item_display'    => '4',
      'total_display'   => '8',
      'text_title'      => 'Filter',
      'text_readmore'   => 'Learn more',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-class-filter '.$atts['class'].' " '.$animated_code.' data-item="'.$atts['item_display'].'" data-total="'.$atts['total_display'].'" data-readmore="'.$atts['text_readmore'].'">';
              $slug_array = explode(',', $atts['slug']);
              if($slug_array!='')
              {
                $html .='<nav class="navbar nav-menu">';
                $html .='<span class="toggle-menu"></span>';
                $html .='<div class="class_header">';
                  $html .='<div class="collapse navbar-collapse">'; 
                    $html .='<label>';
                    $html .=  $atts['text_title'].':';
                    $html .='</label>';
                  $html .='<ul class="nav navbar-nav">';
                $index=0;
                $active='';
                if($atts['text_show_all']!="")
                {
                  $html .='<li class="active" data-slug="show_all" data-taxonomy="'.$atts['filter'].'">
                                <div class="class_slug">
                                  <i class="fa fa-circle" aria-hidden="true"></i>
                                  <span>'.$atts['text_show_all'].'</span>
                                </div>
                          </li>';
                }
                foreach ($slug_array as $key => $value) {
                    if($index==0){
                      $active='active';
                    }
                    if($atts['text_show_all']!=""){
                       $active='';
                    }
                    $html .='<li class="'.$active.'" data-slug="'.str_replace(' ','',$value).'" data-taxonomy="'.$atts['filter'].'">
                                <div class="class_slug">
                                  <i class="fa fa-circle" aria-hidden="true"></i>
                                  <span>'.$value.'</span>
                                </div>
                            </li>';
                  $index++;
                  $active='';
                }
                  $html .='</ul>';
                $html .='</div>';
                $html .='</div>';
                $html .='</nav>';  
              }
    $html .='<div class="class_content_filter">
    </div>';          
    $html .='</div>';
    return $html;
}
// helix blog filter by categroy
add_shortcode('helix_blog_filter', 'helix_blog_filter');
function helix_blog_filter($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'text_show_all'   =>"all blog",
      'slug'            => 'tips-tricks,yoga-life,inspired-stories,special-offers',
      'item_display'    => '4',
      'total_display'   => '8',
      'text_title'      => 'Filter',
      'text_readmore'   => 'Learn more',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-blog-filter '.$atts['class'].' " '.$animated_code.' data-item="'.$atts['item_display'].'" data-total="'.$atts['total_display'].'" data-readmore="'.$atts['text_readmore'].'">';
              $slug_array = explode(',', $atts['slug']);
              if($slug_array!='')
              {
                $html .='<nav class="navbar nav-menu">';
                $html .='<span class="toggle-menu"></span>';
                $html .='<div class="class_header">';
                  $html .='<div class="collapse navbar-collapse">'; 
                    $html .='<label>';
                    $html .=  $atts['text_title'].':';
                    $html .='</label>';
                  $html .='<ul class="nav navbar-nav">';
                $index=0;
                $active='';
                if($atts['text_show_all']!="")
                {
                  $html .='<li class="active" data-slug="show_all">
                                <div class="class_slug">
                                  <span>'.$atts['text_show_all'].'</span>
                                </div>
                          </li>';
                }
                foreach ($slug_array as $key => $value) {
                    if($index==0){
                      $active='active';
                    }
                     if($atts['text_show_all']!="")
                    {
                        $active='';
                    }
                    $html .='<li class="'.$active.'" data-slug="'.str_replace(' ','',$value).'">
                      <div class="class_slug">
                        <span>'.$value.'</span>
                      </div>
                    </li>';
                  $index++;
                  $active='';
                }
                  $html .='</ul>';
                $html .='</div>';
                $html .='</div>';
                $html .='</nav>';  
              }
    $html .='<div class="blog_content_filter">
    </div>';          
    $html .='</div>';
    return $html;
}


// shortcode Inspiration
add_shortcode('helix_inspiration_home', 'helix_inspiration_home');
function helix_inspiration_home($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'title'           =>'',
      'description'     =>'',
      'arrow-align'     =>'popover-left',
      'background'      =>'',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $arrow='<i class="icon ion-arrow-left-b" style="color:'.$atts['background'].'"></i>';
    if($atts['arrow-align']=='popover-right'){
        $arrow='<i class="icon ion-arrow-right-b" style="color:'.$atts['background'].'"></i>';
    }
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-inspiration  '.$atts['arrow-align'].' '.$atts['class'].' " '.$animated_code.' style="background:'.$atts['background'].'">';
      $html .=$arrow;
      if($atts['title']!=''){
        $html .='<h2>'.$atts['title'].'</h2>';
      }
      if($atts['title']!=''){
        $html .='<p>'.$atts['description'].'</p>';
      } 
    $html .='</div>';
    return $html;
}

// shortcode trainer
add_shortcode('helix_trainer', 'helix_trainer');
function helix_trainer($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'total_display'   => '4',
      'columns'         => '4',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $args = array(
      'type'                     => 'class',
      'child_of'                 => 0,
      'parent'                   => '',
      'orderby'                  => 'name',
      'order'                    => 'ASC',
      'hide_empty'               => 0,
      'hierarchical'             => 1,
      'exclude'                  => '',
      'include'                  => '',
      'number'                   => $atts['total_display'],
      'taxonomy'                 => 'trainer',
      'pad_counts'               => false
      
    );

    $trainer = get_terms('trainer', $args);

    $cols='col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    if($atts['columns'] == 2){
      $cols = 'col-md-6 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 3){
      $cols = 'col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    }else if($atts['columns'] == 4){
      $cols = 'col-md-3 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 6){
      $cols = 'col-md-2 col-sm-6 col-xs-6 col-xsm-12';
    }
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-trainer text-center  '.$atts['class'].' " '.$animated_code.' >';
      if($trainer){
        foreach ($trainer as $key => $value) {
          $html .='<div class="'.$cols.'"><div class="trainer_item" >';

            $avatar=get_term_meta($value->term_id, "helix_met_trainer_avatar", true);
            $facebook=get_term_meta($value->term_id, "helix_met_trainer_facebook", true);
            $twitter=get_term_meta($value->term_id, "helix_met_trainer_twitter", true);
            $instagram=get_term_meta($value->term_id, "helix_met_trainer_instagram", true);
            $job=get_term_meta($value->term_id, "helix_met_trainer_job", true);
            if($avatar!=''){
              $html .='<div class="trainer-media">';  
                 $html .='<a href="'.get_term_link($value).'">
                    <img src="'.$avatar.'" class="img-circle" alt="'.$value->name.'">
                  </a>';
              $html .='</div>';    
            }
            $html .='<div class="trainer-title">
              <h3>
                <a href="'.get_term_link($value).'">
                  '.$value->name.'
                </a>
              </h3>
            </div>';
            $html .='<div class="trainer-job">
                <p>'.$job.'</p>
            </div>';
            $html .='<div class="trainer-social">
                <ul>';
                if($facebook!=''){
                  $html .='<li>
                              <a href="'.$facebook.'">
                                <i class="icon ion-social-facebook"></i>
                              </a>
                          </li>';
                }
                if($twitter!=''){
                  $html .='  <li>
                            <a href="'.$twitter.'">
                              <i class="icon ion-social-twitter"></i>
                            </a>
                        </li>';
                }
                if($instagram!=''){
                  $html .='<li>
                            <a href="'.$instagram.'">
                              <i class="icon ion-social-instagram-outline"></i>
                            </a>
                        </li>';
                }
            $html .='</ul>
            </div>';
          $html .='</div></div>';
        }
      }
      
    $html .='</div>';
    return $html;
}
  
/* Testimonial Shortcode */
add_shortcode('helix_testmonial', 'helix_testmonial');
function helix_testmonial($atts, $content = null) {

    $atts = shortcode_atts(
    array(
      'isdots'          =>'true',
      'auto_lay'        =>'false',
      'loop'            =>'false',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html= '<div class="helix_customer '.$atts['class'].'" data-isdot='.$atts['isdots'].' data-loop='.$atts['loop'].' data-play='.$atts['auto_lay'].' '.$animated_code.'>
                '.do_shortcode($content).'
            </div>';
    return $html;
}
add_shortcode('helix_testmonial_item', 'helix_testmonial_item');
function helix_testmonial_item($atts, $content = null) {

    $atts = shortcode_atts(
    array(
      'author_name'  =>'',
      'description'  =>'',
      'number_star'  =>'5',
      'class'        =>'',
    ), $atts);

    $html='';
    $star=((int)$atts['number_star'])*20;

    $html .= '<div class="testimonial '.$atts['class'].'">';
                  if($atts['description']!='')
                  {
                    $html .= '<div class="quote">
                                <blockquote>
                                  '.$atts['description'].'
                                </blockquote>
                             </div>';
                  }
        $html .= ' <cite>';
        $html .= ($atts['author_name']!='')?'<b>'.$atts['author_name'].'</b>':'';             
        $html .= '</cite>
                  <div class="woocommerce">
                   <div class="star-rating" title="Rated 5 out of 5"><span style="width:'.$star.'%"><strong class="rating">5</strong> out of 5</span></div> 
                   </div>
            </div>';
    return $html;
}
/*End  Testimonial Shortcode */

/* Membership Shortcode */
add_shortcode('helix_membership', 'helix_membership');
function helix_membership($atts, $content = null) {

    $atts = shortcode_atts(
    array(
      'active'            =>'monthly',
      'show_switch_member'=>'true',
      'animation'         => 'fadeInUp',
      'animation_delay'   => '0',
      'class'             => '',
    ), $atts);

    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html= '<div class="helix_membership text-center '.$atts['class'].'" '.$animated_code.' data-active="'.$atts['active'].'">
              <div class="helix_membership_switch" data-show="'.$atts['show_switch_member'].'">
                <label class="Monthly">
                    '.esc_html__('Monthly', 'helix').'
                </label>
                <input id="switch-animate" type="checkbox" checked>
                 <label class="Annual">
                    '.esc_html__('Annual', 'helix').'
                </label>
              </div>
                '.do_shortcode($content).'
            </div>';
    return $html;
}
add_shortcode('helix_membership_item', 'helix_membership_item');
function helix_membership_item($atts, $content = null) {

    $atts = shortcode_atts(
    array(
      'member_type'  =>'monthly',
      'title'        =>'',
      'price'           => '',
      'plan_unit'       => '',
      'text_link'    =>'',
      'link'         =>'#',
      'target_url'   =>'_self',
      'columns'      =>'3',
      'class'        =>'',
    ), $atts);

    $html='';
    $cols='col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    if($atts['columns'] == 2){
      $cols = 'col-md-6 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 3){
      $cols = 'col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    }else if($atts['columns'] == 4){
      $cols = 'col-md-3 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 6){
      $cols = 'col-md-2 col-sm-6 col-xs-6 col-xsm-12';
    }
    $html .= '<div class="'.$cols.' helix_member" data-type="'.$atts['member_type'].'">';
      $html .= '<div class="membership_item '.$atts['class'].'">';
                    if($atts['title']!='')
                    {
                      $html .= '<h3>
                       '.$atts['title'].'
                      </h3>';
                    }
      $html .= ($atts['price']!='')?'<p class="plan-price"><span class="currency">$</span><span class="price"> '.$atts['price'].' </span><span class="plan-unit">/'.$atts['plan_unit'].'</span></p>':'';
      $html .= '<div class="member_content">
                    '.$content.'
                </div>';
      if($atts['text_link']!='')
      {
        $html .= '<div class="regis_link">
                      <a href="'.$atts['link'].'" target="'.$atts['target_url'].'">'.$atts['text_link'].'</a>
                  </div>';  
      } 
      $html .= '</div>';      
    $html .= '</div>';
    return $html;
}
/*End  Membership Shortcode */

/* Button */
add_shortcode('helix_button', 'helix_button');
function helix_button($atts, $content = null) {
  $atts = shortcode_atts(
    array(
    'name'              => '',
    'link'              => '',
    'target'            => '_parent',
    'bg'                => '',
    'bg_hover'          => '',
    'text_color'        => '',
    'text_color_hover'  => '',
    'icon'              => '',
    'border_radius'     => '',
    'border_color'      => '',
    'border_color_hover'=> '',
    'margin'            => '',
    'display_animation' => 'true',
    'animation'         => 'fadeInUp',
    'animation_delay'   => '0',
    'class'             => '',
    ), $atts);

    $html = '';
      $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';

      $html .= '<div class="sc_button" '.$animated_code.'>';
      $popup_video = ( $atts['target'] == 'popup_video' ) ? ' rel="prettyPhoto" ':'';
      $html .='<a href="'.$atts['link'].'"  '.$popup_video.'
      data-bg="'.$atts['bg'].'" data-bg_hover="'.$atts['bg_hover'].'" data-border_color="'.$atts['border_color'].'" data-border_color_hover="'.$atts['border_color_hover'].'"
      data-text_color = "'.$atts['text_color'].'" data-text_color_hover = "'.$atts['text_color_hover'].'"';
      
      $html .= ($atts['target'] == 'scroll') ? '' : ' target="'.$atts['target'].'"';
       
      $scroll_class = ($atts['target'] == 'scroll') ? 'scroll':'';

      $html .= ' style="background-color: '.$atts['bg'].'; color: '.$atts['text_color'].'; border-radius:'.$atts['border_radius'].'; margin: '.$atts['margin'].';  border-color: '.$atts['border_color'].'; "
      class="'.$scroll_class.' '.$atts['class'].'" >'
      .$atts['name'].'
      <i class="fa '.$atts['icon'].'"></i>
      </a>';
    $html .='</div>';      
    return $html;
}
// shortcode Shop banner
add_shortcode('helix_shop_banner', 'helix_shop_banner');
function helix_shop_banner($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'title'           =>'',
      'description'     =>'',
      'background'      =>'',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $background = '';
    if($atts['background']){
      $image_info = wp_get_attachment_image_src($atts['background'], 'full');
      if($image_info[0]){
        $background = $image_info[0];
      }else{
        $background = $atts['background'];
      }
    }
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-banner-shop '.$atts['class'].' " '.$animated_code.' style="background:url('.$background.') no-repeat left center; background-size:cover">';
      if($atts['title']!=''){
        $html .='<h2>'.$atts['title'].'</h2>';
      }
      if($atts['title']!=''){
        $html .='<p>'.$atts['description'].'</p>';
      } 
    $html .='</div>';
    return $html;
}

// shortcode address
add_shortcode('helix_address', 'helix_address');
function helix_address($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'title'           =>'',
      'description'     =>'',
      'icon'            =>'',
      'color_icon'      =>'',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-address '.$atts['class'].' " '.$animated_code.' >';
      if($atts['icon']!=''){
        $html .='<i class="'.$atts['icon'].'" style="color:'.$atts['color_icon'].';border:2px solid '.$atts['color_icon'].';"></i>'; 
      }
      $html .='<div class="address_content">';
        if($atts['title']!=''){
          $html .='<h2>'.$atts['title'].'</h2>';
        }
        if($atts['title']!=''){
          $html .='<p>'.$atts['description'].'</p>';
        } 
      $html .='</div>';
    $html .='</div>';
    return $html;
}


/* googlemap */
add_shortcode('helix_googlemap', 'helix_googlemap');
function helix_googlemap($atts, $content = null) {

    $atts = shortcode_atts(
    array(
    'defineid'      => 'map-canvas',
    'latitude'      => '40.805478',
    'longitude'     => '-73.96522499999998',
    'zoom'          => '12',
    'icon_marker'   => '',
    'marker_title'  => '',
    'city'          => '',
    'address'       => ''
    ), $atts);
    $thumbnail ='';
    if($atts['icon_marker']){
      $image_info = wp_get_attachment_image_src($atts['icon_marker'], 'full');
      if($image_info[0]){
        $thumbnail = $image_info[0];
      }else{
        $thumbnail = $atts['icon_marker'];
      }
    }
    $html ='<div class="google-map">
              <div class="map" id="'.$atts['defineid'].'" data-title="'.$atts['marker_title'].'" data-lat="'.trim($atts['latitude']).'" data-lon="'.trim($atts['longitude']).'" data-zoom="'.$atts['zoom'].'" data-icon="'.$thumbnail.'" data-city="'.$atts['city'].'" data-address="'.$atts['address'].'">
              </div>
          </div>';
    return $html;
}
/* /googlemap */

// shortcode Shop banner
add_shortcode('helix_gallary_image', 'helix_gallary_image');
function helix_gallary_image($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'columns'         =>'4',
      'image'           =>'',
      'animation'       => 'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    $cols='col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    if($atts['columns'] == 2){
      $cols = 'col-md-6 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 3){
      $cols = 'col-md-4 col-sm-4 col-xs-12 col-xsm-12';
    }else if($atts['columns'] == 4){
      $cols = 'col-md-3 col-sm-6 col-xs-6 col-xsm-12';
    }else if($atts['columns'] == 6){
      $cols = 'col-md-2 col-sm-6 col-xs-6 col-xsm-12';
    }
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $html .='<div class="section-gallary '.$atts['class'].' " '.$animated_code.' >';
    $list_image=explode(',', $atts['image']);
      $index=0;
      foreach ($list_image as $value) {
        $index++;
        $full_image='';$thumb_image='';
          if($value){
            $image_info = wp_get_attachment_image_src($value, 'full');
            if($image_info[0]){
              $full_image = $image_info[0];
            }

            $thumb_image_info = wp_get_attachment_image_src($value, 'medium');
            if($thumb_image_info[0]){
              $thumb_image = $thumb_image_info[0];
            }
            $html .='<div class="'.$cols.'">';
              $html .='<div class="popup-wrapper">
                          <div class="popup-gallery">
                              <a class="popup3" href="'.$full_image.'">
                                  <img src="'.$thumb_image.'" class="width-100" alt="food 1">
                                  <span class="eye-wrapper"><i class="icon ion-arrow-shrink"></i></span>
                                  </a>
                          </div>
                      </div>';
            $html .='</div>';
            if($index==$atts['columns']){
               $html .='<div class="clearfix"></div>';
            }
          }
      }
    $html .='</div>';
    return $html;
}
// shortcode Shop banner
add_shortcode('helix_fullCalendar', 'helix_fullCalendar');
function helix_fullCalendar($atts, $content = null) {
    $atts = shortcode_atts(
    array(
      'filter_show'     =>'true',
      'filter'          =>'level',
      'label_filter'    =>'Filter',
      'text_show_all'   =>'All',
      'slug'            =>'advanced,begin,inermediate',
      'action_view'     =>'next',
      'view_type'       =>'agendaWeek',
      'time_format'     =>'HH:mm',
      'language'        =>'en',
      'animation'       =>'fadeInUp',
      'animation_delay' => '0',
      'class'           => '',
    ), $atts);
    $html = '';
    
    $animated_code = ($atts['animation_delay'] == '0') ? '' : 'data-animation="'.$atts['animation'].'" data-animation_delay="'.$atts['animation_delay'].'"';
    $slug_array = explode(',', $atts['slug']);
    $html .='<div class="helix_section_calendar">';
    if($atts['filter_show']=='true' && $slug_array !=''){
      $html .='<div class="helix_calendar_filter">';
          $html .='<div class="helix_calendar_nav">';
            $html .='<label>';
                    $html .=  $atts['label_filter'].':';
                    $html .='</label>';
                  $html .='<ul class="helix_filter">';
                $index=0;
                $active='';
                 if($atts['text_show_all']!='')
                    {
                      $html .='<li class="active" data-slug="all_show" data-language="'.$atts['language'].'" data-viewtype="'.$atts['view_type'].'" >
                      <div class="class_slug">
                        <i class="fa fa-circle" aria-hidden="true"></i>
                        <span>'.$atts['text_show_all'].'</span>
                      </div>
                    </li>';
                }
                foreach ($slug_array as $key => $value) {
                    if($index==0){
                      $active='active';
                    }
                    if($atts['text_show_all']!=''){
                         $active='';
                    }
                    $html .='<li class="'.$active.'" data-slug="'.str_replace(' ','',$value).'" data-taxonomy="'.$atts['filter'].'" data-language="'.$atts['language'].'" data-viewtype="'.$atts['view_type'].'" >
                      <div class="class_slug">
                        <i class="fa fa-circle" aria-hidden="true"></i>
                        <span>'.$value.'</span>
                      </div>
                    </li>';
                  $index++;
                  $active='';
                }
            $html .='</ul>';
          $html .='</div>';
      $html .='</div>';
    }
    $html .='<div class="section-calendar '.$atts['class'].' " '.$animated_code.' data-viewtype="'.$atts['view_type'].'" data-time="'.$atts['time_format'].'" data-language="'.$atts['language'].'">';
        $html .='<div class="helix_calendar"></div>';

        $currentDate=date("Y-m-d");
          
        $date_stamp = strtotime(date('Y-m-d', strtotime($currentDate)));
        $stamp = date('l', $date_stamp);      
        $timestamp = strtotime($currentDate);

        if(date('D', $timestamp) == 'Mon'){            
          $week_start = $currentDate;
        }else{
          $week_start = date('Y-m-d', strtotime('Last Monday', $date_stamp));
        }
        //end week
        if($stamp == 'Sunday'){
            $week_end = $currentDate;
        }else{
            $week_end = date('Y-m-d', strtotime('Next Sunday', $date_stamp));
        }

        $start=date("F j, Y",strtotime($week_start));
        $end=date("F j, Y",strtotime($week_end));
        $prevStart= date('Y-m-d',strtotime('-1 week',strtotime($week_start)));
        $prevEnd= date('Y-m-d',strtotime('-1 week',strtotime($week_end)));
        $nextStart=date('Y-m-d',strtotime('+1 week',strtotime($week_start)));
        $nextEnd= date('Y-m-d',strtotime('+1 week',strtotime($week_end)));
        
        $html .='<div class="helix_calendar_responsive">
                    <div class="res-cal-navigation">
                        <a href="javascript:void(0)" class="prev" data-from="'.$prevStart.'" data-to="'.$prevEnd.'"><span class="fc-icon fc-icon-left-single-arrow"></span></a>
                        <h3 data-current="'.$currentDate.'" data-start="'.$week_start.'" data-end="'.$week_end.'" >'.$start.' - '.$end.'</h3>
                        <a href="javascript:void(0)" class="next" data-from="'.$nextStart.'" data-to="'.$nextEnd.'"><span class="fc-icon fc-icon-right-single-arrow"></span></a>
                    </div>
                    <div class="res-cal-content">

                    </div>
                  </div>';
      $html .='</div>';
    $html .='</div>';
    return $html;
}
?>