<?php
add_action('init','init_visual_composer_custom',1000);
function init_visual_composer_custom(){
    if(function_exists('vc_map')){

// Woo shop with filter
if(class_exists('Woocommerce')){

  $cat_all = array();
  $cat_all['All'] = 'all';

  $args = array(
      'parent'    =>  0
  );

  $cats = get_terms( 'product_cat', $args );
  foreach ($cats as $cat) {
    $cat_all[$cat->name] = $cat->slug; 
  }
}

vc_map( array(
   "name" 		=> esc_html__("Woo shop with filter ", 'helix'),
   "base" 		=> "helix_woo_shop_with_filter",
   "class" 		=> "",
   "category" 	=> esc_html__("Helix Element", 'helix'),
   "icon" 		=> "icon-qk",   
   "params" 	=> array(
    array(
      "type" 		=> "dropdown",
      "holder" 		=> "div",
      "class" 		=> "",
      "heading" 	=> __("Category",'helix'),
      "param_name" 	=> "cat",
      "value" 		=> $cat_all,
      "default" 	=> 'all',
    ),
    array(
      "type" 	=> "dropdown",
      "holder" => "div",
      "class" => "",
      "heading" => __("Filter product",'helix'),
      "param_name" => "option_filter",
      "value" => array(   
          __('Featured products', 'helix') => '_featured',
          __('BestSeller products', 'helix') => 'total_sales',
          __('Latest products', 'helix') => 'desc',
        ),
      'default'=>'_featured'
    ),
    array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Number item display",'helix'),
           "param_name" => "num_dis",
           "value" => "10"
    ),
    array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Number item in slide",'helix'),
           "param_name" => "columns",
           "value" => array( 
           			  __('3 items', 'helix') => '3',  
                      __('2 items', 'helix') => '2',
                      __('4 items', 'helix') => '4',
                      __('6 items', 'helix') => '6'
                ),
           'default'=>'3'
    ),
    array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Display price",'helix'),
           "param_name" => "show_price",
           "value" => array(   
                __('Yes', 'helix') => 'true',
                __('No', 'helix') => 'false',                    
                ),
           'default'=>'true'
    ),
    array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Display Category",'helix'),
           "param_name" => "show_cat",
           "value" => array(   
                __('Yes', 'helix') => 'true',
                __('No', 'helix') => 'false',                    
                ),
           'default'=>'true'
    ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Show more shop",'helix'),
         "param_name" => "show_more_shop",
         "value" => ""
    ),
    array(
     "type" => "textfield",
     "holder" => "div",
     "class" => "",
     "heading" => __("Animation",'helix'),
     "param_name" => "animation",
     "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
     "value" => "fadeInUp"
    ),
    array(
       "type" => "textfield",
       "holder" => "div",
       "class" => "",
       "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
       "param_name" => "animation_delay",
       "description" => __("you can insert 0 to remove animation",'helix'),
       "value" => "0"
    ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => ""
    )
)));   	

// sale up
vc_map( array(
	 "name" => esc_html__("Helix sale up", 'helix'),
	 "base" => "helix_sale_up",
	 "class" => "",
	 "category" => esc_html__("Helix Element", 'helix'),
	 "icon" => "icon-qk",   
	 "params" => array(
	 	array(
	       "type" => "textfield",
	       "holder" => "div",
	       "class" => "",
	       "heading" => esc_html__("Title",'helix'),
	       "param_name" => "title",
	       "value" => ""
	    ),
	    array(
	       "type" => "textarea",
	       "holder" => "div",
	       "class" => "",
	       "heading" => esc_html__("Description",'helix'),
	       "param_name" => "description",
	       "value" => ""
	    ),
	    array(
	       "type" => "attach_image",
	       "holder" => "div",
	       "class" => "",
	       "heading" => __("Background",'helix'),
	       "param_name" => "background_saleup",
	       "value" => "",
	       "description" =>  __("Insert path of Background",'helix')
	    ),
	    array(
	       "type" => "textfield",
	       "holder" => "div",
	       "class" => "",
	       "heading" => esc_html__("Text button",'helix'),
	       "param_name" => "text_button",
	       "value" => ""
	    ),
	     array(
	       "type" => "textfield",
	       "holder" => "div",
	       "class" => "",
	       "heading" => esc_html__("Link button",'helix'),
	       "param_name" => "url_button",
	       "value" => "#"
	    ),
	    array(
	       "type" => "dropdown",
	       "holder" => "div",
	       "class" => "",
	       "heading" => __("Target link",'helix'),
	       "param_name" => "target_url",
	       "value" => array(
	       		__('Self', 'helix') => "_self",
	       		__('Blank', 'helix') => "_blank",
	       		__('Parent', 'helix') => "_parent"
	       	),
	       "default"	=> "_self",
	       "description" => 'chosen option target use for your button'
	    ),
	    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Animation",'helix'),
         "param_name" => "animation",
         "value" => "fadeInUp",
         "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
        array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
             "param_name" => "animation_delay",
             "value" => "0",
             "description" => 'Insert Delay Animation Title'
        ),
	  	array(
	       "type" => "textfield",
	       "holder" => "div",
	       "class" => "",
	       "heading" => esc_html__("Class",'helix'),
	       "param_name" => "class",
	       "value" => "",
	       "description" => 'Insert class to use for your style'
	    )
)));

// helix header
vc_map( array(
   "name" => esc_html__("Helix header", 'helix'),
   "base" => "helix_header",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'helix'),
         "param_name" => "title",
         "value" => ""
      ),
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description",'helix'),
         "param_name" => "description",
         "value" => ""
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Text align",'helix'),
         "param_name" => "text-align",
         "value" => array(
            __('Center', 'helix') => "text-center",
            __('Left', 'helix') => "text-left",
            __('Right', 'helix') => "text-right",
          ),
         "default"  => "text-center",
         "description" => 'chosen option text align to use for your style'
    ),
    array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Animation",'helix'),
             "param_name" => "animation",
             "value" => "fadeInUp",
             "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
          ),
        array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
             "param_name" => "animation_delay",
             "value" => "0",
             "description" => 'Insert Delay Animation Title'
        ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));
// end helix header
// Helix yoga club
vc_map( array(
   "name" => esc_html__("Helix yoga club about", 'helix'),
   "base" => "helix_yoga_club_about",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'helix'),
         "param_name" => "title",
         "value" => ""
      ),
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description",'helix'),
         "param_name" => "description",
         "value" => ""
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Icon",'helix'),
           "param_name" => "icons",
           "value" => "",
           "description" => 'Insert font-awesome or ionicons. You can find here:<br/> https://fortawesome.github.io/Font-Awesome/cheatsheet/ ( Example: fa fa-heart ) <br/>or http://ionicons.com/ (Example: icon ion-ios-flower-outline)'
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Color Icon",'helix'),
         "param_name" => "color_icon"
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Text align",'helix'),
         "param_name" => "text-align",
         "value" => array(
            __('text-center', 'helix') => "text-center",
            __('text-left', 'helix') => "text-left",
            __('text-right', 'helix') => "text-right",
          ),
         "default"  => "text-center",
         "description" => 'chosen option text align to use for your style'
    ),
    array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => esc_html__("Animation",'helix'),
             "param_name" => "animation",
             "value" => "fadeInUp",
             "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
          ),
        array(
             "type" => "textfield",
             "holder" => "div",
             "class" => "",
             "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
             "param_name" => "animation_delay",
             "value" => "0",
             "description" => 'Insert Delay Animation Title'
        ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));

// Helix Filter Class
vc_map( array(
   "name" => esc_html__("Helix Classes Filter by: Level,Category", 'helix'),
   "base" => "helix_class_filter",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Filter",'helix'),
         "param_name" => "filter",
         "value" => array(
            __('level', 'helix') => "level",
            __('category', 'helix') => "categories"
          ),
         "default"  => "level",
         "description" => 'chosen option type filter to use for your style'
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Filter:Text display All (Empty text-> disbale filter all)",'helix'),
           "param_name" => "text_show_all",
           "value" => "All"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Slug",'helix'),
           "param_name" => "slug",
           "value"  => "advanced,begin,inermediate",
           "description" => __("Insert slug by option filter use for style",'helix'),
      ),
      array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Number item in slide",'helix'),
           "param_name" => "item_display",
           "value" => array( 
                  __('4 items', 'helix') => '4',  
                      __('2 items', 'helix') => '2',
                      __('3 items', 'helix') => '3',
                      __('6 items', 'helix') => '6'
                ),
           'default'=>'4'
    ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Total Item display for style",'helix'),
           "param_name" => "total_display",
           "value"  => "8"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Title label for style",'helix'),
           "param_name" => "text_title",
           "value"  => "Filter"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Text link read more for style",'helix'),
           "param_name" => "text_readmore",
           "value"  => "Learn more"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Animation",'helix'),
           "param_name" => "animation",
           "value" => "fadeInUp",
           "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));
// Helix Filter Blog
vc_map( array(
   "name" => esc_html__("Helix Blog Filter Slug", 'helix'),
   "base" => "helix_blog_filter",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Filter:Text display All (Empty text-> disbale filter all)",'helix'),
           "param_name" => "text_show_all",
           "value" => "All"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Slug",'helix'),
           "param_name" => "slug",
           "value"  => "all blog,tips-tricks,yoga-life,inspired-stories,special-offers",
           "description" => __("Insert slug by option filter use for style",'helix'),
      ),
      array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Normal Layout: Number item in slide",'helix'),
           "param_name" => "item_display",
           "value" => array( 
                  __('4 items', 'helix') => '4',  
                      __('2 items', 'helix') => '2',
                      __('3 items', 'helix') => '3',
                      __('6 items', 'helix') => '6'
                ),
           'default'=>'4'
    ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Total Item display for style",'helix'),
           "param_name" => "total_display",
           "value"  => "8"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Title label for style",'helix'),
           "param_name" => "text_title",
           "value"  => "Filter"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Text link read more for style",'helix'),
           "param_name" => "text_readmore",
           "value"  => "Learn more"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Animation",'helix'),
           "param_name" => "animation",
           "value" => "fadeInUp",
           "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));

// shortcode Inspiration
vc_map( array(
   "name" => esc_html__("Helix Inspiration Home", 'helix'),
   "base" => "helix_inspiration_home",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'helix'),
         "param_name" => "title",
         "value" => ""
      ),
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description",'helix'),
         "param_name" => "description",
         "value" => ""
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Arrow align",'helix'),
         "param_name" => "arrow-align",
         "value" => array(
            __('Left', 'helix') => "popover-left",
            __('Right', 'helix') => "popover-right",
          ),
         "default"  => "popover-left",
         "description" => 'chosen option arrow align to use for your style'
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Background use for style",'helix'),
         "param_name" => "background"
      ),
      
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Animation",'helix'),
           "param_name" => "animation",
           "value" => "fadeInUp",
           "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));

// Helix trainer
vc_map( array(
   "name" => esc_html__("Helix list:Trainer", 'helix'),
   "base" => "helix_trainer",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Total Item display for style",'helix'),
           "param_name" => "total_display",
           "value"  => "4"
      ),
      array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Normal Layout: Number item in slide",'helix'),
           "param_name" => "columns",
           "value" => array( 
                  __('4 columns', 'helix') => '4',  
                      __('2 columns', 'helix') => '2',
                      __('3 columns', 'helix') => '3',
                      __('6 columns', 'helix') => '6'
                ),
           'default'=>'4'
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Animation",'helix'),
           "param_name" => "animation",
           "value" => "fadeInUp",
           "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));


/* Testimonial */
vc_map( array(
   "name" => esc_html__("helix testimonial", 'helix'),
   "base" => "helix_testmonial",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",
   "as_parent" => array('only' => 'helix_testmonial_item'),
   "content_element" => true,
     "js_view" => 'VcColumnView',
     "show_settings_on_create" => false,   
   "params" => array(
    array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Show control dots",'helix'),
         "param_name" => "isdots",
         "value" => array(
            __('true', 'helix') => "true",
            __('false', 'helix') => "false",
          ),
         "default"  => "true",
    ),
    array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Auto move slide",'helix'),
         "param_name" => "auto_lay",
         "value" => array(
            __('false', 'helix') => "false",
            __('true', 'helix') => "true",
          ),
         "default"  => "false",
    ),
    array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Loop slide",'helix'),
         "param_name" => "loop",
         "value" => array(
           __('false', 'helix') => "false",
            __('true', 'helix') => "true",
            
          ),
         "default"  => "false",
    ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Animation",'helix'),
         "param_name" => "animation",
         "value" => "fadeInUp",
         "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
    ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
         "param_name" => "animation_delay",
         "value" => "0",
         "description" => 'Insert Delay Animation Title'
    ),
    array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Class",'helix'),
           "param_name" => "class",
           "value" => "",
           "description" => 'Insert class to use for your style'
    )
)));

vc_map( array(
   "name" => esc_html__("helix testimonial item", 'helix'),
   "base" => "helix_testmonial_item",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",
   "content_element" => true,
     "as_child" => array('only' => 'helix_testmonial'),   
   "params" => array(
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Customer Name",'helix'),
           "param_name" => "author_name",
           "value" => ""
        ),
      array(
           "type" => "textarea",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Description",'helix'),
           "param_name" => "description",
           "value" => ""
       ),
      array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Number star for rating style",'helix'),
           "param_name" => "number_star",
           "value" => array( 
                  __('5 star', 'helix') => '5', 
                  __('1 star', 'helix') => '1', 
                  __('2 star', 'helix') => '2',
                  __('3 star', 'helix') => '3',
                  __('4 star', 'helix') => '4'
                ),
           'default'=>'5'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
    )
)));

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_helix_testmonial extends WPBakeryShortCodesContainer {
    }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_helix_testmonial_item extends WPBakeryShortCode {
    }
}
/* End Testimonial */


/* Membership */
vc_map( array(
   "name" => esc_html__("helix Membership", 'helix'),
   "base" => "helix_membership",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",
   "as_parent" => array('only' => 'helix_membership_item'),
   "content_element" => true,
   "js_view" => 'VcColumnView',
   "show_settings_on_create" => false,   
   "params" => array(
    array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Active type Membership",'helix'),
         "param_name" => "active",
         "value" => array(
            __('Monthly', 'helix') => "monthly",
            __('Annual', 'helix') => "annual",
          ),
         "default"  => "monthly",
    ),
     array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Show Switch Button Membership",'helix'),
         "param_name" => "show_switch_member",
         "value" => array(
            __('Show', 'helix') => "true",
            __('Hide', 'helix') => "false",
          ),
         "default"  => "true",
    ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Animation",'helix'),
         "param_name" => "animation",
         "value" => "fadeInUp",
         "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
    ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
         "param_name" => "animation_delay",
         "value" => "0",
         "description" => 'Insert Delay Animation Title'
    ),
    array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Class",'helix'),
           "param_name" => "class",
           "value" => "",
           "description" => 'Insert class to use for your style'
    )
)));

vc_map( array(
   "name" => esc_html__("helix membership item", 'helix'),
   "base" => "helix_membership_item",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",
   "content_element" => true,
   "as_child" => array('only' => 'helix_membership'),   
   "params" => array(
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Active type Membership",'helix'),
         "param_name" => "member_type",
         "value" => array(
            __('Monthly', 'helix') => "monthly",
            __('Annual', 'helix') => "annual",
          ),
         "default"  => "monthly",
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Title",'helix'),
           "param_name" => "title",
           "value" => ""
        ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Price",'helium'),
         "param_name" => "price",
         "value" => ""
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Plan Unit",'helium'),
           "param_name" => "plan_unit",
           "value" => ""
      ),
      array(
           "type" => "textarea_html",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Description",'helix'),
           "param_name" => "content",
           "value" => ""
       ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Text button",'helix'),
           "param_name" => "text_link",
           "value" => ""
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Link button",'helix'),
           "param_name" => "link",
           "value" => "#"
      ),
       array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Target link",'helix'),
         "param_name" => "target_url",
         "value" => array(
            __('Self', 'helium') => "_self",
            __('Blank', 'helium') => "_blank",
            __('Parent', 'helium') => "_parent",
          ),
         "default"  => "_self",
         "description" => 'chosen option target use for your button'
      ),
      array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Normal Layout: Number columns in slide",'helix'),
           "param_name" => "columns",
           "value" => array( 
                  __('3 columns', 'helix') => '3',  
                      __('2 columns', 'helix') => '2',
                      __('4 columns', 'helix') => '4',
                      __('6 columns', 'helix') => '6'
                ),
           'default'=>'3'
    ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
    )
)));

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_helix_membership extends WPBakeryShortCodesContainer {
    }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_helix_membership_item extends WPBakeryShortCode {
    }
}
/* End Membership */
// Button
vc_map( array(
   "name" => __("Helix Button", 'helix'),
   "base" => "helix_button",
   "class" => "",
   "category" => __("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(

    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Name",'helix'),
         "param_name" => "name",
         "value" => ""
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Link",'helix'),
         "param_name" => "link",
         "value" => ""
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Target",'helix'),
         "param_name" => "target",
         "value" => array(
            __('Parent', 'helix') => "_parent",
            __('Blank', 'helix') => "_blank",
            __('Top', 'helix') => "_top",
            
          ),
         "default"  => "_parent"
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Background color",'helix'),
         "param_name" => "bg",
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Background color hover",'helix'),
         "param_name" => "bg_hover",
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Text color",'helix'),
         "param_name" => "text_color",
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Text color hover",'helix'),
         "param_name" => "text_color_hover",
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Icon",'helix'),
         "param_name" => "icon",
         "value" => "",
         "description" => 'Insert font-awesome. You can find here: https://fortawesome.github.io/Font-Awesome/cheatsheet/'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Border radius",'helix'),
         "param_name" => "border_radius",
         "value" => "",
         "description" => 'For example: 30px;'
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Border color",'helix'),
         "param_name" => "border_color",
         "value" => ""
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Border color hover",'helix'),
         "param_name" => "border_color_hover",
         "value" => ""
      ),
      
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Margin (px)",'helix'),
         "param_name" => "margin",
         "value" => "",
         "description" => 'For example: 10px 10px 10px 10px; = (top right bellow left)'
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Display animation",'helix'),
         "param_name" => "display_animation",
         "value" => array(
            __('True', 'helix') => "true",
            __('False', 'helix') => "false",
          ),
         "default"  => "true"
      ),
      
      array(
       "type" => "textfield",
       "holder" => "div",
       "class" => "",
       "heading" => __("Animation",'helix'),
       "param_name" => "animation",
       "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
       "value" => "fadeInUp"
    ),
    array(
       "type" => "textfield",
       "holder" => "div",
       "class" => "",
       "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
       "param_name" => "animation_delay",
       "description" => __("you can insert 0 to remove animation",'helix'),
       "value" => "0"
    ),
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      )  
)));

// shortcode Shop banner
vc_map( array(
   "name" => esc_html__("Helix Shop Banner", 'helix'),
   "base" => "helix_shop_banner",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'helix'),
         "param_name" => "title",
         "value" => ""
      ),
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description",'helix'),
         "param_name" => "description",
         "value" => ""
      ),
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => __("Background cover for style",'helix'),
         "param_name" => "background"
      ),
      
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Animation",'helix'),
           "param_name" => "animation",
           "value" => "fadeInUp",
           "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));
// shortcode Shop banner
vc_map( array(
   "name" => esc_html__("Helix Address", 'helix'),
   "base" => "helix_address",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
    array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Title",'helix'),
         "param_name" => "title",
         "value" => ""
      ),
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Description",'helix'),
         "param_name" => "description",
         "value" => ""
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Icon",'helix'),
           "param_name" => "icon",
           "value" => "",
           "description" => 'Insert font-awesome or ionicons. You can find here: https://fortawesome.github.io/Font-Awesome/cheatsheet/ example: fa fa-heart <br/>or http://ionicons.com/ example: icon ion-ios-flower-outline'
      ),
      array(
         "type" => "colorpicker",
         "holder" => "div",
         "class" => "",
         "heading" => __("Color icon and text",'helix'),
         "param_name" => "color_icon"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Animation",'helix'),
           "param_name" => "animation",
           "value" => "fadeInUp",
           "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));

// googe map
vc_map( array(
     "name" => __("Helix google map", 'helix'),
     "base" => "helix_googlemap",
     "class" => "",
     "category" => __("Helix Element", 'helix'),
     "icon" => "icon-qk",   
     "params" => array(
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Unique ID",'helix'),
           "param_name" => "defineid",
           "value" => "",
           "description" => 'Insert unique ID. For example: map-canvas'
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Latitude",'helix'),
           "param_name" => "latitude",
           "value" => "41.0494617",               
           "description" => "For example: 41.0494617"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Longitude",'helix'),
           "param_name" => "longitude",
           "value" => "28.9946244",
           "description"   => "For example: 28.9946244"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Zoom",'helix'),
           "param_name" => "zoom",
           "value" => "12"               
      ),
       array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => __("Icon marker",'helix'),
         "param_name" => "icon_marker",
         "value" => "",
         "description" =>  __("Insert path of icon marker map",'helix')
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Marker title",'helix'),
           "param_name" => "marker_title",
           "value" => ""               
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("City",'helix'),
           "param_name" => "city",
           "value" => ""               
      ),
      array(
           "type" => "textarea",
           "holder" => "div",
           "class" => "",
           "heading" => __("Address",'helix'),
           "param_name" => "address",
           "value" => ""               
      )
)));
//end google map
// shortcode Shop banner
vc_map( array(
   "name" => esc_html__("Helix Gallary", 'helix'),
   "base" => "helix_gallary_image",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
     array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Normal Layout: Number item in slide",'helix'),
           "param_name" => "columns",
           "value" => array( 
                  __('4 columns', 'helix') => '4',  
                      __('2 columns', 'helix') => '2',
                      __('3 columns', 'helix') => '3',
                      __('6 columns', 'helix') => '6'
                ),
           'default'=>'4'
      ),
      array(
         "type" => "attach_images",
         "holder" => "div",
         "class" => "",
         "heading" => __("Image gallary",'helix'),
         "param_name" => "image"
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => esc_html__("Animation",'helix'),
           "param_name" => "animation",
           "value" => "fadeInUp",
           "description" => __("You can find effect here: https://daneden.github.io/animate.css/",'helix'),
        ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));

// shortcode calendar
vc_map( array(
   "name" => esc_html__("Helix Calendar", 'helix'),
   "base" => "helix_fullCalendar",
   "class" => "",
   "category" => esc_html__("Helix Element", 'helix'),
   "icon" => "icon-qk",   
   "params" => array(
    array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Filter:Display Option Search",'helix'),
           "param_name" => "filter_show",
           "value" => array(   
                __('Yes', 'helix') => 'true',
                __('No', 'helix') => 'false',                    
                ),
           'default'=>'true'
    ),
    array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "heading" => __("Filter",'helix'),
         "param_name" => "filter",
         "value" => array(
            __('level', 'helix') => "level",
            __('category', 'helix') => "categories"
          ),
         "default"  => "level",
         "description" => 'chosen option type filter to use for your style'
      ),
    array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Filter:Label",'helix'),
           "param_name" => "label_filter",
           "value" => "Filter"
    ),
    array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Filter:Text display All (Empty text-> disbale filter all)",'helix'),
           "param_name" => "text_show_all",
           "value" => "All"
      ),
     array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Filter: Slug filter ",'helix'),
           "param_name" => "slug",
           "value" => "advanced,begin,inermediate"
      ),
     array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Default View",'helix'),
           "param_name" => "view_type",
           "value" => array( 
                  __('AgendaWeek', 'helix') => 'agendaWeek',
                  __('Month', 'helix') => 'month',  
                  __('Week (basic)', 'helix') => 'basicWeek',
                  __('Day (basic)', 'helix') => 'basicDay',
                  __('AgendaDay', 'helix') => 'agendaDay'
                ),
           'default'=>'agendaWeek'
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("Time format",'helix'),
           "param_name" => "time_format",
           "value" => "HH:mm"
      ),
       array(
           "type" => "dropdown",
           "holder" => "div",
           "class" => "",
           "heading" => __("Language view",'helix'),
           "param_name" => "language",
           "value" => array( 
                  __('en', 'helix') => 'en',
                  __('ar-ma', 'helix') => 'ar-ma',  
                  __('ar-sa', 'helix') => 'ar-sa',
                  __('ar-tn', 'helix') => 'ar-tn',
                  __('ar', 'helix') => 'ar',
                  __('bg', 'helix') => 'bg',
                  __('ca', 'helix') => 'ca',
                  __('cs', 'helix') => 'cs',
                  __('da', 'helix') => 'da',
                  __('de-at', 'helix') => 'de-at',
                  __('de', 'helix') => 'de',
                  __('el', 'helix') => 'el',
                  __('en-au', 'helix') => 'en-au',
                  __('en-ca', 'helix') => 'en-ca',
                  __('en-gb', 'helix') => 'en-gb',
                  __('en-ie', 'helix') => 'en-ie',
                  __('en-nz', 'helix') => 'en-nz',
                  __('es', 'helix') => 'es',
                  __('eu', 'helix') => 'eu',
                  __('fa', 'helix') => 'fa',
                  __('fi', 'helix') => 'fi',
                  __('fr-ca', 'helix') => 'fr-ca',
                  __('fr-ch', 'helix') => 'fr-ch',
                  __('fr', 'helix') => 'fr',
                  __('gl', 'helix') => 'gl',
                  __('he', 'helix') => 'he',
                  __('hi', 'helix') => 'hi',
                  __('hr', 'helix') => 'hr',
                  __('hu', 'helix') => 'hu',
                  __('id', 'helix') => 'id',
                  __('is', 'helix') => 'is',
                  __('it', 'helix') => 'it',
                  __('ja', 'helix') => 'ja',
                  __('ko', 'helix') => 'ko',
                  __('lb', 'helix') => 'lb',
                  __('lt', 'helix') => 'lt',
                  __('lv', 'helix') => 'lv',
                  __('nb', 'helix') => 'nb',
                  __('nl', 'helix') => 'nl',
                  __('pl', 'helix') => 'pl',
                  __('pt-br', 'helix') => 'pt-br',
                  __('pt', 'helix') => 'pt',
                  __('ro', 'helix') => 'ro',
                  __('ru', 'helix') => 'ru',
                  __('sk', 'helix') => 'sk',
                  __('sl', 'helix') => 'sl',
                  __('sr-cyrl', 'helix') => 'sr-cyrl',
                  __('sr', 'helix') => 'sr',
                  __('th', 'helix') => 'th',
                  __('tr', 'helix') => 'tr',
                  __('uk', 'helix') => 'uk',
                  __('vi', 'helix') => 'vi',
                  __('zh-cn', 'helix') => 'zh-cn',
                  __('zh-tw', 'helix') => 'zh-tw'
                ),
           'default'=>'en'
      ),
      array(
           "type" => "textfield",
           "holder" => "div",
           "class" => "",
           "heading" => __("animation delay(ms). 1000ms = 1s",'helix'),
           "param_name" => "animation_delay",
           "value" => "0",
           "description" => 'Insert Delay Animation Title'
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => esc_html__("Class",'helix'),
         "param_name" => "class",
         "value" => "",
         "description" => 'Insert class to use for your style'
      ) 
)));
}} /* /if //function */
?>